!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_3633) = coupl(nGC_3179)*dye_QED3
      coupl(nGC_3635) = coupl(nGC_3209)*dym_QED3
      coupl(nGC_3636) = coupl(nGC_3190)*dym_QED3
      coupl(nGC_3637) = coupl(nGC_3204)*dytau_QED3
      coupl(nGC_3638) = coupl(nGC_3099)*dytau_QED3
      coupl(nGC_3639) = coupl(nGC_3171)*dye_QED3
      coupl(nGC_5098) = coupl(nGC_3607) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl( &
                        nGC_73)*dZsR_QCD2/2d0
      coupl(nGC_5099) = coupl(nGC_3605) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl( &
                        nGC_57)*dZsL_QCD2/2d0
      coupl(nGC_5749) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_40)*dZZA_QED2/2d0
      coupl(nGC_3411) = coupl(nGC_23)*(coupl(nGC_162)*coupl(nGC_40) + coupl(   &
                        nGC_174)*coupl(nGC_4) + coupl(nGC_25)*coupl(nGC_41) +  &
                        coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_5585) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3550)
      coupl(nGC_3339) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(  &
                        nGC_1)*coupl(nGC_342)*coupl(nGC_57) - coupl(nGC_2)*    &
                        coupl(nGC_4)*coupl(nGC_57) - coupl(nGC_21)*coupl(nGC_23&
                        )*coupl(nGC_59) - coupl(nGC_23)*coupl(nGC_238)*coupl(  &
                        nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57 &
                        ) - coupl(nGC_35)*coupl(nGC_40)*coupl(nGC_57) - coupl( &
                        nGC_38)*coupl(nGC_544)*coupl(nGC_57) - coupl(nGC_58)*  &
                        coupl(nGC_73)*coupl(nGC_76) - coupl(nGC_59)*coupl(     &
                        nGC_73)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_3331) = (-coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_67) - coupl(   &
                        nGC_23)*coupl(nGC_238)*coupl(nGC_68) - coupl(nGC_342)* &
                        coupl(nGC_4)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(  &
                        nGC_41)*coupl(nGC_65) - coupl(nGC_36)*coupl(nGC_544)*  &
                        coupl(nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(     &
                        nGC_65))/(32d0*pi**2d0)
      coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3333) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(    &
                        nGC_23)*coupl(nGC_308)*coupl(nGC_83) + coupl(nGC_36)*  &
                        coupl(nGC_40)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_41)*coupl(nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81 &
                        ) + coupl(nGC_41)*coupl(nGC_544)*coupl(nGC_81))/(32d0* &
                        pi**2d0)
      coupl(nGC_3332) = (-coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_71) - coupl(   &
                        nGC_23)*coupl(nGC_238)*coupl(nGC_72) - coupl(nGC_342)* &
                        coupl(nGC_4)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(  &
                        nGC_41)*coupl(nGC_69) - coupl(nGC_36)*coupl(nGC_544)*  &
                        coupl(nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(     &
                        nGC_69))/(32d0*pi**2d0)
      coupl(nGC_3443) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl&
                        (nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3441) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_54)* &
                        coupl(nGC_56) - coupl(nGC_55)**2d0 - coupl(nGC_77)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3440) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl&
                        (nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3447) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl&
                        (nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3446) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)* &
                        coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3445) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl&
                        (nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3444) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)* &
                        coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3449) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl&
                        (nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3448) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_7352) = coupl(nGC_3637) + coupl(nGC_82)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_82)*dZtauMinusR_QED2/2d0
      coupl(nGC_7351) = coupl(nGC_3638) + coupl(nGC_84)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_84)*dZtauMinusR_QED2/2d0
      coupl(nGC_3528) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**  &
                        2d0)
      coupl(nGC_3680) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_3298) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +    &
                        coupl(nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3682) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_3297) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +    &
                        coupl(nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_174)*  &
                        coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3526) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 + &
                        coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3295) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(    &
                        nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3520) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0  &
                         - coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(    &
                        nGC_75)**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_3521) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 + &
                        coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75 &
                        )**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0&
                        *pi**2d0*Nc)
      coupl(nGC_3522) = (3d0*Nc*cima*coupl(nGC_34)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_35)**4d0 + 3d0*Nc*cima*coupl(nGC_38)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_39)**4d0 - 10d0*cima*coupl(nGC_162)**4d0&
                         - 10d0*cima*coupl(nGC_25)**4d0 + 3d0*cima*coupl(      &
                        nGC_282)**2d0 + 3d0*cima*coupl(nGC_36)**4d0 + 3d0*cima*&
                        coupl(nGC_40)**4d0 + 3d0*cima*coupl(nGC_41)**4d0 + 3d0*&
                        coupl(nGC_162)**2d0*coupl(nGC_19) + 9d0*coupl(nGC_162  &
                        )**2d0*coupl(nGC_282) + 3d0*coupl(nGC_19)*coupl(nGC_25 &
                        )**2d0 + 9d0*coupl(nGC_25)**2d0*coupl(nGC_282))/(24d0* &
                        pi**2d0)
      coupl(nGC_6107) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
      coupl(nGC_6106) = coupl(nGC_3556) + coupl(nGC_36)*dZZA_QED2/2d0 + coupl( &
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
      coupl(nGC_5061) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3583) + coupl( &
                        nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_8737) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3575)
      coupl(nGC_3681) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_3529) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) -     &
                        coupl(nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_3299) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3294) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*&
                        coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_7021) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/  &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_3550)
      coupl(nGC_3593) = coupl(nGC_3215)*dZee_QED2 + coupl(nGC_3216)*dsw_QED2
      coupl(nGC_3527) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0  &
                         - coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(    &
                        nGC_39)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3595) = coupl(nGC_3125)*dZee_QED2 + coupl(nGC_3126)*dsw_QED2 + &
                        coupl(nGC_3127)*dcw_QED2
      coupl(nGC_3594) = coupl(nGC_3108)*dZee_QED2 + coupl(nGC_3109)*dsw_QED2 + &
                        coupl(nGC_3110)*dcw_QED2
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
