!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_3596) = coupl(nGC_3131)*dZee_QED2 + coupl(nGC_3132)*dsw_QED2 + &
                        coupl(nGC_3133)*dcw_QED2
      coupl(nGC_3599) = coupl(nGC_3105)*dZee_QED2 + coupl(nGC_3106)*dsw_QED2 + &
                        coupl(nGC_3107)*dcw_QED2
      coupl(nGC_6094) = coupl(nGC_3655) + coupl(nGC_87)*dZuL_QCD2/2d0 + coupl( &
                        nGC_87)*dZuR_QCD2/2d0
      coupl(nGC_6214) = coupl(nGC_3663) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0
      coupl(nGC_6357) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +   &
                        coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_3590)
      coupl(nGC_8594) = coupl(nGC_3667) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3471) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 -    &
                        16d0*cima*coupl(nGC_174)**2d0*coupl(nGC_25)**2d0 - 24d0&
                        *cima*coupl(nGC_174)**2d0*coupl(nGC_3)**2d0 - 12d0*cima&
                        *coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 + 12d0*cima*coupl&
                        (nGC_5)**2d0 + 12d0*cima*coupl(nGC_612)**2d0 + 3d0*    &
                        coupl(nGC_162)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_162)* &
                        coupl(nGC_29)*coupl(nGC_3) + 6d0*coupl(nGC_170)*coupl( &
                        nGC_174)*coupl(nGC_3) + 3d0*coupl(nGC_174)**2d0*coupl( &
                        nGC_18) + 3d0*coupl(nGC_174)**2d0*coupl(nGC_5) + 36d0* &
                        coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_612) + 36d0*    &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(  &
                        nGC_3)**2d0*coupl(nGC_356))/(96d0*pi**2d0)
      coupl(nGC_8593) = coupl(nGC_3666) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0
      coupl(nGC_5551) = coupl(nGC_3631) + coupl(nGC_69)*dZmuMinusR_QED2/2d0 +  &
                        coupl(nGC_69)*dZnu_muL_QED2/2d0
      coupl(nGC_5555) = coupl(nGC_3573) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl( &
                        nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
      coupl(nGC_5259) = coupl(nGC_3635) + coupl(nGC_72)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_72)*dZmuMinusR_QED2/2d0
      coupl(nGC_3645) = coupl(nGC_3218)*dyup_QED1_QCD2
      coupl(nGC_5253) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3586) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_5840) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_3621) = coupl(nGC_3172)*dyb_QED1_QCD2
      coupl(nGC_3620) = coupl(nGC_3172)*dyb_QED3
      coupl(nGC_3627) = coupl(nGC_3094)*dys_QED1_QCD2
      coupl(nGC_6071) = coupl(nGC_3658) + coupl(nGC_79)*dZH_QED2/2d0 + coupl(  &
                        nGC_79)*dZtL_QED2/2d0 + coupl(nGC_79)*dZtR_QED2/2d0
      coupl(nGC_6072) = coupl(nGC_3659) + coupl(nGC_79)*dZtL_QCD2/2d0 + coupl( &
                        nGC_79)*dZtR_QCD2/2d0
      coupl(nGC_4958) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +   &
                        coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_3590)
      coupl(nGC_3337) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_2)*coupl(&
                        nGC_342)*coupl(nGC_53) + coupl(nGC_21)*coupl(nGC_23)*  &
                        coupl(nGC_55) + coupl(nGC_23)*coupl(nGC_238)*coupl(    &
                        nGC_54) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_53) + coupl( &
                        nGC_39)*coupl(nGC_53)*coupl(nGC_544) - coupl(nGC_54)*  &
                        coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_55)*coupl(     &
                        nGC_77)*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_3629) = coupl(nGC_3174)*dyb_QED1_QCD2
      coupl(nGC_3560) = coupl(nGC_3145)*dsw_QED2 + coupl(nGC_3146)*dMW2_QED2 + &
                        coupl(nGC_3147)*dZee_QED2 + coupl(nGC_3148)*dcw_QED2
      coupl(nGC_3561) = coupl(nGC_3122)*dZee_QED2 + coupl(nGC_3123)*dsw_QED2 + &
                        coupl(nGC_3124)*dcw_QED2
      coupl(nGC_3562) = coupl(nGC_3234)*dsw_QED2 + coupl(nGC_3235)*dMW2_QED2 + &
                        coupl(nGC_3236)*dZee_QED2
      coupl(nGC_3563) = coupl(nGC_3102)*dZee_QED2 + coupl(nGC_3103)*dsw_QED2 + &
                        coupl(nGC_3104)*dMZ2_QED2
      coupl(nGC_3564) = coupl(nGC_3155)*dZee_QED2 + coupl(nGC_3156)*dsw_QED2 + &
                        coupl(nGC_3157)*dMZ2_QED2 + coupl(nGC_3158)*dcw_QED2
      coupl(nGC_3565) = coupl(nGC_3092)*dlam_QED4
      coupl(nGC_3568) = coupl(nGC_3143)*dlam_QED4 + coupl(nGC_3144)*dvev_QED1
      coupl(nGC_3399) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_23)*  &
                        coupl(nGC_308)*coupl(nGC_77) - coupl(nGC_35)*coupl(    &
                        nGC_37)*coupl(nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_79) - coupl(nGC_39)*coupl(nGC_78)*coupl(   &
                        nGC_802) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - &
                        coupl(nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3641) = coupl(nGC_3096)*dytau_QED3
      coupl(nGC_3640) = coupl(nGC_3192)*dym_QED3
      coupl(nGC_3643) = coupl(nGC_3117)*dyup_QED1_QCD2
      coupl(nGC_3390) = (coupl(nGC_23)*coupl(nGC_308)*coupl(nGC_65) + coupl(   &
                        nGC_36)*coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0* &
                        coupl(nGC_67) + coupl(nGC_40)*coupl(nGC_66)*coupl(     &
                        nGC_802) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(   &
                        nGC_67)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3397) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_20)*  &
                        coupl(nGC_23)*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl( &
                        nGC_38)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_74)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_38)*coupl(    &
                        nGC_74) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -  &
                        coupl(nGC_74)**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3395) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*  &
                        coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75   &
                        ) + cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0*Nc)
      coupl(nGC_3394) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC* &
                        coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75   &
                        ) - cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0)
      coupl(nGC_5678) = coupl(nGC_3569) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 +     &
                        coupl(nGC_HHH)
      coupl(nGC_5103) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3576) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
      coupl(nGC_3366) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_23)*  &
                        coupl(nGC_238)*coupl(nGC_73) - coupl(nGC_34)*coupl(    &
                        nGC_37)*coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_74) - coupl(nGC_38)*coupl(nGC_75)*coupl(   &
                        nGC_802) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - &
                        coupl(nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0* &
                        coupl(nGC_76))/(32d0*pi**2d0)
      coupl(nGC_3364) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_22)*  &
                        coupl(nGC_23)*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl( &
                        nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_75)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_38)*coupl(    &
                        nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) -  &
                        coupl(nGC_74)*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(&
                        nGC_76)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3362) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(&
                        nGC_36)*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_36)*   &
                        coupl(nGC_71)*coupl(nGC_802) + coupl(nGC_37)*coupl(    &
                        nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_70) - coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(    &
                        nGC_71)**2d0*coupl(nGC_72))/(32d0*pi**2d0)
      coupl(nGC_3363) = (coupl(nGC_23)*coupl(nGC_238)*coupl(nGC_69) + coupl(   &
                        nGC_36)*coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0* &
                        coupl(nGC_72) + coupl(nGC_40)*coupl(nGC_71)*coupl(     &
                        nGC_802) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(   &
                        nGC_70)*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3360) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(&
                        nGC_36)*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_36)*   &
                        coupl(nGC_67)*coupl(nGC_802) + coupl(nGC_37)*coupl(    &
                        nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_66) - coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(    &
                        nGC_67)**2d0*coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_3361) = (coupl(nGC_23)*coupl(nGC_238)*coupl(nGC_65) + coupl(   &
                        nGC_36)*coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0* &
                        coupl(nGC_68) + coupl(nGC_40)*coupl(nGC_67)*coupl(     &
                        nGC_802) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(   &
                        nGC_66)*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3247) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) -   &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc* &
                        cMS**2d0*cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT &
                        **2d0*cima*coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**  &
                        2d0*cima*coupl(nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*   &
                        cima*coupl(nGC_66)*coupl(nGC_68) - cMH**2d0*cima*coupl(&
                        nGC_37)*coupl(nGC_802) - 8d0*cMM**2d0*cima*coupl(nGC_70&
                        )*coupl(nGC_72) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*    &
                        coupl(nGC_84) - 4d0*cMW**2d0*cima*coupl(nGC_22)*coupl( &
                        nGC_238) - 4d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*cima* &
                        coupl(nGC_37)*coupl(nGC_802) - 2d0*cMZ**2d0*coupl(     &
                        nGC_46))/(32d0*pi**2d0)
      coupl(nGC_3246) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl&
                        (nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(   &
                        nGC_64) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc* &
                        coupl(nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*    &
                        coupl(nGC_88) + 2d0*coupl(nGC_22)*coupl(nGC_238) +     &
                        coupl(nGC_37)*coupl(nGC_802) + 4d0*coupl(nGC_66)*coupl(&
                        nGC_68) + 4d0*coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl( &
                        nGC_82)*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_3241) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3368) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*  &
                        coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_78) - coupl(nGC_35)*coupl(nGC_79)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_39)*coupl(    &
                        nGC_79) - coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) -  &
                        coupl(nGC_78)**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
