!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_3383) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*&
                        cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*&
                        cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl&
                        (nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*&
                        coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39  &
                        )**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*  &
                        coupl(nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*&
                        coupl(nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(   &
                        nGC_63) - 8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75   &
                        ) + 8d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75&
                        ) - 8d0*Nc*cMS*coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0* &
                        Nc*cMT*coupl(nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*  &
                        coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*&
                        coupl(nGC_39)**2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(   &
                        nGC_35)**2d0*coupl(nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)* &
                        coupl(nGC_39)*coupl(nGC_87) - 8d0*Nc*cMU*coupl(nGC_39  &
                        )**2d0*coupl(nGC_87) - 8d0*cME*coupl(nGC_36)**2d0*coupl&
                        (nGC_67) + 8d0*cME*coupl(nGC_36)*coupl(nGC_40)*coupl(  &
                        nGC_67) - 8d0*cME*coupl(nGC_40)**2d0*coupl(nGC_67) -   &
                        8d0*cMM*coupl(nGC_36)**2d0*coupl(nGC_71) + 8d0*cMM*    &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_71) - 8d0*cMM*   &
                        coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(     &
                        nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl(nGC_36)*   &
                        coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(nGC_40)** &
                        2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_282)*coupl(     &
                        nGC_50) + 6d0*coupl(nGC_162)**2d0*coupl(nGC_50) - coupl&
                        (nGC_162)*coupl(nGC_20)*coupl(nGC_47) - coupl(nGC_162)*&
                        coupl(nGC_47)*coupl(nGC_966) - coupl(nGC_21)*coupl(    &
                        nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)**2d0*coupl(  &
                        nGC_50) - coupl(nGC_25)*coupl(nGC_308)*coupl(nGC_47))/(&
                        32d0*pi**2d0)
      coupl(nGC_3384) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_23)*  &
                        coupl(nGC_308)*coupl(nGC_57) - coupl(nGC_35)*coupl(    &
                        nGC_37)*coupl(nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_59) - coupl(nGC_39)*coupl(nGC_58)*coupl(   &
                        nGC_802) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - &
                        coupl(nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3385) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*  &
                        coupl(nGC_23)*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_59) - coupl(nGC_35)*coupl(nGC_60)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_39)*coupl(    &
                        nGC_60) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) -  &
                        coupl(nGC_59)**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3387) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_23)*  &
                        coupl(nGC_61)*coupl(nGC_966) - coupl(nGC_34)*coupl(    &
                        nGC_37)*coupl(nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_63) - coupl(nGC_38)*coupl(nGC_64)*coupl(   &
                        nGC_802) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - &
                        coupl(nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3495) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl&
                        (nGC_61)**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39&
                        )*coupl(nGC_73)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*&
                        coupl(nGC_57)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_77)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl( &
                        nGC_38)*coupl(nGC_57)**2d0 + 20d0*Nc*cima*coupl(nGC_35 &
                        )*coupl(nGC_38)*coupl(nGC_77)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_35)*coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*   &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 + 12d0*cima*&
                        coupl(nGC_17)*coupl(nGC_282) + 9d0*cima*coupl(nGC_20)* &
                        coupl(nGC_25)**2d0*coupl(nGC_966) + 4d0*cima*coupl(    &
                        nGC_21)*coupl(nGC_308)*coupl(nGC_37)*coupl(nGC_802) +  &
                        9d0*cima*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_25)**  &
                        2d0 + 4d0*cima*coupl(nGC_22)*coupl(nGC_238)*coupl(     &
                        nGC_37)*coupl(nGC_802) + 4d0*cima*coupl(nGC_342)**2d0* &
                        coupl(nGC_40)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl&
                        (nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(    &
                        nGC_69)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(     &
                        nGC_81)**2d0 + 20d0*cima*coupl(nGC_36)*coupl(nGC_41)*  &
                        coupl(nGC_65)**2d0 + 20d0*cima*coupl(nGC_36)*coupl(    &
                        nGC_41)*coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_36)*  &
                        coupl(nGC_41)*coupl(nGC_81)**2d0 + 4d0*cima*coupl(     &
                        nGC_40)**2d0*coupl(nGC_544)**2d0 - 16d0*cima*coupl(    &
                        nGC_41)**2d0*coupl(nGC_65)**2d0 - 16d0*cima*coupl(     &
                        nGC_41)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*coupl(     &
                        nGC_41)**2d0*coupl(nGC_81)**2d0 + 18d0*coupl(nGC_162)**&
                        2d0*coupl(nGC_17) + 18d0*coupl(nGC_17)*coupl(nGC_25)** &
                        2d0 - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) -   &
                        3d0*coupl(nGC_20)*coupl(nGC_282)*coupl(nGC_966) + 3d0* &
                        coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_46) - 3d0*coupl(&
                        nGC_22)*coupl(nGC_238)*coupl(nGC_282) + 3d0*coupl(     &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_46) - 6d0*coupl(nGC_22&
                        )*coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_238)*coupl&
                        (nGC_25)*coupl(nGC_9) - 6d0*coupl(nGC_25)*coupl(nGC_8)*&
                        coupl(nGC_966) + 3d0*coupl(nGC_342)**2d0*coupl(nGC_45  &
                        ) + 3d0*coupl(nGC_45)*coupl(nGC_544)**2d0)/(96d0*pi**  &
                        2d0)
      coupl(nGC_3497) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_87) + 9d0*cima*coupl(nGC_162)*coupl(nGC_20)*coupl( &
                        nGC_25)*coupl(nGC_40) + 9d0*cima*coupl(nGC_162)*coupl( &
                        nGC_20)*coupl(nGC_3)*coupl(nGC_4) + 9d0*cima*coupl(    &
                        nGC_162)*coupl(nGC_238)*coupl(nGC_25)*coupl(nGC_37) +  &
                        24d0*cima*coupl(nGC_19)*coupl(nGC_8) + 4d0*cima*coupl( &
                        nGC_20)*coupl(nGC_544)*coupl(nGC_802)**2d0 + 4d0*cima* &
                        coupl(nGC_22)**2d0*coupl(nGC_544)*coupl(nGC_966) + 4d0*&
                        cima*coupl(nGC_22)*coupl(nGC_308)*coupl(nGC_37)*coupl( &
                        nGC_966) + 4d0*cima*coupl(nGC_22)*coupl(nGC_308)*coupl(&
                        nGC_802)*coupl(nGC_966) + 20d0*cima*coupl(nGC_23)*coupl&
                        (nGC_36)*coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(&
                        nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) +    &
                        20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*   &
                        coupl(nGC_83) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)* &
                        coupl(nGC_65)*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)* &
                        coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima* &
                        coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65 &
                        )*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_83) + 4d0*cima*&
                        coupl(nGC_238)*coupl(nGC_40)*coupl(nGC_544)*coupl(     &
                        nGC_802) + 24d0*cima*coupl(nGC_27)*coupl(nGC_612) + 4d0&
                        *cima*coupl(nGC_308)**2d0*coupl(nGC_544)*coupl(nGC_966 &
                        ) - 6d0*coupl(nGC_162)*coupl(nGC_17)*coupl(nGC_20) -   &
                        6d0*coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_46) + 36d0* &
                        coupl(nGC_162)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_37)*coupl(nGC_7) - 6d0*coupl(nGC_17 &
                        )*coupl(nGC_20)*coupl(nGC_25) + 36d0*coupl(nGC_174)*   &
                        coupl(nGC_25)*coupl(nGC_27) - 6d0*coupl(nGC_19)*coupl( &
                        nGC_20)*coupl(nGC_40) - 6d0*coupl(nGC_19)*coupl(nGC_238&
                        )*coupl(nGC_37) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl&
                        (nGC_45) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_42 &
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(nGC_612) + 6d0&
                        *coupl(nGC_22)*coupl(nGC_7)*coupl(nGC_966) - 6d0*coupl(&
                        nGC_25)*coupl(nGC_40)*coupl(nGC_8) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_8) + 6d0*coupl(nGC_308)*coupl(  &
                        nGC_8)*coupl(nGC_966) + 6d0*coupl(nGC_544)*coupl(nGC_7 &
                        )*coupl(nGC_802))/(192d0*pi**2d0)
      coupl(nGC_3491) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77)*&
                        coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl( &
                        nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_59)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_75)**2d0 + 40d0*Nc*cima*coupl(nGC_57)*coupl(nGC_59 &
                        )*coupl(nGC_73)*coupl(nGC_75) + 20d0*Nc*cima*coupl(    &
                        nGC_59)**2d0*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_61)**2d0*coupl(nGC_63)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_61)**2d0*coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87) +    &
                        20d0*Nc*cima*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_73)**2d0*coupl(nGC_75)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_77)**2d0*coupl(nGC_79)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_87)**2d0 +   &
                        12d0*cima*coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_20)*&
                        coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_966) - 5d0*cima*&
                        coupl(nGC_20)*coupl(nGC_238)*coupl(nGC_37)*coupl(nGC_40&
                        ) - 10d0*cima*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_238&
                        )*coupl(nGC_308) - 5d0*cima*coupl(nGC_21)*coupl(nGC_238&
                        )*coupl(nGC_37)*coupl(nGC_544) - 10d0*cima*coupl(nGC_21&
                        )*coupl(nGC_308)*coupl(nGC_342)**2d0 - 10d0*cima*coupl(&
                        nGC_21)*coupl(nGC_308)*coupl(nGC_544)**2d0 - 10d0*cima*&
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_37)*coupl(      &
                        nGC_802) - 5d0*cima*coupl(nGC_22)*coupl(nGC_308)*coupl(&
                        nGC_544)*coupl(nGC_802) - 5d0*cima*coupl(nGC_22)*coupl(&
                        nGC_40)*coupl(nGC_802)*coupl(nGC_966) + 24d0*cima*coupl&
                        (nGC_27)**2d0 - 10d0*cima*coupl(nGC_37)*coupl(nGC_40)**&
                        2d0*coupl(nGC_802) + 6d0*cima*coupl(nGC_45)*coupl(     &
                        nGC_46) + 20d0*cima*coupl(nGC_65)**2d0*coupl(nGC_67)** &
                        2d0 + 20d0*cima*coupl(nGC_69)**2d0*coupl(nGC_71)**2d0  &
                         + 24d0*cima*coupl(nGC_8)**2d0 + 20d0*cima*coupl(nGC_81&
                        )**2d0*coupl(nGC_83)**2d0 + 6d0*coupl(nGC_13)*coupl(   &
                        nGC_20)*coupl(nGC_21) + 3d0*coupl(nGC_13)*coupl(nGC_22 &
                        )*coupl(nGC_238) + 6d0*coupl(nGC_13)*coupl(nGC_308)*   &
                        coupl(nGC_966) + 3d0*coupl(nGC_13)*coupl(nGC_342)**2d0 &
                         + 3d0*coupl(nGC_13)*coupl(nGC_37)*coupl(nGC_802) + 3d0&
                        *coupl(nGC_13)*coupl(nGC_544)**2d0 + 3d0*coupl(nGC_14)*&
                        coupl(nGC_20)*coupl(nGC_966) + 3d0*coupl(nGC_14)*coupl(&
                        nGC_21)*coupl(nGC_308) + 3d0*coupl(nGC_15)*coupl(nGC_21&
                        )*coupl(nGC_308) - 6d0*coupl(nGC_17)*coupl(nGC_20)*    &
                        coupl(nGC_966) - 3d0*coupl(nGC_17)*coupl(nGC_21)*coupl(&
                        nGC_308) - 3d0*coupl(nGC_17)*coupl(nGC_22)*coupl(      &
                        nGC_238) - 6d0*coupl(nGC_21)*coupl(nGC_27)*coupl(      &
                        nGC_342) - 6d0*coupl(nGC_21)*coupl(nGC_544)*coupl(nGC_8&
                        ) - 6d0*coupl(nGC_22)*coupl(nGC_8)*coupl(nGC_802) - 6d0&
                        *coupl(nGC_238)*coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(&
                        nGC_27)*coupl(nGC_308)*coupl(nGC_342) - 6d0*coupl(     &
                        nGC_308)*coupl(nGC_544)*coupl(nGC_8) - 3d0*coupl(nGC_37&
                        )*coupl(nGC_45)*coupl(nGC_802) - 3d0*coupl(nGC_40)**2d0&
                        *coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_4974) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0&
                         + coupl(nGC_35)*dZuR_QED2 + coupl(nGC_3594)
      coupl(nGC_4975) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_3595) + coupl(  &
                        nGC_39)*dZZ_QED2/2d0 + coupl(nGC_39)*dZuL_QED2
      coupl(nGC_4979) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZdL_QED2/2d0 + coupl(nGC_23)*dZuL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_3498) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_56) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_64) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_88) + 9d0*cima*coupl(nGC_162)*coupl(nGC_21)*coupl( &
                        nGC_25)*coupl(nGC_802) + 9d0*cima*coupl(nGC_162)*coupl(&
                        nGC_238)*coupl(nGC_25)*coupl(nGC_544) + 9d0*cima*coupl(&
                        nGC_174)*coupl(nGC_238)*coupl(nGC_25)*coupl(nGC_342) + &
                        24d0*cima*coupl(nGC_19)*coupl(nGC_9) + 4d0*cima*coupl( &
                        nGC_21)*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_544) +   &
                        4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_40) + 4d0*cima*  &
                        coupl(nGC_22)**2d0*coupl(nGC_37)*coupl(nGC_966) + 4d0* &
                        cima*coupl(nGC_22)**2d0*coupl(nGC_802)*coupl(nGC_966   &
                        ) + 4d0*cima*coupl(nGC_22)*coupl(nGC_40)*coupl(nGC_966 &
                        )**2d0 + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(  &
                        nGC_65)*coupl(nGC_68) + 20d0*cima*coupl(nGC_23)*coupl( &
                        nGC_36)*coupl(nGC_69)*coupl(nGC_72) + 20d0*cima*coupl( &
                        nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_84) -    &
                        16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*   &
                        coupl(nGC_68) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)* &
                        coupl(nGC_69)*coupl(nGC_72) - 16d0*cima*coupl(nGC_23)* &
                        coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_84) - 16d0*cima* &
                        coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_68 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69 &
                        )*coupl(nGC_72) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_81)*coupl(nGC_84) + 4d0*cima*coupl(nGC_238 &
                        )*coupl(nGC_37)**2d0*coupl(nGC_40) + 24d0*cima*coupl(  &
                        nGC_28)*coupl(nGC_612) - 6d0*coupl(nGC_162)*coupl(     &
                        nGC_17)*coupl(nGC_238) - 6d0*coupl(nGC_162)*coupl(     &
                        nGC_238)*coupl(nGC_45) + 36d0*coupl(nGC_162)*coupl(    &
                        nGC_25)*coupl(nGC_9) + 36d0*coupl(nGC_162)*coupl(nGC_28&
                        )*coupl(nGC_3) - 6d0*coupl(nGC_162)*coupl(nGC_544)*    &
                        coupl(nGC_9) - 6d0*coupl(nGC_17)*coupl(nGC_238)*coupl( &
                        nGC_25) - 6d0*coupl(nGC_174)*coupl(nGC_238)*coupl(     &
                        nGC_42) - 6d0*coupl(nGC_174)*coupl(nGC_342)*coupl(nGC_9&
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_21)*coupl(nGC_802) -   &
                        6d0*coupl(nGC_19)*coupl(nGC_238)*coupl(nGC_544) + 6d0* &
                        coupl(nGC_22)**2d0*coupl(nGC_9) + 6d0*coupl(nGC_22)*   &
                        coupl(nGC_8)*coupl(nGC_966) - 6d0*coupl(nGC_238)*coupl(&
                        nGC_25)*coupl(nGC_46) - 6d0*coupl(nGC_238)*coupl(      &
                        nGC_342)*coupl(nGC_612) - 6d0*coupl(nGC_25)*coupl(nGC_8&
                        )*coupl(nGC_802) + 6d0*coupl(nGC_37)*coupl(nGC_40)*    &
                        coupl(nGC_8))/(192d0*pi**2d0)
      coupl(nGC_3499) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_87) + 9d0*cima*coupl(nGC_162)*coupl(nGC_21)*coupl( &
                        nGC_25)*coupl(nGC_544) + 9d0*cima*coupl(nGC_162)*coupl(&
                        nGC_238)*coupl(nGC_25)*coupl(nGC_37) + 9d0*cima*coupl( &
                        nGC_174)*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_342) +  &
                        24d0*cima*coupl(nGC_19)*coupl(nGC_8) + 4d0*cima*coupl( &
                        nGC_21)*coupl(nGC_40)*coupl(nGC_802)**2d0 + 4d0*cima*  &
                        coupl(nGC_22)**2d0*coupl(nGC_308)*coupl(nGC_40) + 4d0* &
                        cima*coupl(nGC_22)*coupl(nGC_308)*coupl(nGC_37)*coupl( &
                        nGC_966) + 4d0*cima*coupl(nGC_22)*coupl(nGC_308)*coupl(&
                        nGC_802)*coupl(nGC_966) + 20d0*cima*coupl(nGC_23)*coupl&
                        (nGC_36)*coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(&
                        nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) +    &
                        20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*   &
                        coupl(nGC_83) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)* &
                        coupl(nGC_65)*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)* &
                        coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima* &
                        coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65 &
                        )*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_83) + 4d0*cima*&
                        coupl(nGC_238)*coupl(nGC_40)*coupl(nGC_544)*coupl(     &
                        nGC_802) + 24d0*cima*coupl(nGC_27)*coupl(nGC_612) + 4d0&
                        *cima*coupl(nGC_308)*coupl(nGC_40)*coupl(nGC_966)**2d0 &
                         - 6d0*coupl(nGC_162)*coupl(nGC_17)*coupl(nGC_21) - 6d0&
                        *coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_45) + 36d0*    &
                        coupl(nGC_162)*coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(&
                        nGC_162)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_162&
                        )*coupl(nGC_544)*coupl(nGC_8) - 6d0*coupl(nGC_17)*coupl&
                        (nGC_21)*coupl(nGC_25) - 6d0*coupl(nGC_174)*coupl(     &
                        nGC_21)*coupl(nGC_42) - 6d0*coupl(nGC_174)*coupl(      &
                        nGC_342)*coupl(nGC_8) - 6d0*coupl(nGC_19)*coupl(nGC_21 &
                        )*coupl(nGC_544) - 6d0*coupl(nGC_19)*coupl(nGC_238)*   &
                        coupl(nGC_37) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl( &
                        nGC_46) - 6d0*coupl(nGC_21)*coupl(nGC_342)*coupl(      &
                        nGC_612) + 6d0*coupl(nGC_22)*coupl(nGC_308)*coupl(nGC_9&
                        ) - 6d0*coupl(nGC_25)*coupl(nGC_37)*coupl(nGC_9) + 6d0*&
                        coupl(nGC_308)*coupl(nGC_8)*coupl(nGC_966) + 6d0*coupl(&
                        nGC_40)*coupl(nGC_802)*coupl(nGC_9))/(192d0*pi**2d0)
      coupl(nGC_3317) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) +   &
                        4d0*Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*&
                        Nc*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc* &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_238)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_22)**2d0*coupl(&
                        nGC_966) - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_67&
                        ) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_71) - 4d0&
                        *coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83) + coupl(    &
                        nGC_238)*coupl(nGC_544)*coupl(nGC_802) + coupl(nGC_308 &
                        )**2d0*coupl(nGC_966))/(96d0*pi**2d0)
      coupl(nGC_3316) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*&
                        Nc*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc* &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_20)*coupl(nGC_802) + coupl(nGC_20)* &
                        coupl(nGC_37)*coupl(nGC_544) + coupl(nGC_22)**3d0 +    &
                        coupl(nGC_22)*coupl(nGC_308)**2d0 - 4d0*coupl(nGC_23)* &
                        coupl(nGC_65)*coupl(nGC_66) - 4d0*coupl(nGC_23)*coupl( &
                        nGC_69)*coupl(nGC_70) - 4d0*coupl(nGC_23)*coupl(nGC_81 &
                        )*coupl(nGC_82) - 6d0*coupl(nGC_238)*coupl(nGC_25)*    &
                        coupl(nGC_40) - 6d0*coupl(nGC_238)*coupl(nGC_3)*coupl( &
                        nGC_4))/(96d0*pi**2d0)
      coupl(nGC_3315) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*    &
                        coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57 &
                        )**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*&
                        Nc*coupl(nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(    &
                        nGC_38)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl&
                        (nGC_77)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0&
                         - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*   &
                        coupl(nGC_39)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39 &
                        )*coupl(nGC_73)**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_25)*&
                        coupl(nGC_966) + coupl(nGC_21)*coupl(nGC_22)*coupl(    &
                        nGC_37) - 6d0*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_25&
                        ) + coupl(nGC_238)*coupl(nGC_308)*coupl(nGC_802) +     &
                        coupl(nGC_342)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_36)* &
                        coupl(nGC_65)**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_69)** &
                        2d0 + 4d0*coupl(nGC_36)*coupl(nGC_81)**2d0 + coupl(    &
                        nGC_40)*coupl(nGC_544)**2d0 - 4d0*coupl(nGC_41)*coupl( &
                        nGC_65)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_69)**2d0 -  &
                        4d0*coupl(nGC_41)*coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3314) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc* &
                        cMB*coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*&
                        cMB*coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl&
                        (nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*&
                        coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*&
                        coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*    &
                        coupl(nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*&
                        coupl(nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85  &
                        )**2d0 + 4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + &
                        4d0*Nc*cMS*coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + &
                        4d0*Nc*cMS*coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*  &
                        cMT*coupl(nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl&
                        (nGC_53)*coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl&
                        (nGC_77)**2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61  &
                        )**2d0*coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl( &
                        nGC_63)*coupl(nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0* &
                        coupl(nGC_87) + 4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67&
                        ) + 4d0*cMM*coupl(nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA&
                        *coupl(nGC_81)**2d0*coupl(nGC_83) + 4d0*cima*coupl(    &
                        nGC_17)*coupl(nGC_50) + 8d0*cima*coupl(nGC_27)*coupl(  &
                        nGC_51) + 2d0*cima*coupl(nGC_45)*coupl(nGC_52) + 8d0*  &
                        cima*coupl(nGC_47)*coupl(nGC_8) + coupl(nGC_20)*coupl( &
                        nGC_21)*coupl(nGC_48) - coupl(nGC_20)*coupl(nGC_50)*   &
                        coupl(nGC_966) + coupl(nGC_21)*coupl(nGC_308)*coupl(   &
                        nGC_49) - coupl(nGC_21)*coupl(nGC_342)*coupl(nGC_51) - &
                        coupl(nGC_21)*coupl(nGC_47)*coupl(nGC_544) + coupl(    &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_48) - coupl(nGC_22)*  &
                        coupl(nGC_238)*coupl(nGC_50) - coupl(nGC_22)*coupl(    &
                        nGC_47)*coupl(nGC_802) - coupl(nGC_238)*coupl(nGC_37)* &
                        coupl(nGC_47) - coupl(nGC_308)*coupl(nGC_342)*coupl(   &
                        nGC_51) - coupl(nGC_308)*coupl(nGC_47)*coupl(nGC_544   &
                        ) + coupl(nGC_308)*coupl(nGC_48)*coupl(nGC_966) + coupl&
                        (nGC_342)**2d0*coupl(nGC_48) - coupl(nGC_40)**2d0*coupl&
                        (nGC_52) + coupl(nGC_48)*coupl(nGC_544)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_3256) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_174)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)** &
                        2d0 - 2d0*cMW**2d0*coupl(nGC_170))/(16d0*pi**2d0)
      coupl(nGC_5930) = coupl(nGC_3629) + coupl(nGC_55)*dZbL_QCD2/2d0 + coupl( &
                        nGC_55)*dZbR_QCD2/2d0
      coupl(nGC_5126) = coupl(nGC_3580) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(  &
                        nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +   &
                        coupl(nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_5892) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtR_QCD2 + &
                        coupl(nGC_3592)
      coupl(nGC_5893) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtL_QCD2 + &
                        coupl(nGC_3592)
      coupl(nGC_5006) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_3596) + coupl(  &
                        nGC_38)*dZZ_QED2/2d0 + coupl(nGC_38)*dZdL_QED2
      coupl(nGC_5514) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_3596) + coupl(  &
                        nGC_38)*dZZ_QED2/2d0 + coupl(nGC_38)*dZbL_QED2
      coupl(nGC_5948) = coupl(nGC_3581) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(  &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_5344) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZuR_QCD2 + &
                        coupl(nGC_3592)
      coupl(nGC_5345) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZuL_QCD2 + &
                        coupl(nGC_3592)
      coupl(nGC_5224) = -coupl(nGC_20)*dZH_QED2/2d0 - coupl(nGC_20)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_3577)
      coupl(nGC_3345) = (-coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_82) - coupl(   &
                        nGC_23)*coupl(nGC_83)*coupl(nGC_966) - coupl(nGC_342)* &
                        coupl(nGC_4)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(  &
                        nGC_41)*coupl(nGC_81) - coupl(nGC_36)*coupl(nGC_544)*  &
                        coupl(nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(     &
                        nGC_81))/(32d0*pi**2d0)
      coupl(nGC_3338) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_2)*coupl(&
                        nGC_342)*coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*  &
                        coupl(nGC_78) + coupl(nGC_23)*coupl(nGC_79)*coupl(     &
                        nGC_966) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77&
                        ) + coupl(nGC_35)*coupl(nGC_544)*coupl(nGC_77) + coupl(&
                        nGC_38)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*   &
                        coupl(nGC_55)*coupl(nGC_79) - coupl(nGC_53)*coupl(     &
                        nGC_56)*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_3335) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0&
                        *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*&
                        coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_21)*coupl(nGC_544) - 6d0*coupl(     &
                        nGC_174)*coupl(nGC_21)*coupl(nGC_342) + coupl(nGC_22)**&
                        2d0*coupl(nGC_308) + 4d0*coupl(nGC_23)*coupl(nGC_65)*  &
                        coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl( &
                        nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83 &
                        ) - 6d0*coupl(nGC_238)*coupl(nGC_25)*coupl(nGC_37) +   &
                        coupl(nGC_238)*coupl(nGC_40)*coupl(nGC_802) + coupl(   &
                        nGC_308)*coupl(nGC_966)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3334) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0&
                        *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*&
                        coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_238)*coupl(nGC_544) - 6d0*coupl(    &
                        nGC_174)*coupl(nGC_238)*coupl(nGC_342) - 6d0*coupl(    &
                        nGC_21)*coupl(nGC_25)*coupl(nGC_802) + coupl(nGC_21)*  &
                        coupl(nGC_37)*coupl(nGC_40) + coupl(nGC_22)**3d0 +     &
                        coupl(nGC_22)*coupl(nGC_966)**2d0 + 4d0*coupl(nGC_23)* &
                        coupl(nGC_65)*coupl(nGC_68) + 4d0*coupl(nGC_23)*coupl( &
                        nGC_69)*coupl(nGC_72) + 4d0*coupl(nGC_23)*coupl(nGC_81 &
                        )*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_5421) = -coupl(nGC_24)*dZWMinus_QED2/2d0 - coupl(nGC_3561)
      coupl(nGC_3336) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53&
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53&
                        ) + 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57&
                        ) + 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61&
                        ) + 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73&
                        ) + 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77&
                        ) + 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85&
                        ) + 2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65   &
                        ) + 2d0*cMM*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69   &
                        ) + 2d0*cMTA*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81  &
                        ) + 4d0*cima*coupl(nGC_19)*coupl(nGC_47) + 4d0*cima*   &
                        coupl(nGC_51)*coupl(nGC_612) - coupl(nGC_162)*coupl(   &
                        nGC_21)*coupl(nGC_50) + 6d0*coupl(nGC_162)*coupl(nGC_25&
                        )*coupl(nGC_47) + 6d0*coupl(nGC_162)*coupl(nGC_3)*coupl&
                        (nGC_51) - coupl(nGC_162)*coupl(nGC_52)*coupl(nGC_966  &
                        ) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_47) - coupl( &
                        nGC_3)*coupl(nGC_4)*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_6238) = -coupl(nGC_22)*dZWMinus_QED2/2d0 - coupl(nGC_3574)
      coupl(nGC_10262) = -coupl(nGC_3316)
      coupl(nGC_5970) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3574)
      coupl(nGC_3292) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc* &
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(&
                        nGC_1)**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**  &
                        2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                        nGC_79) - 8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - &
                        8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl&
                        (nGC_4)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0&
                        *coupl(nGC_83) + 4d0*cima*coupl(nGC_170)*coupl(nGC_50  &
                        ) + 6d0*coupl(nGC_174)**2d0*coupl(nGC_50) - coupl(     &
                        nGC_174)*coupl(nGC_20)*coupl(nGC_51) - coupl(nGC_174)* &
                        coupl(nGC_51)*coupl(nGC_966) - coupl(nGC_21)*coupl(    &
                        nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_3)**2d0*coupl(    &
                        nGC_50) - coupl(nGC_3)*coupl(nGC_308)*coupl(nGC_51))/( &
                        32d0*pi**2d0)
      coupl(nGC_3293) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75 &
                        ) - 4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79 &
                        ) - 4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79 &
                        ) - 4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87 &
                        ) - 4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87 &
                        ) - 4d0*cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - 4d0*&
                        cMM*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*&
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71) - 4d0*cMTA*   &
                        coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_83) - 4d0*cMTA*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83) + 4d0*cima*   &
                        coupl(nGC_29)*coupl(nGC_50) + 6d0*coupl(nGC_162)*coupl(&
                        nGC_174)*coupl(nGC_50) - coupl(nGC_162)*coupl(nGC_20)* &
                        coupl(nGC_51) - coupl(nGC_174)*coupl(nGC_47)*coupl(    &
                        nGC_966) - coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_51) + &
                        6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_50) - coupl(  &
                        nGC_3)*coupl(nGC_308)*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_3291) = (-6d0*coupl(nGC_174)*coupl(nGC_20)*coupl(nGC_22) - 6d0*&
                        coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_3) + coupl(      &
                        nGC_238)*coupl(nGC_308)*coupl(nGC_4) + coupl(nGC_238)* &
                        coupl(nGC_342)*coupl(nGC_966))/(96d0*pi**2d0)
      coupl(nGC_5653) = coupl(nGC_11)*dZbR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3592)
      coupl(nGC_3492) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_53)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_57)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_61)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_73)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_77)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_85)**2d0 +   &
                        9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_20)*coupl(      &
                        nGC_966) + 9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_22)* &
                        coupl(nGC_238) + 9d0*cima*coupl(nGC_162)**2d0*coupl(   &
                        nGC_40)**2d0 + 18d0*cima*coupl(nGC_162)*coupl(nGC_174)*&
                        coupl(nGC_4)*coupl(nGC_40) + 24d0*cima*coupl(nGC_17)*  &
                        coupl(nGC_18) + 12d0*cima*coupl(nGC_170)*coupl(nGC_6   &
                        ) + 9d0*cima*coupl(nGC_174)**2d0*coupl(nGC_20)*coupl(  &
                        nGC_966) + 9d0*cima*coupl(nGC_174)**2d0*coupl(nGC_22)* &
                        coupl(nGC_238) + 9d0*cima*coupl(nGC_174)**2d0*coupl(   &
                        nGC_4)**2d0 + 4d0*cima*coupl(nGC_20)*coupl(nGC_21)*    &
                        coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_20)*coupl(     &
                        nGC_21)*coupl(nGC_308)*coupl(nGC_966) + 4d0*cima*coupl(&
                        nGC_20)*coupl(nGC_342)**2d0*coupl(nGC_966) + 4d0*cima* &
                        coupl(nGC_20)*coupl(nGC_544)**2d0*coupl(nGC_966) + 4d0*&
                        cima*coupl(nGC_21)**2d0*coupl(nGC_22)**2d0 + 4d0*cima* &
                        coupl(nGC_21)**2d0*coupl(nGC_308)**2d0 + 8d0*cima*coupl&
                        (nGC_22)**2d0*coupl(nGC_238)**2d0 + 4d0*cima*coupl(    &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_342)**2d0 + 4d0*cima* &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_544)**2d0 - 16d0&
                        *cima*coupl(nGC_23)**2d0*coupl(nGC_65)**2d0 - 16d0*cima&
                        *coupl(nGC_23)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*    &
                        coupl(nGC_23)**2d0*coupl(nGC_81)**2d0 + 4d0*cima*coupl(&
                        nGC_238)**2d0*coupl(nGC_308)**2d0 + 4d0*cima*coupl(    &
                        nGC_238)**2d0*coupl(nGC_308)*coupl(nGC_966) + 9d0*cima*&
                        coupl(nGC_25)**2d0*coupl(nGC_40)**2d0 + 18d0*cima*coupl&
                        (nGC_25)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_40) + 12d0&
                        *cima*coupl(nGC_282)*coupl(nGC_45) + 24d0*cima*coupl(  &
                        nGC_29)*coupl(nGC_42) + 9d0*cima*coupl(nGC_3)**2d0*    &
                        coupl(nGC_4)**2d0 + 36d0*coupl(nGC_162)**2d0*coupl(    &
                        nGC_17) - 12d0*coupl(nGC_162)*coupl(nGC_17)*coupl(     &
                        nGC_40) - 6d0*coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_8 &
                        ) - 6d0*coupl(nGC_162)*coupl(nGC_22)*coupl(nGC_7) - 6d0&
                        *coupl(nGC_162)*coupl(nGC_238)*coupl(nGC_9) - 6d0*coupl&
                        (nGC_162)*coupl(nGC_8)*coupl(nGC_966) + 36d0*coupl(    &
                        nGC_17)*coupl(nGC_174)**2d0 - 12d0*coupl(nGC_17)*coupl(&
                        nGC_174)*coupl(nGC_4) + 6d0*coupl(nGC_17)*coupl(nGC_21 &
                        )*coupl(nGC_308) + 6d0*coupl(nGC_17)*coupl(nGC_22)*    &
                        coupl(nGC_238) - 12d0*coupl(nGC_17)*coupl(nGC_25)*coupl&
                        (nGC_40) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_4 &
                        ) + 6d0*coupl(nGC_17)*coupl(nGC_342)**2d0 + 6d0*coupl( &
                        nGC_17)*coupl(nGC_544)**2d0 - 6d0*coupl(nGC_170)*coupl(&
                        nGC_4)**2d0 - 6d0*coupl(nGC_174)*coupl(nGC_20)*coupl(  &
                        nGC_27) - 6d0*coupl(nGC_174)*coupl(nGC_22)*coupl(nGC_26&
                        ) - 6d0*coupl(nGC_174)*coupl(nGC_238)*coupl(nGC_28) -  &
                        6d0*coupl(nGC_174)*coupl(nGC_27)*coupl(nGC_966) - 6d0* &
                        coupl(nGC_18)*coupl(nGC_20)*coupl(nGC_966) - 6d0*coupl(&
                        nGC_18)*coupl(nGC_22)*coupl(nGC_238) + 36d0*coupl(     &
                        nGC_25)**2d0*coupl(nGC_45) + 72d0*coupl(nGC_25)*coupl( &
                        nGC_3)*coupl(nGC_42) - 6d0*coupl(nGC_282)*coupl(nGC_40 &
                        )**2d0 - 12d0*coupl(nGC_29)*coupl(nGC_4)*coupl(nGC_40  &
                        ) + 36d0*coupl(nGC_3)**2d0*coupl(nGC_6))/(192d0*pi**2d0&
                        )
      coupl(nGC_5142) = coupl(nGC_11)*dZdR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3592)
      coupl(nGC_5143) = coupl(nGC_11)*dZdL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3592)
      coupl(nGC_6574) = coupl(nGC_3633) + coupl(nGC_68)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_68)*dZeMinusR_QED2/2d0
      coupl(nGC_5737) = coupl(nGC_3681) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_7112) = coupl(nGC_3565) + coupl(nGC_HHHH)
      coupl(nGC_5867) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 + &
                        coupl(nGC_3578)
      coupl(nGC_5367) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +  &
                        coupl(nGC_3593)
      coupl(nGC_9553) = -coupl(nGC_3317)
      coupl(nGC_3347) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) +   &
                        4d0*Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*&
                        Nc*coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc* &
                        coupl(nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_59) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_79) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_59) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_59)*coupl(nGC_60) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_79) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_79)*coupl(nGC_80) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_20)*coupl(nGC_22) - 6d0*coupl(nGC_21&
                        )*coupl(nGC_22)*coupl(nGC_25) + coupl(nGC_238)*coupl(  &
                        nGC_308)*coupl(nGC_40) + coupl(nGC_238)*coupl(nGC_544)*&
                        coupl(nGC_966) - 4d0*coupl(nGC_36)*coupl(nGC_66)*coupl(&
                        nGC_67) + 4d0*coupl(nGC_36)*coupl(nGC_67)*coupl(nGC_68 &
                        ) - 4d0*coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71) + 4d0&
                        *coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) - 4d0*coupl(&
                        nGC_36)*coupl(nGC_82)*coupl(nGC_83) + 4d0*coupl(nGC_36 &
                        )*coupl(nGC_83)*coupl(nGC_84) + 4d0*coupl(nGC_40)*coupl&
                        (nGC_66)*coupl(nGC_67) - 4d0*coupl(nGC_40)*coupl(nGC_67&
                        )*coupl(nGC_68) + 4d0*coupl(nGC_40)*coupl(nGC_70)*coupl&
                        (nGC_71) - 4d0*coupl(nGC_40)*coupl(nGC_71)*coupl(nGC_72&
                        ) + 4d0*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_83) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_83)*coupl(nGC_84) + coupl(    &
                        nGC_802)**3d0)/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
