!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_3340) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(  &
                        nGC_1)*coupl(nGC_342)*coupl(nGC_73) - coupl(nGC_2)*    &
                        coupl(nGC_4)*coupl(nGC_73) - coupl(nGC_22)*coupl(nGC_23&
                        )*coupl(nGC_74) - coupl(nGC_23)*coupl(nGC_75)*coupl(   &
                        nGC_966) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73&
                        ) - coupl(nGC_34)*coupl(nGC_544)*coupl(nGC_73) - coupl(&
                        nGC_39)*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*   &
                        coupl(nGC_59)*coupl(nGC_75) - coupl(nGC_57)*coupl(     &
                        nGC_60)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_3342) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_2)*coupl(&
                        nGC_342)*coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*  &
                        coupl(nGC_86) + coupl(nGC_23)*coupl(nGC_87)*coupl(     &
                        nGC_966) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85&
                        ) + coupl(nGC_35)*coupl(nGC_544)*coupl(nGC_85) + coupl(&
                        nGC_38)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*   &
                        coupl(nGC_63)*coupl(nGC_87) - coupl(nGC_61)*coupl(     &
                        nGC_64)*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_6050) = coupl(nGC_3627) + coupl(nGC_75)*dZsL_QCD2/2d0 + coupl( &
                        nGC_75)*dZsR_QCD2/2d0
      coupl(nGC_5328) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0  &
                         + coupl(nGC_3593)
      coupl(nGC_3513) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55  &
                        )**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl&
                        (nGC_63)**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38&
                        )*coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*&
                        coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35 &
                        )*coupl(nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_35)*coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 + 9d0*cima* &
                        coupl(nGC_162)**2d0*coupl(nGC_20)*coupl(nGC_966) + 12d0&
                        *cima*coupl(nGC_17)*coupl(nGC_282) + 4d0*cima*coupl(   &
                        nGC_20)*coupl(nGC_544)**2d0*coupl(nGC_966) + 9d0*cima* &
                        coupl(nGC_21)*coupl(nGC_25)**2d0*coupl(nGC_308) + 4d0* &
                        cima*coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_40)**2d0 - &
                        32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*&
                        cima*coupl(nGC_36)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*&
                        coupl(nGC_36)**2d0*coupl(nGC_83)**2d0 + 40d0*cima*coupl&
                        (nGC_36)*coupl(nGC_40)*coupl(nGC_67)**2d0 + 40d0*cima* &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_71)**2d0 + 40d0* &
                        cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83)**2d0 +  &
                        4d0*cima*coupl(nGC_37)**2d0*coupl(nGC_802)**2d0 - 32d0*&
                        cima*coupl(nGC_40)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*&
                        coupl(nGC_40)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl&
                        (nGC_40)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(nGC_162  &
                        )**2d0*coupl(nGC_17) - 6d0*coupl(nGC_162)*coupl(nGC_20 &
                        )*coupl(nGC_8) - 6d0*coupl(nGC_162)*coupl(nGC_8)*coupl(&
                        nGC_966) + 18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 - 3d0*&
                        coupl(nGC_20)*coupl(nGC_282)*coupl(nGC_966) + 3d0*coupl&
                        (nGC_20)*coupl(nGC_45)*coupl(nGC_966) - 6d0*coupl(     &
                        nGC_21)*coupl(nGC_25)*coupl(nGC_8) - 3d0*coupl(nGC_21)*&
                        coupl(nGC_282)*coupl(nGC_308) + 3d0*coupl(nGC_21)*coupl&
                        (nGC_308)*coupl(nGC_45) - 6d0*coupl(nGC_25)*coupl(     &
                        nGC_308)*coupl(nGC_8) + 3d0*coupl(nGC_37)*coupl(nGC_46 &
                        )*coupl(nGC_802))/(96d0*pi**2d0)
      coupl(nGC_5179) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsL_QCD2 + &
                        coupl(nGC_3592)
      coupl(nGC_5071) = coupl(nGC_3620) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl( &
                        nGC_54)*dZbR_QED2/2d0
      coupl(nGC_6756) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3577)
      coupl(nGC_4937) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0&
                         + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3572) + &
                        coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_3378) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 &
                         + 8d0*Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67&
                        )**3d0 + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(  &
                        nGC_83)**3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +  &
                        2d0*cima*coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_20)*  &
                        coupl(nGC_48)*coupl(nGC_966) - coupl(nGC_20)*coupl(    &
                        nGC_50)*coupl(nGC_966) + coupl(nGC_21)*coupl(nGC_308)* &
                        coupl(nGC_48) - coupl(nGC_21)*coupl(nGC_308)*coupl(    &
                        nGC_50) + coupl(nGC_37)*coupl(nGC_48)*coupl(nGC_802) - &
                        coupl(nGC_37)*coupl(nGC_52)*coupl(nGC_802))/(32d0*pi** &
                        2d0)
      coupl(nGC_3504) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +  &
                        80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(   &
                        nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56 &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*&
                        coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl( &
                        nGC_60)**2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(  &
                        nGC_63)**2d0 + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63 &
                        )**2d0*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0*&
                        coupl(nGC_64)**2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*  &
                        coupl(nGC_75)**2d0 + 80d0*Nc*cima*coupl(nGC_74)*coupl( &
                        nGC_75)**2d0*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_75 &
                        )**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima*coupl(nGC_78  &
                        )**2d0*coupl(nGC_79)**2d0 + 80d0*Nc*cima*coupl(nGC_78)*&
                        coupl(nGC_79)**2d0*coupl(nGC_80) + 20d0*Nc*cima*coupl( &
                        nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_86)**2d0*coupl(nGC_87)**2d0 + 80d0*Nc*cima*coupl(  &
                        nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + 20d0*Nc*cima&
                        *coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 + 12d0*cima*    &
                        coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(&
                        nGC_22)**2d0 - 20d0*cima*coupl(nGC_20)*coupl(nGC_22)*  &
                        coupl(nGC_238)*coupl(nGC_966) - 5d0*cima*coupl(nGC_21  &
                        )**2d0*coupl(nGC_22)**2d0 - 20d0*cima*coupl(nGC_21)*   &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_308) - 5d0*cima*&
                        coupl(nGC_238)**2d0*coupl(nGC_308)**2d0 - 5d0*cima*    &
                        coupl(nGC_238)**2d0*coupl(nGC_966)**2d0 - 10d0*cima*   &
                        coupl(nGC_37)**2d0*coupl(nGC_802)**2d0 + 6d0*cima*coupl&
                        (nGC_46)**2d0 + 20d0*cima*coupl(nGC_66)**2d0*coupl(    &
                        nGC_67)**2d0 + 80d0*cima*coupl(nGC_66)*coupl(nGC_67)** &
                        2d0*coupl(nGC_68) + 20d0*cima*coupl(nGC_67)**2d0*coupl(&
                        nGC_68)**2d0 + 20d0*cima*coupl(nGC_70)**2d0*coupl(     &
                        nGC_71)**2d0 + 80d0*cima*coupl(nGC_70)*coupl(nGC_71)** &
                        2d0*coupl(nGC_72) + 20d0*cima*coupl(nGC_71)**2d0*coupl(&
                        nGC_72)**2d0 + 20d0*cima*coupl(nGC_82)**2d0*coupl(     &
                        nGC_83)**2d0 + 80d0*cima*coupl(nGC_82)*coupl(nGC_83)** &
                        2d0*coupl(nGC_84) + 20d0*cima*coupl(nGC_83)**2d0*coupl(&
                        nGC_84)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_20)*coupl(  &
                        nGC_966) + 3d0*coupl(nGC_13)*coupl(nGC_21)*coupl(      &
                        nGC_308) + 6d0*coupl(nGC_13)*coupl(nGC_22)*coupl(      &
                        nGC_238) + 6d0*coupl(nGC_13)*coupl(nGC_37)**2d0 + 6d0* &
                        coupl(nGC_13)*coupl(nGC_802)**2d0 + 6d0*coupl(nGC_15)* &
                        coupl(nGC_37)*coupl(nGC_802) - 3d0*coupl(nGC_17)*coupl(&
                        nGC_20)*coupl(nGC_966) - 3d0*coupl(nGC_17)*coupl(nGC_21&
                        )*coupl(nGC_308) - 6d0*coupl(nGC_17)*coupl(nGC_22)*    &
                        coupl(nGC_238) - 6d0*coupl(nGC_37)*coupl(nGC_46)*coupl(&
                        nGC_802))/(96d0*pi**2d0)
      coupl(nGC_3469) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 16d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 -   &
                        8d0*cima*coupl(nGC_174)**2d0*coupl(nGC_25)**2d0 - 24d0*&
                        cima*coupl(nGC_174)**2d0*coupl(nGC_3)**2d0 - 12d0*cima*&
                        coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 + 12d0*cima*coupl(&
                        nGC_5)**2d0 + 12d0*cima*coupl(nGC_612)**2d0 + 3d0*coupl&
                        (nGC_162)**2d0*coupl(nGC_5) + 36d0*coupl(nGC_162)*coupl&
                        (nGC_3)*coupl(nGC_612) + 6d0*coupl(nGC_170)*coupl(     &
                        nGC_174)*coupl(nGC_3) + 3d0*coupl(nGC_174)**2d0*coupl( &
                        nGC_356) + 3d0*coupl(nGC_174)**2d0*coupl(nGC_5) + 6d0* &
                        coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_29) + 36d0*coupl&
                        (nGC_174)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(nGC_18 &
                        )*coupl(nGC_3)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3503) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl( &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58 &
                        )*coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl&
                        (nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(  &
                        nGC_23)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima&
                        *coupl(nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 9d0* &
                        cima*coupl(nGC_162)**2d0*coupl(nGC_22)*coupl(nGC_238   &
                        ) + 9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_37)*coupl(  &
                        nGC_802) + 24d0*cima*coupl(nGC_17)*coupl(nGC_18) + 9d0*&
                        cima*coupl(nGC_174)**2d0*coupl(nGC_22)*coupl(nGC_238   &
                        ) + 4d0*cima*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_238 &
                        )*coupl(nGC_966) + 4d0*cima*coupl(nGC_20)*coupl(nGC_37 &
                        )*coupl(nGC_802)*coupl(nGC_966) + 4d0*cima*coupl(nGC_21&
                        )*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_308) + 4d0*   &
                        cima*coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_37)*coupl( &
                        nGC_802) + 8d0*cima*coupl(nGC_22)**2d0*coupl(nGC_238)**&
                        2d0 + 9d0*cima*coupl(nGC_22)*coupl(nGC_238)*coupl(     &
                        nGC_25)**2d0 + 9d0*cima*coupl(nGC_22)*coupl(nGC_238)*  &
                        coupl(nGC_3)**2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl(&
                        nGC_66)*coupl(nGC_68) - 32d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_70)*coupl(nGC_72) - 32d0*cima*coupl(nGC_23)**&
                        2d0*coupl(nGC_82)*coupl(nGC_84) + 9d0*cima*coupl(nGC_25&
                        )**2d0*coupl(nGC_37)*coupl(nGC_802) + 12d0*cima*coupl( &
                        nGC_282)*coupl(nGC_46) + 36d0*coupl(nGC_162)**2d0*coupl&
                        (nGC_17) - 6d0*coupl(nGC_162)*coupl(nGC_22)*coupl(nGC_9&
                        ) - 6d0*coupl(nGC_162)*coupl(nGC_238)*coupl(nGC_7) +   &
                        36d0*coupl(nGC_17)*coupl(nGC_174)**2d0 + 12d0*coupl(   &
                        nGC_17)*coupl(nGC_22)*coupl(nGC_238) + 6d0*coupl(nGC_17&
                        )*coupl(nGC_37)*coupl(nGC_802) - 6d0*coupl(nGC_174)*   &
                        coupl(nGC_22)*coupl(nGC_28) - 6d0*coupl(nGC_174)*coupl(&
                        nGC_238)*coupl(nGC_26) - 12d0*coupl(nGC_18)*coupl(     &
                        nGC_22)*coupl(nGC_238) - 6d0*coupl(nGC_22)*coupl(nGC_25&
                        )*coupl(nGC_7) - 6d0*coupl(nGC_22)*coupl(nGC_26)*coupl(&
                        nGC_3) - 6d0*coupl(nGC_238)*coupl(nGC_25)*coupl(nGC_9  &
                        ) - 6d0*coupl(nGC_238)*coupl(nGC_28)*coupl(nGC_3) +    &
                        36d0*coupl(nGC_25)**2d0*coupl(nGC_46) - 6d0*coupl(     &
                        nGC_282)*coupl(nGC_37)*coupl(nGC_802))/(192d0*pi**2d0)
      coupl(nGC_9505) = -coupl(nGC_3291)
      coupl(nGC_5490) = -coupl(nGC_24)*dZZ_QED2/2d0 - coupl(nGC_3561) - coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_5165) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZeMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_4949) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_3595) + coupl(  &
                        nGC_39)*dZZ_QED2/2d0 + coupl(nGC_39)*dZcL_QED2
      coupl(nGC_4948) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0&
                         + coupl(nGC_35)*dZcR_QED2 + coupl(nGC_3594)
      coupl(nGC_5716) = -coupl(nGC_3581) - coupl(nGC_37)*dZH_QED2/2d0 - coupl( &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_4940) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3578)
      coupl(nGC_5654) = coupl(nGC_11)*dZbL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3592)
      coupl(nGC_3478) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_75) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_55) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_79) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_544) + 9d0*cima*&
                        coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_342&
                        ) + 9d0*cima*coupl(nGC_174)*coupl(nGC_238)*coupl(nGC_25&
                        )*coupl(nGC_37) + 4d0*cima*coupl(nGC_22)**2d0*coupl(   &
                        nGC_308)*coupl(nGC_4) + 4d0*cima*coupl(nGC_23)*coupl(  &
                        nGC_4)*coupl(nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(   &
                        nGC_83) + 4d0*cima*coupl(nGC_238)*coupl(nGC_342)*coupl(&
                        nGC_40)*coupl(nGC_802) + 24d0*cima*coupl(nGC_27)*coupl(&
                        nGC_5) + 4d0*cima*coupl(nGC_308)*coupl(nGC_4)*coupl(   &
                        nGC_966)**2d0 + 24d0*cima*coupl(nGC_612)*coupl(nGC_8   &
                        ) - 6d0*coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_42) -   &
                        6d0*coupl(nGC_17)*coupl(nGC_174)*coupl(nGC_21) - 6d0*  &
                        coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_3) - 6d0*coupl(  &
                        nGC_174)*coupl(nGC_21)*coupl(nGC_6) + 36d0*coupl(      &
                        nGC_174)*coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(      &
                        nGC_174)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_21 &
                        )*coupl(nGC_342)*coupl(nGC_5) - 6d0*coupl(nGC_21)*coupl&
                        (nGC_544)*coupl(nGC_612) + 6d0*coupl(nGC_22)*coupl(    &
                        nGC_28)*coupl(nGC_308) - 6d0*coupl(nGC_238)*coupl(     &
                        nGC_37)*coupl(nGC_612) - 6d0*coupl(nGC_25)*coupl(nGC_27&
                        )*coupl(nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl&
                        (nGC_37) - 6d0*coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_4  &
                        ) + 6d0*coupl(nGC_27)*coupl(nGC_308)*coupl(nGC_966) +  &
                        6d0*coupl(nGC_28)*coupl(nGC_40)*coupl(nGC_802))/(192d0*&
                        pi**2d0)
      coupl(nGC_3479) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 6d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 6d0*Nc*&
                        cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 6d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 - 20d0*cima*coupl&
                        (nGC_162)**2d0*coupl(nGC_174)**2d0 + 6d0*cima*coupl(   &
                        nGC_170)*coupl(nGC_282) - 20d0*cima*coupl(nGC_25)**2d0*&
                        coupl(nGC_3)**2d0 + 6d0*cima*coupl(nGC_36)**2d0*coupl( &
                        nGC_4)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40  &
                        )**2d0 + 9d0*coupl(nGC_162)**2d0*coupl(nGC_170) + 6d0* &
                        coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_612) + 9d0*    &
                        coupl(nGC_170)*coupl(nGC_25)**2d0 + 9d0*coupl(nGC_174  &
                        )**2d0*coupl(nGC_282) + 6d0*coupl(nGC_25)*coupl(nGC_3)*&
                        coupl(nGC_612) + 9d0*coupl(nGC_282)*coupl(nGC_3)**2d0  &
                        )/(48d0*pi**2d0)
      coupl(nGC_10102) = -coupl(nGC_3288)
      coupl(nGC_3507) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 +   &
                        9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_21)*coupl(      &
                        nGC_308) + 9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_37)* &
                        coupl(nGC_802) + 24d0*cima*coupl(nGC_17)*coupl(nGC_18  &
                        ) + 9d0*cima*coupl(nGC_174)**2d0*coupl(nGC_21)*coupl(  &
                        nGC_308) + 8d0*cima*coupl(nGC_20)*coupl(nGC_21)*coupl( &
                        nGC_308)*coupl(nGC_966) + 4d0*cima*coupl(nGC_20)*coupl(&
                        nGC_22)*coupl(nGC_238)*coupl(nGC_966) + 9d0*cima*coupl(&
                        nGC_20)*coupl(nGC_25)**2d0*coupl(nGC_966) + 9d0*cima*  &
                        coupl(nGC_20)*coupl(nGC_3)**2d0*coupl(nGC_966) + 4d0*  &
                        cima*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_238)*coupl( &
                        nGC_308) + 8d0*cima*coupl(nGC_22)*coupl(nGC_238)*coupl(&
                        nGC_37)*coupl(nGC_802) - 32d0*cima*coupl(nGC_23)**2d0* &
                        coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl&
                        (nGC_71)**2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl(    &
                        nGC_83)**2d0 + 9d0*cima*coupl(nGC_25)**2d0*coupl(nGC_37&
                        )*coupl(nGC_802) + 12d0*cima*coupl(nGC_282)*coupl(     &
                        nGC_46) + 36d0*coupl(nGC_162)**2d0*coupl(nGC_17) - 6d0*&
                        coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_8) - 6d0*coupl( &
                        nGC_162)*coupl(nGC_308)*coupl(nGC_8) + 36d0*coupl(     &
                        nGC_17)*coupl(nGC_174)**2d0 + 6d0*coupl(nGC_17)*coupl( &
                        nGC_20)*coupl(nGC_966) + 6d0*coupl(nGC_17)*coupl(nGC_21&
                        )*coupl(nGC_308) + 6d0*coupl(nGC_17)*coupl(nGC_37)*    &
                        coupl(nGC_802) - 6d0*coupl(nGC_174)*coupl(nGC_21)*coupl&
                        (nGC_27) - 6d0*coupl(nGC_174)*coupl(nGC_27)*coupl(     &
                        nGC_308) - 6d0*coupl(nGC_18)*coupl(nGC_20)*coupl(      &
                        nGC_966) - 6d0*coupl(nGC_18)*coupl(nGC_21)*coupl(      &
                        nGC_308) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8 &
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(nGC_3) + 36d0&
                        *coupl(nGC_25)**2d0*coupl(nGC_46) - 6d0*coupl(nGC_25)* &
                        coupl(nGC_8)*coupl(nGC_966) - 6d0*coupl(nGC_27)*coupl( &
                        nGC_3)*coupl(nGC_966) - 6d0*coupl(nGC_282)*coupl(nGC_37&
                        )*coupl(nGC_802))/(192d0*pi**2d0)
      coupl(nGC_3472) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)*&
                        coupl(nGC_64) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_74)*coupl(nGC_76) - 24d0*Nc*cima*coupl(nGC_2)**2d0*&
                        coupl(nGC_58)*coupl(nGC_60) - 24d0*Nc*cima*coupl(nGC_2 &
                        )**2d0*coupl(nGC_78)*coupl(nGC_80) - 24d0*Nc*cima*coupl&
                        (nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) + 12d0*cima*  &
                        coupl(nGC_17)*coupl(nGC_170) + 9d0*cima*coupl(nGC_174  &
                        )**2d0*coupl(nGC_22)*coupl(nGC_238) + 9d0*cima*coupl(  &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_3)**2d0 + 4d0*cima*   &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_342)**2d0 + 4d0*&
                        cima*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_4)**2d0 -  &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68 &
                        ) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_70)*coupl(   &
                        nGC_72) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_82)*   &
                        coupl(nGC_84) + 18d0*coupl(nGC_17)*coupl(nGC_174)**2d0 &
                         + 18d0*coupl(nGC_17)*coupl(nGC_3)**2d0 - 6d0*coupl(   &
                        nGC_170)*coupl(nGC_22)*coupl(nGC_238) - 6d0*coupl(     &
                        nGC_174)*coupl(nGC_22)*coupl(nGC_26) - 6d0*coupl(      &
                        nGC_174)*coupl(nGC_238)*coupl(nGC_28) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_6) - 6d0*coupl(nGC_22 &
                        )*coupl(nGC_28)*coupl(nGC_3) - 6d0*coupl(nGC_238)*coupl&
                        (nGC_26)*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_3473) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 -  &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_75)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_59)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_87)**2d0 +    &
                        12d0*cima*coupl(nGC_17)*coupl(nGC_170) + 9d0*cima*coupl&
                        (nGC_174)**2d0*coupl(nGC_20)*coupl(nGC_966) + 4d0*cima*&
                        coupl(nGC_20)*coupl(nGC_342)**2d0*coupl(nGC_966) + 9d0*&
                        cima*coupl(nGC_21)*coupl(nGC_3)**2d0*coupl(nGC_308) +  &
                        4d0*cima*coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_4)**2d0&
                         - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_67)**2d0 -    &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_71)**2d0 - 24d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(&
                        nGC_17)*coupl(nGC_174)**2d0 + 18d0*coupl(nGC_17)*coupl(&
                        nGC_3)**2d0 - 3d0*coupl(nGC_170)*coupl(nGC_20)*coupl(  &
                        nGC_966) - 3d0*coupl(nGC_170)*coupl(nGC_21)*coupl(     &
                        nGC_308) - 6d0*coupl(nGC_174)*coupl(nGC_20)*coupl(     &
                        nGC_27) - 6d0*coupl(nGC_174)*coupl(nGC_27)*coupl(      &
                        nGC_966) + 3d0*coupl(nGC_20)*coupl(nGC_6)*coupl(nGC_966&
                        ) - 6d0*coupl(nGC_21)*coupl(nGC_27)*coupl(nGC_3) + 3d0*&
                        coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_6) - 6d0*coupl( &
                        nGC_27)*coupl(nGC_3)*coupl(nGC_308))/(96d0*pi**2d0)
      coupl(nGC_3470) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 -   &
                        30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 + 18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 + 6d0&
                        *cima*coupl(nGC_170)*coupl(nGC_18) - 8d0*cima*coupl(   &
                        nGC_174)**2d0*coupl(nGC_25)**2d0 - 16d0*cima*coupl(    &
                        nGC_174)**2d0*coupl(nGC_3)**2d0 + 18d0*cima*coupl(     &
                        nGC_23)**2d0*coupl(nGC_4)**2d0 + 9d0*coupl(nGC_162)**  &
                        2d0*coupl(nGC_170) + 3d0*coupl(nGC_162)*coupl(nGC_3)*  &
                        coupl(nGC_612) + 9d0*coupl(nGC_170)*coupl(nGC_174)**2d0&
                         + 9d0*coupl(nGC_174)**2d0*coupl(nGC_18) + 3d0*coupl(  &
                        nGC_174)*coupl(nGC_25)*coupl(nGC_612) + 6d0*coupl(     &
                        nGC_174)*coupl(nGC_3)*coupl(nGC_5) + 9d0*coupl(nGC_18)*&
                        coupl(nGC_3)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3476) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_75) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_55) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_79) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_37) + 9d0*cima*&
                        coupl(nGC_174)*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40&
                        ) + 9d0*cima*coupl(nGC_174)*coupl(nGC_20)*coupl(nGC_3)*&
                        coupl(nGC_4) + 4d0*cima*coupl(nGC_22)**2d0*coupl(      &
                        nGC_342)*coupl(nGC_966) + 4d0*cima*coupl(nGC_23)*coupl(&
                        nGC_4)*coupl(nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(   &
                        nGC_83) + 4d0*cima*coupl(nGC_238)*coupl(nGC_4)*coupl(  &
                        nGC_544)*coupl(nGC_802) + 24d0*cima*coupl(nGC_27)*coupl&
                        (nGC_5) + 4d0*cima*coupl(nGC_308)**2d0*coupl(nGC_342)* &
                        coupl(nGC_966) + 24d0*cima*coupl(nGC_612)*coupl(nGC_8  &
                        ) - 6d0*coupl(nGC_162)*coupl(nGC_26)*coupl(nGC_37) -   &
                        6d0*coupl(nGC_162)*coupl(nGC_27)*coupl(nGC_544) + 36d0*&
                        coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_8) - 6d0*coupl(  &
                        nGC_17)*coupl(nGC_174)*coupl(nGC_20) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_20)*coupl(nGC_3) + 36d0*coupl(nGC_174)*    &
                        coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_174)*coupl( &
                        nGC_27)*coupl(nGC_342) - 6d0*coupl(nGC_20)*coupl(nGC_25&
                        )*coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(&
                        nGC_6) - 6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(nGC_5) - &
                        6d0*coupl(nGC_20)*coupl(nGC_40)*coupl(nGC_612) + 6d0*  &
                        coupl(nGC_22)*coupl(nGC_26)*coupl(nGC_966) - 6d0*coupl(&
                        nGC_238)*coupl(nGC_37)*coupl(nGC_612) + 6d0*coupl(     &
                        nGC_26)*coupl(nGC_544)*coupl(nGC_802) + 6d0*coupl(     &
                        nGC_27)*coupl(nGC_308)*coupl(nGC_966))/(192d0*pi**2d0)
      coupl(nGC_3477) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_76) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_56) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_88) + 9d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_544) + 9d0*cima&
                        *coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_25)*coupl(     &
                        nGC_802) + 9d0*cima*coupl(nGC_174)*coupl(nGC_238)*coupl&
                        (nGC_3)*coupl(nGC_342) + 4d0*cima*coupl(nGC_21)*coupl( &
                        nGC_342)*coupl(nGC_37)*coupl(nGC_40) + 4d0*cima*coupl( &
                        nGC_22)**3d0*coupl(nGC_4) + 4d0*cima*coupl(nGC_22)*    &
                        coupl(nGC_4)*coupl(nGC_966)**2d0 + 4d0*cima*coupl(     &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_68) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(   &
                        nGC_72) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(   &
                        nGC_81)*coupl(nGC_84) + 24d0*cima*coupl(nGC_28)*coupl( &
                        nGC_5) + 24d0*cima*coupl(nGC_612)*coupl(nGC_9) - 6d0*  &
                        coupl(nGC_162)*coupl(nGC_238)*coupl(nGC_42) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_174)*coupl(nGC_238) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_238)*coupl(nGC_3) - 6d0*coupl(nGC_174&
                        )*coupl(nGC_238)*coupl(nGC_6) + 36d0*coupl(nGC_174)*   &
                        coupl(nGC_25)*coupl(nGC_9) + 36d0*coupl(nGC_174)*coupl(&
                        nGC_28)*coupl(nGC_3) - 6d0*coupl(nGC_21)*coupl(nGC_612 &
                        )*coupl(nGC_802) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_28 &
                        ) + 6d0*coupl(nGC_22)*coupl(nGC_27)*coupl(nGC_966) -   &
                        6d0*coupl(nGC_238)*coupl(nGC_342)*coupl(nGC_5) - 6d0*  &
                        coupl(nGC_238)*coupl(nGC_544)*coupl(nGC_612) - 6d0*    &
                        coupl(nGC_25)*coupl(nGC_27)*coupl(nGC_802) - 6d0*coupl(&
                        nGC_25)*coupl(nGC_28)*coupl(nGC_40) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_37)*coupl(nGC_40) - 6d0*coupl(nGC_28)*coupl&
                        (nGC_3)*coupl(nGC_4))/(192d0*pi**2d0)
      coupl(nGC_3474) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53 &
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(&
                        nGC_61)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                        coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_35)*coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_35)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_35)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)**&
                        2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*coupl(   &
                        nGC_53)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*&
                        coupl(nGC_61)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_39)*coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_34)*coupl(nGC_53)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_2)*coupl(nGC_34)*coupl(nGC_61)**2d0 + 10d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)**&
                        2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(   &
                        nGC_85)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)*&
                        coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_38)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_2)*coupl(nGC_39)*coupl(nGC_53)**2d0 - 16d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73)**2d0 +  &
                        12d0*cima*coupl(nGC_17)*coupl(nGC_29) + 9d0*cima*coupl(&
                        nGC_20)*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_966) + 9d0&
                        *cima*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_25)*coupl(&
                        nGC_3) + 4d0*cima*coupl(nGC_342)**2d0*coupl(nGC_4)*    &
                        coupl(nGC_40) - 16d0*cima*coupl(nGC_36)*coupl(nGC_4)*  &
                        coupl(nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)*coupl(    &
                        nGC_4)*coupl(nGC_69)**2d0 - 16d0*cima*coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_81)**2d0 + 4d0*cima*coupl(nGC_4 &
                        )*coupl(nGC_40)*coupl(nGC_544)**2d0 + 10d0*cima*coupl( &
                        nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 10d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 + 10d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0 +   &
                        18d0*coupl(nGC_162)*coupl(nGC_17)*coupl(nGC_174) - 3d0*&
                        coupl(nGC_162)*coupl(nGC_22)*coupl(nGC_28) - 3d0*coupl(&
                        nGC_162)*coupl(nGC_27)*coupl(nGC_308) + 18d0*coupl(    &
                        nGC_17)*coupl(nGC_25)*coupl(nGC_3) - 3d0*coupl(nGC_20)*&
                        coupl(nGC_29)*coupl(nGC_966) - 3d0*coupl(nGC_20)*coupl(&
                        nGC_3)*coupl(nGC_8) - 3d0*coupl(nGC_22)*coupl(nGC_238)*&
                        coupl(nGC_29) - 3d0*coupl(nGC_22)*coupl(nGC_25)*coupl( &
                        nGC_26) - 3d0*coupl(nGC_22)*coupl(nGC_3)*coupl(nGC_7   &
                        ) - 3d0*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_9) - 3d0*&
                        coupl(nGC_25)*coupl(nGC_27)*coupl(nGC_966) - 3d0*coupl(&
                        nGC_3)*coupl(nGC_8)*coupl(nGC_966) + 3d0*coupl(nGC_342 &
                        )**2d0*coupl(nGC_42) + 3d0*coupl(nGC_42)*coupl(nGC_544 &
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_10291) = -coupl(nGC_3334)
      coupl(nGC_5303) = coupl(nGC_11)*dZcR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3592)
      coupl(nGC_5304) = coupl(nGC_11)*dZcL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_3592)
      coupl(nGC_5110) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZcL_QED2/2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_5117) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZtauMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_9931) = -coupl(nGC_3335)
      coupl(nGC_9720) = -coupl(nGC_3315)
      coupl(nGC_5274) = coupl(nGC_3568) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(  &
                        nGC_GGH)
      coupl(nGC_7727) = coupl(nGC_3589) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2
      coupl(nGC_9832) = -coupl(nGC_3347)
      coupl(nGC_3396) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_23)*  &
                        coupl(nGC_73)*coupl(nGC_966) - coupl(nGC_34)*coupl(    &
                        nGC_37)*coupl(nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_75) - coupl(nGC_38)*coupl(nGC_76)*coupl(   &
                        nGC_802) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - &
                        coupl(nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5573) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_3549)
      coupl(nGC_5572) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_3549)
      coupl(nGC_3487) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55 &
                        )**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(&
                        nGC_63)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                        coupl(nGC_75)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_38)*coupl(nGC_55)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_38)*coupl(nGC_63)**2d0 - 12d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 12d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - 12d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 -  &
                        12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)**&
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(   &
                        nGC_59)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*&
                        coupl(nGC_79)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_39)*coupl(nGC_87)**2d0 + 9d0*cima*coupl(nGC_162)*  &
                        coupl(nGC_174)*coupl(nGC_20)*coupl(nGC_966) + 12d0*cima&
                        *coupl(nGC_17)*coupl(nGC_29) + 4d0*cima*coupl(nGC_20)* &
                        coupl(nGC_342)*coupl(nGC_544)*coupl(nGC_966) + 9d0*cima&
                        *coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_308&
                        ) + 4d0*cima*coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_4)*&
                        coupl(nGC_40) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*  &
                        coupl(nGC_67)**2d0 - 12d0*cima*coupl(nGC_36)*coupl(    &
                        nGC_4)*coupl(nGC_71)**2d0 - 12d0*cima*coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_83)**2d0 - 12d0*cima*coupl(nGC_4&
                        )*coupl(nGC_40)*coupl(nGC_67)**2d0 - 12d0*cima*coupl(  &
                        nGC_4)*coupl(nGC_40)*coupl(nGC_71)**2d0 - 12d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83)**2d0 + 18d0*  &
                        coupl(nGC_162)*coupl(nGC_17)*coupl(nGC_174) - 6d0*coupl&
                        (nGC_162)*coupl(nGC_20)*coupl(nGC_27) + 18d0*coupl(    &
                        nGC_17)*coupl(nGC_25)*coupl(nGC_3) - 3d0*coupl(nGC_174 &
                        )*coupl(nGC_20)*coupl(nGC_8) - 3d0*coupl(nGC_174)*coupl&
                        (nGC_8)*coupl(nGC_966) - 3d0*coupl(nGC_20)*coupl(nGC_29&
                        )*coupl(nGC_966) + 3d0*coupl(nGC_20)*coupl(nGC_42)*    &
                        coupl(nGC_966) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl(&
                        nGC_27) - 3d0*coupl(nGC_21)*coupl(nGC_29)*coupl(nGC_308&
                        ) - 3d0*coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_8) + 3d0* &
                        coupl(nGC_21)*coupl(nGC_308)*coupl(nGC_42) - 3d0*coupl(&
                        nGC_3)*coupl(nGC_308)*coupl(nGC_8))/(96d0*pi**2d0)
      coupl(nGC_3485) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                        coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                        )**2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_162)** &
                        2d0*coupl(nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_174&
                        )**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(    &
                        nGC_19)*coupl(nGC_612) - 4d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_40) + 6d0*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_4)*coupl(nGC_41) + 4d0*cima*coupl(nGC_5)*&
                        coupl(nGC_612) + coupl(nGC_162)**2d0*coupl(nGC_612) +  &
                        coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_18) + 6d0*coupl&
                        (nGC_162)*coupl(nGC_19)*coupl(nGC_3) + coupl(nGC_162)* &
                        coupl(nGC_25)*coupl(nGC_29) + 6d0*coupl(nGC_162)*coupl(&
                        nGC_25)*coupl(nGC_612) + coupl(nGC_162)*coupl(nGC_282)*&
                        coupl(nGC_3) + 6d0*coupl(nGC_162)*coupl(nGC_3)*coupl(  &
                        nGC_5) + coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_25) + &
                        coupl(nGC_174)**2d0*coupl(nGC_612) + coupl(nGC_174)*   &
                        coupl(nGC_29)*coupl(nGC_3) + 6d0*coupl(nGC_174)*coupl( &
                        nGC_3)*coupl(nGC_612) + coupl(nGC_25)*coupl(nGC_3)*    &
                        coupl(nGC_356))/(32d0*pi**2d0)
      coupl(nGC_3484) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                        coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                        )**2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_162)** &
                        2d0*coupl(nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_174&
                        )**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(    &
                        nGC_19)*coupl(nGC_612) - 4d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_40) + 6d0*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_4)*coupl(nGC_41) + 4d0*cima*coupl(nGC_5)*&
                        coupl(nGC_612) + coupl(nGC_162)**2d0*coupl(nGC_612) +  &
                        coupl(nGC_162)*coupl(nGC_170)*coupl(nGC_3) + coupl(    &
                        nGC_162)*coupl(nGC_174)*coupl(nGC_356) + 6d0*coupl(    &
                        nGC_162)*coupl(nGC_19)*coupl(nGC_3) + coupl(nGC_162)*  &
                        coupl(nGC_25)*coupl(nGC_29) + 6d0*coupl(nGC_162)*coupl(&
                        nGC_25)*coupl(nGC_612) + coupl(nGC_162)*coupl(nGC_282)*&
                        coupl(nGC_3) + coupl(nGC_174)**2d0*coupl(nGC_612) + 6d0&
                        *coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_5) + coupl(    &
                        nGC_174)*coupl(nGC_29)*coupl(nGC_3) + 6d0*coupl(nGC_174&
                        )*coupl(nGC_3)*coupl(nGC_612) + coupl(nGC_18)*coupl(   &
                        nGC_25)*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3482) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_34) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_38) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_35) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_39) - 20d0*cima*coupl(nGC_162)*  &
                        coupl(nGC_174)**3d0 + 6d0*cima*coupl(nGC_170)*coupl(   &
                        nGC_29) - 20d0*cima*coupl(nGC_25)*coupl(nGC_3)**3d0 +  &
                        6d0*cima*coupl(nGC_36)*coupl(nGC_4)**3d0 + 6d0*cima*   &
                        coupl(nGC_4)**3d0*coupl(nGC_40) + 9d0*coupl(nGC_162)*  &
                        coupl(nGC_170)*coupl(nGC_174) + 3d0*coupl(nGC_162)*    &
                        coupl(nGC_174)*coupl(nGC_5) + 9d0*coupl(nGC_170)*coupl(&
                        nGC_25)*coupl(nGC_3) + 9d0*coupl(nGC_174)**2d0*coupl(  &
                        nGC_29) + 3d0*coupl(nGC_174)**2d0*coupl(nGC_612) + 3d0*&
                        coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_5) + 9d0*coupl(   &
                        nGC_29)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl&
                        (nGC_612))/(48d0*pi**2d0)
      coupl(nGC_3481) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 + 3d0*cima*coupl(nGC_170)**2d0 - 10d0*cima*&
                        coupl(nGC_174)**4d0 - 10d0*cima*coupl(nGC_3)**4d0 + 6d0&
                        *cima*coupl(nGC_4)**4d0 + 9d0*coupl(nGC_170)*coupl(    &
                        nGC_174)**2d0 + 9d0*coupl(nGC_170)*coupl(nGC_3)**2d0 + &
                        3d0*coupl(nGC_174)**2d0*coupl(nGC_5) + 3d0*coupl(nGC_3 &
                        )**2d0*coupl(nGC_5))/(24d0*pi**2d0)
      coupl(nGC_3489) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) + 20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_78 &
                        )*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_53)*coupl(    &
                        nGC_54)*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*    &
                        coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78 &
                        ) + 20d0*Nc*cima*coupl(nGC_54)*coupl(nGC_56)*coupl(    &
                        nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_58)*coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_57)**2d0&
                        *coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima*coupl(     &
                        nGC_57)*coupl(nGC_58)*coupl(nGC_73)*coupl(nGC_76) +    &
                        20d0*Nc*cima*coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73)*&
                        coupl(nGC_74) + 20d0*Nc*cima*coupl(nGC_58)*coupl(nGC_60&
                        )*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**2d0*&
                        coupl(nGC_62)*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_61&
                        )**2d0*coupl(nGC_86)*coupl(nGC_88) + 20d0*Nc*cima*coupl&
                        (nGC_61)*coupl(nGC_62)*coupl(nGC_85)*coupl(nGC_88) +   &
                        20d0*Nc*cima*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85)*&
                        coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_62)*coupl(nGC_64&
                        )*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_73)**2d0*&
                        coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_77&
                        )**2d0*coupl(nGC_78)*coupl(nGC_80) + 20d0*Nc*cima*coupl&
                        (nGC_85)**2d0*coupl(nGC_86)*coupl(nGC_88) + 12d0*cima* &
                        coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_20)*coupl(    &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_966) - 5d0*cima*coupl(&
                        nGC_20)*coupl(nGC_238)*coupl(nGC_544)*coupl(nGC_802) - &
                        5d0*cima*coupl(nGC_21)*coupl(nGC_238)*coupl(nGC_40)*   &
                        coupl(nGC_802) - 10d0*cima*coupl(nGC_21)*coupl(nGC_308 &
                        )*coupl(nGC_37)*coupl(nGC_802) - 10d0*cima*coupl(nGC_22&
                        )**2d0*coupl(nGC_238)**2d0 - 10d0*cima*coupl(nGC_22)*  &
                        coupl(nGC_238)*coupl(nGC_342)**2d0 - 10d0*cima*coupl(  &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_544)**2d0 - 5d0*cima* &
                        coupl(nGC_22)*coupl(nGC_308)*coupl(nGC_37)*coupl(nGC_40&
                        ) - 5d0*cima*coupl(nGC_22)*coupl(nGC_37)*coupl(nGC_544 &
                        )*coupl(nGC_966) + 24d0*cima*coupl(nGC_26)*coupl(nGC_28&
                        ) - 10d0*cima*coupl(nGC_37)*coupl(nGC_40)**2d0*coupl(  &
                        nGC_802) + 6d0*cima*coupl(nGC_45)*coupl(nGC_46) + 20d0*&
                        cima*coupl(nGC_65)**2d0*coupl(nGC_66)*coupl(nGC_68) +  &
                        20d0*cima*coupl(nGC_69)**2d0*coupl(nGC_70)*coupl(nGC_72&
                        ) + 24d0*cima*coupl(nGC_7)*coupl(nGC_9) + 20d0*cima*   &
                        coupl(nGC_81)**2d0*coupl(nGC_82)*coupl(nGC_84) + 3d0*  &
                        coupl(nGC_13)*coupl(nGC_21)*coupl(nGC_308) + 6d0*coupl(&
                        nGC_13)*coupl(nGC_22)**2d0 + 6d0*coupl(nGC_13)*coupl(  &
                        nGC_238)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_342)**2d0  &
                         + 3d0*coupl(nGC_13)*coupl(nGC_37)*coupl(nGC_802) + 3d0&
                        *coupl(nGC_13)*coupl(nGC_544)**2d0 + 6d0*coupl(nGC_14)*&
                        coupl(nGC_22)*coupl(nGC_238) + 3d0*coupl(nGC_15)*coupl(&
                        nGC_22)*coupl(nGC_238) - 3d0*coupl(nGC_17)*coupl(nGC_20&
                        )*coupl(nGC_966) - 9d0*coupl(nGC_17)*coupl(nGC_22)*    &
                        coupl(nGC_238) - 6d0*coupl(nGC_21)*coupl(nGC_7)*coupl( &
                        nGC_802) - 6d0*coupl(nGC_22)*coupl(nGC_28)*coupl(      &
                        nGC_342) - 6d0*coupl(nGC_22)*coupl(nGC_544)*coupl(nGC_9&
                        ) - 6d0*coupl(nGC_238)*coupl(nGC_26)*coupl(nGC_342) -  &
                        6d0*coupl(nGC_238)*coupl(nGC_544)*coupl(nGC_7) - 6d0*  &
                        coupl(nGC_308)*coupl(nGC_37)*coupl(nGC_9) - 3d0*coupl( &
                        nGC_37)*coupl(nGC_45)*coupl(nGC_802) - 3d0*coupl(nGC_40&
                        )**2d0*coupl(nGC_46))/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
