!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_3488) = (20d0*Nc*cima*coupl(nGC_53)**4d0 + 20d0*Nc*cima*coupl( &
                        nGC_57)**4d0 + 20d0*Nc*cima*coupl(nGC_61)**4d0 + 20d0* &
                        Nc*cima*coupl(nGC_73)**4d0 + 20d0*Nc*cima*coupl(nGC_77 &
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_85)**4d0 + 24d0*cima*  &
                        coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(&
                        nGC_966)**2d0 - 10d0*cima*coupl(nGC_20)*coupl(nGC_21)* &
                        coupl(nGC_308)*coupl(nGC_966) - 10d0*cima*coupl(nGC_20 &
                        )*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_308) - 10d0*  &
                        cima*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_238)*coupl( &
                        nGC_966) - 5d0*cima*coupl(nGC_21)**2d0*coupl(nGC_308)**&
                        2d0 - 10d0*cima*coupl(nGC_21)*coupl(nGC_22)*coupl(     &
                        nGC_238)*coupl(nGC_308) - 10d0*cima*coupl(nGC_21)*coupl&
                        (nGC_22)*coupl(nGC_238)*coupl(nGC_966) - 20d0*cima*    &
                        coupl(nGC_22)**2d0*coupl(nGC_238)**2d0 - 5d0*cima*coupl&
                        (nGC_342)**4d0 - 10d0*cima*coupl(nGC_342)**2d0*coupl(  &
                        nGC_4)**2d0 - 10d0*cima*coupl(nGC_342)**2d0*coupl(     &
                        nGC_544)**2d0 - 20d0*cima*coupl(nGC_342)*coupl(nGC_4)* &
                        coupl(nGC_40)*coupl(nGC_544) - 5d0*cima*coupl(nGC_4)** &
                        4d0 - 10d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**2d0 - &
                        5d0*cima*coupl(nGC_40)**4d0 - 10d0*cima*coupl(nGC_40)**&
                        2d0*coupl(nGC_544)**2d0 + 24d0*cima*coupl(nGC_42)**2d0 &
                         + 12d0*cima*coupl(nGC_45)**2d0 - 5d0*cima*coupl(      &
                        nGC_544)**4d0 + 12d0*cima*coupl(nGC_6)**2d0 + 20d0*cima&
                        *coupl(nGC_65)**4d0 + 20d0*cima*coupl(nGC_69)**4d0 +   &
                        20d0*cima*coupl(nGC_81)**4d0 + 6d0*coupl(nGC_13)*coupl(&
                        nGC_20)*coupl(nGC_966) + 6d0*coupl(nGC_13)*coupl(nGC_21&
                        )*coupl(nGC_308) + 12d0*coupl(nGC_13)*coupl(nGC_22)*   &
                        coupl(nGC_238) + 6d0*coupl(nGC_14)*coupl(nGC_342)**2d0 &
                         + 6d0*coupl(nGC_14)*coupl(nGC_342)*coupl(nGC_4) + 6d0*&
                        coupl(nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*   &
                        coupl(nGC_40)**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_40)*  &
                        coupl(nGC_544) + 6d0*coupl(nGC_14)*coupl(nGC_544)**2d0 &
                         - 6d0*coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_966) - 6d0&
                        *coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_308) - 12d0*    &
                        coupl(nGC_17)*coupl(nGC_22)*coupl(nGC_238) - 6d0*coupl(&
                        nGC_342)**2d0*coupl(nGC_6) - 12d0*coupl(nGC_342)*coupl(&
                        nGC_42)*coupl(nGC_544) - 6d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_6) - 12d0*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_42  &
                        ) - 6d0*coupl(nGC_40)**2d0*coupl(nGC_45) - 6d0*coupl(  &
                        nGC_45)*coupl(nGC_544)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3245) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75 &
                        )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima&
                        *coupl(nGC_67)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**&
                        2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*&
                        cima*coupl(nGC_20)*coupl(nGC_966) - cMW**2d0*cima*coupl&
                        (nGC_21)*coupl(nGC_308) - 2d0*cMW**2d0*coupl(nGC_17) - &
                        cMZ**2d0*cima*coupl(nGC_37)*coupl(nGC_802) - cMZ**2d0* &
                        coupl(nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*    &
                        coupl(nGC_52)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3244) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59  &
                        )**2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(     &
                        nGC_75)**2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl&
                        (nGC_87)**2d0 + coupl(nGC_20)*coupl(nGC_966) + coupl(  &
                        nGC_21)*coupl(nGC_308) + coupl(nGC_37)*coupl(nGC_802   &
                        ) + 4d0*coupl(nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 +  &
                        4d0*coupl(nGC_83)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3243) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB &
                        **2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*  &
                        coupl(nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73 &
                        )**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_73)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 &
                         - 4d0*Nc*cMT**2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_85)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_65)** &
                        2d0 - cMH**2d0*cima*coupl(nGC_20)*coupl(nGC_966) - cMH &
                        **2d0*cima*coupl(nGC_21)*coupl(nGC_308) - 4d0*cMM**2d0*&
                        cima*coupl(nGC_69)**2d0 - 4d0*cMTA**2d0*cima*coupl(    &
                        nGC_81)**2d0 - cMW**2d0*cima*coupl(nGC_20)*coupl(      &
                        nGC_966) - cMW**2d0*cima*coupl(nGC_21)*coupl(nGC_308   &
                        ) - 2d0*cMW**2d0*cima*coupl(nGC_22)*coupl(nGC_238) -   &
                        cMW**2d0*cima*coupl(nGC_342)**2d0 - cMW**2d0*cima*coupl&
                        (nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0 - cMW**&
                        2d0*cima*coupl(nGC_544)**2d0 - 8d0*cMW**2d0*coupl(     &
                        nGC_17) - 2d0*cMZ**2d0*cima*coupl(nGC_22)*coupl(nGC_238&
                        ) - cMZ**2d0*cima*coupl(nGC_40)**2d0 - cMZ**2d0*cima*  &
                        coupl(nGC_544)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45) + 8d0*&
                        cima*coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51)**2d0  &
                        )/(64d0*pi**2d0)
      coupl(nGC_3242) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57  &
                        )**2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(     &
                        nGC_73)**2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl&
                        (nGC_85)**2d0 + coupl(nGC_20)*coupl(nGC_966) + coupl(  &
                        nGC_21)*coupl(nGC_308) + 2d0*coupl(nGC_22)*coupl(      &
                        nGC_238) + coupl(nGC_342)**2d0 + coupl(nGC_4)**2d0 +   &
                        coupl(nGC_40)**2d0 + coupl(nGC_544)**2d0 + 4d0*coupl(  &
                        nGC_65)**2d0 + 4d0*coupl(nGC_69)**2d0 + 4d0*coupl(     &
                        nGC_81)**2d0)/(192d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
