!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3634) = coupl(nGC_3187)*dye_QED3
      coupl(nGC_3631) = -cima*dym_QED3
      coupl(nGC_6039) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_6038) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_6035) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_6034) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3296) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3290) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*    &
                        coupl(nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_162)**&
                        2d0*coupl(nGC_3) - 11d0*coupl(nGC_174)**2d0*coupl(nGC_3&
                        ) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4))/(96d0*pi**2d0&
                        )
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_3524) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_3525) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_3591) = coupl(nGC_3185)*dZee_QED2
      coupl(nGC_3590) = coupl(nGC_3118)*dZee_QED2
      coupl(nGC_3597) = coupl(nGC_3114)*dZee_QED2 + coupl(nGC_3115)*dsw_QED2 + &
                        coupl(nGC_3116)*dcw_QED2
      coupl(nGC_6211) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_6213) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_6217) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_6350) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3523) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_6355) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_8591) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_8592) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_5140) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_6601) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_5849) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_5846) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_7171) = coupl(nGC_3665) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0
      coupl(nGC_7170) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_5647) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_3677) = -cima*dMB_QCD2
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_5361) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_4951) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_4954) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_3566) = coupl(nGC_3203)*dlam_QED4
      coupl(nGC_3567) = -cima*dlam_QED4
      coupl(nGC_3649) = coupl(nGC_3180)*dyc_QED1_QCD2
      coupl(nGC_3648) = coupl(nGC_3180)*dyc_QED3
      coupl(nGC_3398) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5637) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3566) + coupl(      &
                        nGC_HHGG)
      coupl(nGC_3642) = coupl(nGC_3117)*dyup_QED3
      coupl(nGC_3647) = coupl(nGC_3182)*dyc_QED1_QCD2
      coupl(nGC_5109) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_3367) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3365) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3249) = cima*(coupl(nGC_162)**2d0 + coupl(nGC_174)**2d0 + coupl&
                        (nGC_25)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3248) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_162)**2d0 &
                         - coupl(nGC_174)**2d0 - 2d0*coupl(nGC_23)**2d0 - coupl&
                        (nGC_25)**2d0 - coupl(nGC_3)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3240) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3610) = -cima*dyb_QED3
      coupl(nGC_3611) = -cima*dyb_QED1_QCD2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
