!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_3616) = coupl(nGC_3191)*dys_QED3
      coupl(nGC_3617) = coupl(nGC_3191)*dys_QED1_QCD2
      coupl(nGC_3614) = coupl(nGC_3183)*dydo_QED3
      coupl(nGC_5218) = coupl(nGC_3570) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_5358) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_5357) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_5508) = coupl(nGC_38)*dZbL_QCD2
      coupl(nGC_3278) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_5813) = -coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_5811) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_3609) = cima*dyt_QED1_QCD2
      coupl(nGC_3608) = cima*dyt_QED3
      coupl(nGC_3605) = cima*dyc_QED1_QCD2
      coupl(nGC_3604) = cima*dyc_QED3
      coupl(nGC_3607) = -cima*dys_QED1_QCD2
      coupl(nGC_3606) = -cima*dys_QED3
      coupl(nGC_3601) = -cima*dydo_QED1_QCD2
      coupl(nGC_3600) = -cima*dydo_QED3
      coupl(nGC_3603) = cima*dyup_QED1_QCD2
      coupl(nGC_3602) = cima*dyup_QED3
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_4959) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +   &
                        coupl(nGC_3590) + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_3598) = coupl(nGC_3134)*dZee_QED2 + coupl(nGC_3135)*dsw_QED2 + &
                        coupl(nGC_3136)*dcw_QED2
      coupl(nGC_3322) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3320) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3325) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_2)*coupl(&
                        nGC_342)*coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*  &
                        coupl(nGC_76) + coupl(nGC_23)*coupl(nGC_308)*coupl(    &
                        nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_73) + coupl( &
                        nGC_39)*coupl(nGC_544)*coupl(nGC_73) - coupl(nGC_57)*  &
                        coupl(nGC_58)*coupl(nGC_76) - coupl(nGC_57)*coupl(     &
                        nGC_59)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_3452) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**&
                        2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3453) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl&
                        (nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6899) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3408) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_174) + coupl(    &
                        nGC_1)*coupl(nGC_2) + coupl(nGC_162)*coupl(nGC_38) +   &
                        coupl(nGC_2)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_39 &
                        ) + coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3515) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_3514) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_6358) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +   &
                        coupl(nGC_3590) + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_5172) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_5174) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_3431) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +   &
                        coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3389) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3413) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(      &
                        nGC_162)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*  &
                        coupl(nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(     &
                        nGC_56) + coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_3442) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3588) = coupl(nGC_3152)*dZee_QED2 + coupl(nGC_3153)*dsw_QED2 + &
                        coupl(nGC_3154)*dcw_QED2
      coupl(nGC_3280) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3586) = coupl(nGC_3195)*dZee_QED2 + coupl(nGC_3196)*dcw_QED2
      coupl(nGC_3587) = coupl(nGC_3162)*dZee_QED2 + coupl(nGC_3163)*dsw_QED2 + &
                        coupl(nGC_3164)*dcw_QED2
      coupl(nGC_3584) = coupl(nGC_3197)*dZee_QED2 + coupl(nGC_3198)*dcw_QED2
      coupl(nGC_3585) = coupl(nGC_3149)*dZee_QED2 + coupl(nGC_3150)*dcw_QED2 + &
                        coupl(nGC_3151)*dvev_QED1
      coupl(nGC_3582) = coupl(nGC_3140)*dZee_QED2 + coupl(nGC_3141)*dsw_QED2 + &
                        coupl(nGC_3142)*dcw_QED2
      coupl(nGC_3583) = coupl(nGC_3193)*dZee_QED2 + coupl(nGC_3194)*dcw_QED2
      coupl(nGC_3626) = coupl(nGC_3094)*dys_QED3
      coupl(nGC_6166) = coupl(nGC_MI)*dZtL_QCD2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
