!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_3255) = cima*(coupl(nGC_174)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_6592) = coupl(nGC_3579) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(  &
                        nGC_50)*dZWMinus_QED2
      coupl(nGC_3429) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3428) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3658) = coupl(nGC_3095)*dyt_QED3
      coupl(nGC_3421) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(      &
                        nGC_162)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*  &
                        coupl(nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(     &
                        nGC_64) + coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_3420) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3423) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +   &
                        coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_65)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3422) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +   &
                        coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3425) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3424) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66&
                        )*coupl(nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3427) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70&
                        )*coupl(nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3426) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +   &
                        coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_69)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5000) = coupl(nGC_38)*dZdL_QCD2
      coupl(nGC_5003) = coupl(nGC_34)*dZdR_QCD2
      coupl(nGC_5005) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZdR_QED2 + coupl(nGC_3597)
      coupl(nGC_5617) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_5618) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_8890) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/  &
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3552)
      coupl(nGC_5342) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_5340) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_3264) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_10380) = -coupl(nGC_3290)
      coupl(nGC_3490) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_39)**3d0 - 20d0*cima*coupl(nGC_162)** &
                        3d0*coupl(nGC_174) - 20d0*cima*coupl(nGC_25)**3d0*coupl&
                        (nGC_3) + 6d0*cima*coupl(nGC_282)*coupl(nGC_29) + 6d0* &
                        cima*coupl(nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*coupl( &
                        nGC_4)*coupl(nGC_40)**3d0 + 9d0*coupl(nGC_162)**2d0*   &
                        coupl(nGC_29) + 3d0*coupl(nGC_162)**2d0*coupl(nGC_612  &
                        ) + 3d0*coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_19) +  &
                        9d0*coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_282) + 3d0*&
                        coupl(nGC_19)*coupl(nGC_25)*coupl(nGC_3) + 9d0*coupl(  &
                        nGC_25)**2d0*coupl(nGC_29) + 3d0*coupl(nGC_25)**2d0*   &
                        coupl(nGC_612) + 9d0*coupl(nGC_25)*coupl(nGC_282)*coupl&
                        (nGC_3))/(48d0*pi**2d0)
      coupl(nGC_8674) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_8677) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_3268) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_8673) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_5531) = coupl(nGC_3649) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl( &
                        nGC_58)*dZcR_QCD2/2d0
      coupl(nGC_5530) = coupl(nGC_3646) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl( &
                        nGC_60)*dZcR_QED2/2d0
      coupl(nGC_5532) = coupl(nGC_3647) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl( &
                        nGC_60)*dZcR_QCD2/2d0
      coupl(nGC_8679) = coupl(nGC_3672) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_8678) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_5863) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_5862) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_8176) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_3618) = coupl(nGC_3093)*dys_QED3
      coupl(nGC_3619) = coupl(nGC_3093)*dys_QED1_QCD2
      coupl(nGC_3348) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_22)*  &
                        coupl(nGC_23)*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl( &
                        nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_55)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_38)*coupl(    &
                        nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) -  &
                        coupl(nGC_54)*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(&
                        nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3349) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3344) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(    &
                        nGC_23)*coupl(nGC_238)*coupl(nGC_70) + coupl(nGC_36)*  &
                        coupl(nGC_40)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_41)*coupl(nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69 &
                        ) + coupl(nGC_41)*coupl(nGC_544)*coupl(nGC_69))/(32d0* &
                        pi**2d0)
      coupl(nGC_3613) = coupl(nGC_3097)*dydo_QED1_QCD2
      coupl(nGC_3346) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*&
                        cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*&
                        cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl&
                        (nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58 &
                        )*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59&
                        )*coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*  &
                        coupl(nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63 &
                        )*coupl(nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64&
                        )**2d0 + 4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + &
                        16d0*Nc*cMS*coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76   &
                        ) + 4d0*Nc*cMS*coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0* &
                        Nc*cMT*coupl(nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT* &
                        coupl(nGC_78)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*&
                        coupl(nGC_79)*coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(   &
                        nGC_86)**2d0*coupl(nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*&
                        coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*&
                        coupl(nGC_88)**2d0 + 4d0*cME*coupl(nGC_66)**2d0*coupl( &
                        nGC_67) + 16d0*cME*coupl(nGC_66)*coupl(nGC_67)*coupl(  &
                        nGC_68) + 4d0*cME*coupl(nGC_67)*coupl(nGC_68)**2d0 +   &
                        4d0*cMM*coupl(nGC_70)**2d0*coupl(nGC_71) + 16d0*cMM*   &
                        coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) + 4d0*cMM*   &
                        coupl(nGC_71)*coupl(nGC_72)**2d0 + 4d0*cMTA*coupl(     &
                        nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*coupl(nGC_82)*  &
                        coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*coupl(nGC_83)*  &
                        coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17)*coupl(     &
                        nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + 2d0*  &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_48) - 2d0*coupl(&
                        nGC_22)*coupl(nGC_238)*coupl(nGC_50) + coupl(nGC_37)** &
                        2d0*coupl(nGC_48) + coupl(nGC_37)*coupl(nGC_49)*coupl( &
                        nGC_802) - coupl(nGC_37)*coupl(nGC_52)*coupl(nGC_802   &
                        ) + coupl(nGC_48)*coupl(nGC_802)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3341) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_2)*coupl(&
                        nGC_342)*coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*  &
                        coupl(nGC_63) + coupl(nGC_23)*coupl(nGC_238)*coupl(    &
                        nGC_62) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_61) + coupl( &
                        nGC_39)*coupl(nGC_544)*coupl(nGC_61) - coupl(nGC_62)*  &
                        coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_63)*coupl(     &
                        nGC_85)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3343) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(    &
                        nGC_23)*coupl(nGC_238)*coupl(nGC_66) + coupl(nGC_36)*  &
                        coupl(nGC_40)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_41)*coupl(nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65 &
                        ) + coupl(nGC_41)*coupl(nGC_544)*coupl(nGC_65))/(32d0* &
                        pi**2d0)
      coupl(nGC_5403) = coupl(nGC_3630) + coupl(nGC_65)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_65)*dZnu_eL_QED2/2d0
      coupl(nGC_3312) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*&
                        coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3258) = cima*(coupl(nGC_162)**2d0 + coupl(nGC_25)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_3259) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_38)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_39)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_36)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_36)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_40)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_36)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_40)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_162)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_25)**2d0 - 2d0*cMW**2d0*coupl(nGC_282))/(16d0*pi** &
                        2d0)
      coupl(nGC_4933) = -coupl(nGC_24)*dZZA_QED2/2d0 - coupl(nGC_3556) - coupl(&
                        nGC_4)*dZA_QED2/2d0
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
