!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_5885) = coupl(nGC_3611) + coupl(nGC_53)*dZbR_QCD2/2d0 + coupl( &
                        nGC_53)*dZtL_QCD2/2d0
      coupl(nGC_5884) = coupl(nGC_3609) + coupl(nGC_77)*dZbL_QCD2/2d0 + coupl( &
                        nGC_77)*dZtR_QCD2/2d0
      coupl(nGC_5888) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_4972) = coupl(nGC_35)*dZuR_QCD2
      coupl(nGC_5283) = coupl(nGC_3600) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl( &
                        nGC_61)*dZuL_QED2/2d0
      coupl(nGC_5286) = coupl(nGC_3603) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl( &
                        nGC_85)*dZuR_QCD2/2d0
      coupl(nGC_5285) = coupl(nGC_3601) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl( &
                        nGC_61)*dZuL_QCD2/2d0
      coupl(nGC_5284) = coupl(nGC_3602) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl( &
                        nGC_85)*dZuR_QED2/2d0
      coupl(nGC_3623) = coupl(nGC_3173)*dyb_QED1_QCD2
      coupl(nGC_3622) = coupl(nGC_3173)*dyb_QED3
      coupl(nGC_3548) = coupl(nGC_3217)*dZgs_QCD2
      coupl(nGC_3549) = coupl(nGC_3199)*dZgs_QCD2
      coupl(nGC_3238) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_3239) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_38)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3542) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_2066) - 3d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_2072) - 60d0*cima*coupl(  &
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_3543) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_2066) - 9d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_2072) - 60d0*cima*coupl(  &
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_3540) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_2070) + 12d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_2070)*sq2**2d0 + 18d0*cima*coupl&
                        (nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_3628) = coupl(nGC_3174)*dyb_QED3
      coupl(nGC_3546) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3547) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3544) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_2070) + 3d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(   &
                        nGC_10)**2d0*coupl(nGC_2070)*sq2**2d0 + 36d0*cima*coupl&
                        (nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_3545) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_2070) + 9d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(   &
                        nGC_10)**2d0*coupl(nGC_2070)*sq2**2d0 + 18d0*cima*coupl&
                        (nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_5121) = -coupl(nGC_3)*dZWMinus_QED2/2d0 - coupl(nGC_3550)
      coupl(nGC_5081) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
      coupl(nGC_5080) = coupl(nGC_3556) + coupl(nGC_36)*dZZA_QED2/2d0 + coupl( &
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_7430) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_3590) + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_5129) = coupl(nGC_39)*dZtL_QCD2
      coupl(nGC_5087) = coupl(nGC_3664) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0
      coupl(nGC_5086) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_6009) = -coupl(nGC_3556) - coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_5759) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3553)
      coupl(nGC_5758) = -4d0*coupl(nGC_18)*dZWMinus_QED2 - 2d0*coupl(nGC_3553)
      coupl(nGC_3300) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl&
                        (nGC_67)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3301) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3302) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl&
                        (nGC_71)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3303) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3304) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3305) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3306) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +    &
                        coupl(nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_174)*  &
                        coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3307) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +    &
                        coupl(nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3308) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*&
                        coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3309) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(    &
                        nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3436) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*   &
                        coupl(nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3437) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*   &
                        coupl(nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3434) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +   &
                        coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_81)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3435) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82&
                        )*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3432) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*   &
                        coupl(nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3433) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3430) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(      &
                        nGC_162)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*  &
                        coupl(nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(     &
                        nGC_76) + coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_6872) = coupl(nGC_MI)*dZnu_tauL_QED2
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
