!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_3438) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)* &
                        coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3439) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_3281) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4  &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3283) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3282) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3285) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +    &
                        coupl(nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3284) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +    &
                        coupl(nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_174)*  &
                        coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3539) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_2072)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_2066)*sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_2072)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_3538) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_2072)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(       &
                        nGC_2070)*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_2072)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_3537) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_2070  &
                        ) + 3d0*cima*coupl(nGC_2070)**2d0 + 9d0*coupl(nGC_10)**&
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_2070)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_3536) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_2072)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(       &
                        nGC_2066)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_2070)*sq2**2d0 + 33d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_2072)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_3535) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima&
                        *coupl(nGC_12)*coupl(nGC_2072) + 6d0*Nc*cima*coupl(    &
                        nGC_2070)*coupl(nGC_2072) - 9d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_2066)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_2070)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_2072)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_3534) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_2072) + 3d0*Nc*cima*coupl(     &
                        nGC_2070)*coupl(nGC_2072) - 6d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_2070)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_2072)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_3533) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_2072) + 12d0*Nc*cima*coupl&
                        (nGC_2070)*coupl(nGC_2072) - 21d0*Nc*coupl(nGC_10)**2d0&
                        *coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_2066)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_2070)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_2072)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0&
                        *sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_3532) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2070  &
                        )**2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**&
                        2d0 - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_2070)*sq2** &
                        2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi &
                        **2d0)
      coupl(nGC_3531) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_2066) - 3d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_2072) - 30d0*cima*coupl(  &
                        nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_3530) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_5156) = coupl(nGC_3585) + coupl(nGC_47)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_5016) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_3591) + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_5015) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_3591)
      coupl(nGC_5159) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3559)
      coupl(nGC_5621) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_5623) = coupl(nGC_3668) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0
      coupl(nGC_5622) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_5624) = coupl(nGC_3669) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_3516) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(    &
                        nGC_162)**4d0 - 8d0*cima*coupl(nGC_162)**2d0*coupl(    &
                        nGC_174)**2d0 - 16d0*cima*coupl(nGC_162)**2d0*coupl(   &
                        nGC_25)**2d0 - 32d0*cima*coupl(nGC_162)*coupl(nGC_174)*&
                        coupl(nGC_25)*coupl(nGC_3) - 4d0*cima*coupl(nGC_174)** &
                        4d0 - 16d0*cima*coupl(nGC_174)**2d0*coupl(nGC_3)**2d0  &
                         - 30d0*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(nGC_25&
                        )**4d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 &
                         - 4d0*cima*coupl(nGC_3)**4d0 + 3d0*cima*coupl(nGC_356 &
                        )**2d0 + 3d0*coupl(nGC_162)**2d0*coupl(nGC_19) + 3d0*  &
                        coupl(nGC_162)**2d0*coupl(nGC_356) + 6d0*coupl(nGC_162 &
                        )*coupl(nGC_174)*coupl(nGC_612) + 18d0*coupl(nGC_162)* &
                        coupl(nGC_25)*coupl(nGC_356) + 3d0*coupl(nGC_174)**2d0*&
                        coupl(nGC_356) + 3d0*coupl(nGC_174)**2d0*coupl(nGC_5   &
                        ) + 18d0*coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_356) +  &
                        3d0*coupl(nGC_19)*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_25&
                        )**2d0*coupl(nGC_356) + 6d0*coupl(nGC_25)*coupl(nGC_3)*&
                        coupl(nGC_612) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_356   &
                        ) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5))/(48d0*pi**2d0)
      coupl(nGC_6135) = -coupl(nGC_10)*dZg_QCD2/2d0 - coupl(nGC_3548)
      coupl(nGC_3391) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(&
                        nGC_36)*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_36)*   &
                        coupl(nGC_68)*coupl(nGC_802) + coupl(nGC_37)*coupl(    &
                        nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_67) - coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(    &
                        nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5337) = coupl(nGC_3657) + coupl(nGC_59)*dZcL_QCD2/2d0 + coupl( &
                        nGC_59)*dZcR_QCD2/2d0
      coupl(nGC_5336) = coupl(nGC_3656) + coupl(nGC_59)*dZH_QED2/2d0 + coupl(  &
                        nGC_59)*dZcL_QED2/2d0 + coupl(nGC_59)*dZcR_QED2/2d0
      coupl(nGC_5236) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 - &
                        coupl(nGC_29)*dZAZ_QED2/2d0 + coupl(nGC_3555)
      coupl(nGC_5237) = -2d0*coupl(nGC_19)*dZWMinus_QED2 - 2d0*coupl(nGC_19)*  &
                        dZZ_QED2 + coupl(nGC_29)*dZAZ_QED2 - 2d0*coupl(nGC_3555&
                        )
      coupl(nGC_6575) = coupl(nGC_3634) + coupl(nGC_66)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_66)*dZeMinusR_QED2/2d0
      coupl(nGC_8587) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3659) = coupl(nGC_3095)*dyt_QED1_QCD2
      coupl(nGC_8588) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3393) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(&
                        nGC_36)*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_36)*   &
                        coupl(nGC_72)*coupl(nGC_802) + coupl(nGC_37)*coupl(    &
                        nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_71) - coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(    &
                        nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5520) = coupl(nGC_3566) + coupl(nGC_HHGG)
      coupl(nGC_3392) = (coupl(nGC_23)*coupl(nGC_308)*coupl(nGC_69) + coupl(   &
                        nGC_36)*coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0* &
                        coupl(nGC_71) + coupl(nGC_40)*coupl(nGC_70)*coupl(     &
                        nGC_802) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(   &
                        nGC_71)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5529) = coupl(nGC_3648) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl( &
                        nGC_58)*dZcR_QED2/2d0
      coupl(nGC_5246) = coupl(nGC_3625) + coupl(nGC_63)*dZdL_QCD2/2d0 + coupl( &
                        nGC_63)*dZdR_QCD2/2d0
      coupl(nGC_5245) = coupl(nGC_3624) + coupl(nGC_63)*dZH_QED2/2d0 + coupl(  &
                        nGC_63)*dZdL_QED2/2d0 + coupl(nGC_63)*dZdR_QED2/2d0
      coupl(nGC_3644) = coupl(nGC_3218)*dyup_QED3
      coupl(nGC_3379) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*&
                        cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl&
                        (nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23  &
                        )**2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*  &
                        coupl(nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(   &
                        nGC_87) - 4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) -   &
                        4d0*cMM*coupl(nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*   &
                        coupl(nGC_23)**2d0*coupl(nGC_83) + 4d0*cima*coupl(     &
                        nGC_18)*coupl(nGC_50) + 2d0*cima*coupl(nGC_282)*coupl( &
                        nGC_52) + 6d0*coupl(nGC_162)**2d0*coupl(nGC_50) - coupl&
                        (nGC_162)*coupl(nGC_21)*coupl(nGC_47) - coupl(nGC_162)*&
                        coupl(nGC_308)*coupl(nGC_47) + 6d0*coupl(nGC_174)**2d0*&
                        coupl(nGC_50) - coupl(nGC_174)*coupl(nGC_21)*coupl(    &
                        nGC_51) - coupl(nGC_174)*coupl(nGC_308)*coupl(nGC_51   &
                        ) + 6d0*coupl(nGC_25)**2d0*coupl(nGC_52))/(32d0*pi**2d0&
                        )
      coupl(nGC_3371) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3370) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_23)*  &
                        coupl(nGC_238)*coupl(nGC_77) - coupl(nGC_35)*coupl(    &
                        nGC_37)*coupl(nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_80) - coupl(nGC_39)*coupl(nGC_79)*coupl(   &
                        nGC_802) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - &
                        coupl(nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(&
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3373) = (coupl(nGC_23)*coupl(nGC_238)*coupl(nGC_81) + coupl(   &
                        nGC_36)*coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0* &
                        coupl(nGC_84) + coupl(nGC_40)*coupl(nGC_802)*coupl(    &
                        nGC_83) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(    &
                        nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3372) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(&
                        nGC_36)*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_36)*   &
                        coupl(nGC_802)*coupl(nGC_83) + coupl(nGC_37)*coupl(    &
                        nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_82) - coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(    &
                        nGC_83)**2d0*coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_3375) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3374) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*  &
                        coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_86) - coupl(nGC_35)*coupl(nGC_802)*  &
                        coupl(nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(     &
                        nGC_87) - coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0* &
                        coupl(nGC_88))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
