!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_3229) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_3228) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_3225) = cMW*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3223) = -ee**2d0/sw
      coupl(nGC_3222) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3139) = -3d0*cima*lam/2d0
      coupl(nGC_3138) = -3d0*cima*vev/2d0
      coupl(nGC_3130) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_3137) = -cima*ee
      coupl(nGC_3136) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_32) = cMW*ee/(2d0*sw)
      coupl(nGC_3188) = 4d0*cima*ee**2d0
      coupl(nGC_3189) = 2d0*cima*ee**2d0
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_28) = ee**2d0/(2d0*sw)
      coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_3183) = -sqrt(2d0)/2d0
      coupl(nGC_22) = ee/(2d0*sw)
      coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_20) = -cima*ee/(2d0*sw)
      coupl(nGC_21) = cima*ee/(2d0*sw)
      coupl(nGC_26) = -ee**2d0/(2d0*sw)
      coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_24) = -cima*cw*ee/sw
      coupl(nGC_25) = cima*cw*ee/sw
      coupl(nGC_3186) = cima*ee
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_76) = sqrt(2d0)*ys/2d0
      coupl(nGC_3166) = cima*ee**2d0*vev/sw**2d0
      coupl(nGC_3182) = sqrt(2d0)/2d0
      coupl(nGC_3181) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3187) = -sqrt(2d0)/2d0
      coupl(nGC_3184) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3185) = cima*ee/3d0
      coupl(nGC_3162) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_3163) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_3164) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_3165) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_3167) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3160) = -cima*cw*ee/sw**2d0
      coupl(nGC_3161) = cima*ee/sw
      coupl(nGC_I) = cima
      coupl(nGC_3168) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_3169) = -cima*ee**2d0*vev/sw
      coupl(nGC_79) = -sqrt(2d0)*cima*yt/2d0
      coupl(nGC_238) = -coupl(nGC_22)
      coupl(nGC_73) = -cima*ys
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = ee**2d0/(2d0*cw)
      coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_348) = -coupl(nGC_24)
      coupl(nGC_48) = -cima*lam*vev/2d0
      coupl(nGC_342) = -coupl(nGC_4)
      coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3103) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3100) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_53) = -cima*yb
      coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev&
                       + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_57) = cima*yc
      coupl(nGC_56) = sqrt(2d0)*yb/2d0
      coupl(nGC_55) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_54) = -sqrt(2d0)*yb/2d0
      coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_58) = -sqrt(2d0)*yc/2d0
      coupl(nGC_3131) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_3135) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_162) = -coupl(nGC_25)
      coupl(nGC_3134) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_18) = -cima*ee**2d0/sw**2d0
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_3129) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_308) = -coupl(nGC_20)
      coupl(nGC_3180) = -sqrt(2d0)/2d0
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_15) = -3d0*cima*lam/2d0
      coupl(nGC_14) = -cima*lam
      coupl(nGC_13) = -cima*lam/2d0
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_3201) = cima*ee/(2d0*cMW)
      coupl(nGC_3199) = 2d0*cima*gs**2d0
      coupl(nGC_3213) = cima*ee/(2d0*sw)
      coupl(nGC_3197) = -cima*ee**2d0/cw
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_3191) = -sqrt(2d0)/2d0
      coupl(nGC_3193) = ee**2d0/cw
      coupl(nGC_MI) = -cima
      coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
      coupl(nGC_3151) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_3150) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_3153) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_3152) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_3155) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_3154) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_3157) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_3156) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_3233) = -cMW*ee/(2d0*sw)
      coupl(nGC_356) = -2d0*coupl(nGC_18)
      coupl(nGC_49) = -3d0*cima*lam*vev/2d0
      coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
      coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_3219) = ee**2d0/sw
      coupl(nGC_2070) = -coupl(nGC_12)
      coupl(nGC_174) = -coupl(nGC_3)
      coupl(nGC_3208) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_3200) = -sqrt(2d0)/2d0
      coupl(nGC_3203) = -cima/2d0
      coupl(nGC_3202) = cMW*cima*ee
      coupl(nGC_3205) = cima*ee**2d0/sw**2d0
      coupl(nGC_3204) = -sqrt(2d0)/2d0
      coupl(nGC_3207) = -cima*ee/(2d0*sw)
      coupl(nGC_3206) = -cima*ee**2d0/sw**3d0
      coupl(nGC_3115) = cima*ee/(3d0*cw)
      coupl(nGC_3114) = cima*ee*sw/(3d0*cw)
      coupl(nGC_3117) = -sqrt(2d0)/2d0
      coupl(nGC_3116) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_3111) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_3110) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_3113) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_3112) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_3119) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_3118) = -2d0*cima*ee/3d0
      coupl(nGC_3159) = cima*cw*ee/sw
      coupl(nGC_3093) = sqrt(2d0)/2d0
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
      coupl(nGC_74) = -sqrt(2d0)*ys/2d0
      coupl(nGC_77) = cima*yt
      coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_70) = -sqrt(2d0)*ym/2d0
      coupl(nGC_72) = sqrt(2d0)*ym/2d0
      coupl(nGC_78) = -sqrt(2d0)*yt/2d0
      coupl(nGC_3120) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3234) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_3227) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_3235) = ee/(4d0*cMW*sw)
      coupl(nGC_3132) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_3230) = 2d0*cima*ee**2d0/sw
      coupl(nGC_3231) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_3226) = -cima*ee/(4d0*cMW*sw)
      coupl(nGC_3232) = -ee/(4d0*cMW*sw)
      coupl(nGC_3236) = cMW*ee/(2d0*sw)
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_3224) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3148) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_3149) = -cima*ee**2d0*vev/cw
      coupl(nGC_3146) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_3147) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_3144) = -cima*lam/2d0
      coupl(nGC_3145) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_3142) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_3143) = -cima*vev/2d0
      coupl(nGC_3140) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_3141) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_88) = sqrt(2d0)*yup/2d0
      coupl(nGC_3092) = -3d0*cima/2d0
      coupl(nGC_3094) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3095) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3096) = -sqrt(2d0)*cima/2d0
      coupl(nGC_3097) = sqrt(2d0)/2d0
      coupl(nGC_3098) = sqrt(2d0)/2d0
      coupl(nGC_3099) = sqrt(2d0)/2d0
      coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_3221) = -cima*ee**2d0/sw
      coupl(nGC_282) = -2d0*coupl(nGC_19)
      coupl(nGC_86) = -sqrt(2d0)*yup/2d0
      coupl(nGC_544) = -coupl(nGC_40)
      coupl(nGC_3220) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_30) = -cMW*ee/(2d0*sw)
      coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_34) = cima*ee*sw/(3d0*cw)
      coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_36) = cima*ee*sw/cw
      coupl(nGC_144) = cima/(2d0*cMW)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
