!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_3418) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3419) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*   &
                        coupl(nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3414) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3415) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +   &
                        coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3416) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3417) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*   &
                        coupl(nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3410) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_162)*coupl(nGC_39) - coupl( &
                        nGC_174)*coupl(nGC_2) - coupl(nGC_25)*coupl(nGC_38) +  &
                        coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_5083) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3412) = coupl(nGC_23)*(-coupl(nGC_162)*coupl(nGC_41) - coupl(  &
                        nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) +    &
                        coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_5033) = coupl(nGC_3639) + coupl(nGC_67)*dZH_QED2/2d0 + coupl(  &
                        nGC_67)*dZeMinusL_QED2/2d0 + coupl(nGC_67)*            &
                        dZeMinusR_QED2/2d0
      coupl(nGC_3612) = coupl(nGC_3097)*dydo_QED3
      coupl(nGC_5604) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_23)*dZtauMinusL_QED2/2d0&
                         + coupl(nGC_3593)
      coupl(nGC_6093) = coupl(nGC_3654) + coupl(nGC_87)*dZH_QED2/2d0 + coupl(  &
                        nGC_87)*dZuL_QED2/2d0 + coupl(nGC_87)*dZuR_QED2/2d0
      coupl(nGC_6509) = -coupl(nGC_21)*dZH_QED2/2d0 - coupl(nGC_21)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_3575)
      coupl(nGC_5210) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_3591)
      coupl(nGC_5211) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_3591) + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_6457) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
      coupl(nGC_5352) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_5929) = coupl(nGC_3628) + coupl(nGC_55)*dZH_QED2/2d0 + coupl(  &
                        nGC_55)*dZbL_QED2/2d0 + coupl(nGC_55)*dZbR_QED2/2d0
      coupl(nGC_6327) = coupl(nGC_3640) + coupl(nGC_71)*dZH_QED2/2d0 + coupl(  &
                        nGC_71)*dZmuMinusL_QED2/2d0 + coupl(nGC_71)*           &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_6732) = coupl(nGC_3651) + coupl(nGC_80)*dZtL_QCD2/2d0 + coupl( &
                        nGC_80)*dZtR_QCD2/2d0
      coupl(nGC_6730) = coupl(nGC_3650) + coupl(nGC_80)*dZtL_QED2/2d0 + coupl( &
                        nGC_80)*dZtR_QED2/2d0
      coupl(nGC_6731) = coupl(nGC_3653) + coupl(nGC_78)*dZtL_QCD2/2d0 + coupl( &
                        nGC_78)*dZtR_QCD2/2d0
      coupl(nGC_4994) = coupl(nGC_29)*dZZA_QED2 - 2d0*coupl(nGC_3551) - 2d0*   &
                        coupl(nGC_5)*dZA_QED2 - 2d0*coupl(nGC_5)*dZWMinus_QED2
      coupl(nGC_4997) = coupl(nGC_3632) + coupl(nGC_81)*dZnu_tauL_QED2/2d0 +   &
                        coupl(nGC_81)*dZtauMinusR_QED2/2d0
      coupl(nGC_11117) = -coupl(nGC_3467)
      coupl(nGC_4993) = -coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_3551) + coupl(&
                        nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2
      coupl(nGC_3359) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_23)*  &
                        coupl(nGC_238)*coupl(nGC_61) - coupl(nGC_34)*coupl(    &
                        nGC_37)*coupl(nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_62) - coupl(nGC_38)*coupl(nGC_63)*coupl(   &
                        nGC_802) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - &
                        coupl(nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0* &
                        coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3356) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_22)*  &
                        coupl(nGC_23)*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl( &
                        nGC_38)*coupl(nGC_64) - coupl(nGC_34)*coupl(nGC_63)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_38)*coupl(    &
                        nGC_63) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) -  &
                        coupl(nGC_62)*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(&
                        nGC_64)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3355) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3354) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_23)*  &
                        coupl(nGC_238)*coupl(nGC_57) - coupl(nGC_35)*coupl(    &
                        nGC_37)*coupl(nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_60) - coupl(nGC_39)*coupl(nGC_59)*coupl(   &
                        nGC_802) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - &
                        coupl(nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(&
                        nGC_60)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3352) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*  &
                        coupl(nGC_23)*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_58) - coupl(nGC_35)*coupl(nGC_59)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_39)*coupl(    &
                        nGC_59) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) -  &
                        coupl(nGC_58)**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0* &
                        coupl(nGC_60))/(32d0*pi**2d0)
      coupl(nGC_3351) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3350) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_23)*  &
                        coupl(nGC_238)*coupl(nGC_53) - coupl(nGC_34)*coupl(    &
                        nGC_37)*coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_54) - coupl(nGC_38)*coupl(nGC_55)*coupl(   &
                        nGC_802) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - &
                        coupl(nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0* &
                        coupl(nGC_56))/(32d0*pi**2d0)
      coupl(nGC_3592) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_6022) = coupl(nGC_3582) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0 + coupl(nGC_40)*dZmuMinusL_QED2
      coupl(nGC_6021) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZmuMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_6187) = coupl(nGC_3641) + coupl(nGC_83)*dZH_QED2/2d0 + coupl(  &
                        nGC_83)*dZtauMinusL_QED2/2d0 + coupl(nGC_83)*          &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3329) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(  &
                        nGC_1)*coupl(nGC_342)*coupl(nGC_85) - coupl(nGC_2)*    &
                        coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_22)*coupl(nGC_23&
                        )*coupl(nGC_88) - coupl(nGC_23)*coupl(nGC_308)*coupl(  &
                        nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85 &
                        ) - coupl(nGC_35)*coupl(nGC_40)*coupl(nGC_85) - coupl( &
                        nGC_38)*coupl(nGC_544)*coupl(nGC_85) - coupl(nGC_61)*  &
                        coupl(nGC_62)*coupl(nGC_88) - coupl(nGC_61)*coupl(     &
                        nGC_63)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3323) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_2)*coupl(&
                        nGC_342)*coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*  &
                        coupl(nGC_59) + coupl(nGC_23)*coupl(nGC_238)*coupl(    &
                        nGC_60) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57 &
                        ) + coupl(nGC_35)*coupl(nGC_544)*coupl(nGC_57) + coupl(&
                        nGC_38)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*   &
                        coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_60)*coupl(     &
                        nGC_73)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_3321) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(  &
                        nGC_1)*coupl(nGC_342)*coupl(nGC_77) - coupl(nGC_2)*    &
                        coupl(nGC_4)*coupl(nGC_77) - coupl(nGC_22)*coupl(nGC_23&
                        )*coupl(nGC_80) - coupl(nGC_23)*coupl(nGC_308)*coupl(  &
                        nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77 &
                        ) - coupl(nGC_35)*coupl(nGC_40)*coupl(nGC_77) - coupl( &
                        nGC_38)*coupl(nGC_544)*coupl(nGC_77) - coupl(nGC_53)*  &
                        coupl(nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(     &
                        nGC_55)*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3327) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(  &
                        nGC_1)*coupl(nGC_342)*coupl(nGC_61) - coupl(nGC_2)*    &
                        coupl(nGC_4)*coupl(nGC_61) - coupl(nGC_20)*coupl(nGC_23&
                        )*coupl(nGC_63) - coupl(nGC_23)*coupl(nGC_238)*coupl(  &
                        nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61 &
                        ) - coupl(nGC_34)*coupl(nGC_544)*coupl(nGC_61) - coupl(&
                        nGC_39)*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*   &
                        coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_64)*coupl(     &
                        nGC_85)*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_3450) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3451) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl&
                        (nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3454) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
