!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_3455) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**&
                        2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3456) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl&
                        (nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3457) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3458) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_53)**&
                        2d0 - coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_79)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3459) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)*coupl&
                        (nGC_80) - coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_8597) = coupl(nGC_3680) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_3519) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl( &
                        nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(   &
                        nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0*Nc)
      coupl(nGC_3518) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(&
                        nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(   &
                        nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0)
      coupl(nGC_3511) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -  &
                        30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39 &
                        )**2d0 - 16d0*cima*coupl(nGC_162)**2d0*coupl(nGC_25)** &
                        2d0 - 16d0*cima*coupl(nGC_174)**2d0*coupl(nGC_25)**2d0 &
                         + 6d0*cima*coupl(nGC_18)*coupl(nGC_282) + 18d0*cima*  &
                        coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl&
                        (nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima* &
                        coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + 9d0*coupl(     &
                        nGC_162)**2d0*coupl(nGC_18) + 9d0*coupl(nGC_162)**2d0* &
                        coupl(nGC_282) + 6d0*coupl(nGC_162)*coupl(nGC_19)*coupl&
                        (nGC_25) + 9d0*coupl(nGC_174)**2d0*coupl(nGC_282) + 6d0&
                        *coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_612) + 9d0*    &
                        coupl(nGC_18)*coupl(nGC_25)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3510) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                        )**2d0 - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_25)**  &
                        2d0 - 8d0*cima*coupl(nGC_174)**2d0*coupl(nGC_25)**2d0  &
                         + 4d0*cima*coupl(nGC_19)**2d0 - 4d0*cima*coupl(nGC_23 &
                        )**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_40)*coupl(nGC_41) - 4d0*cima*coupl(nGC_23&
                        )**2d0*coupl(nGC_41)**2d0 + 4d0*cima*coupl(nGC_612)**  &
                        2d0 + coupl(nGC_162)**2d0*coupl(nGC_19) + coupl(nGC_162&
                        )**2d0*coupl(nGC_356) + 12d0*coupl(nGC_162)*coupl(     &
                        nGC_19)*coupl(nGC_25) + 2d0*coupl(nGC_162)*coupl(nGC_25&
                        )*coupl(nGC_282) + coupl(nGC_174)**2d0*coupl(nGC_19) + &
                        2d0*coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_29) + 12d0* &
                        coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_612) + coupl(   &
                        nGC_18)*coupl(nGC_25)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3512) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                        )**2d0 - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_25)**  &
                        2d0 - 8d0*cima*coupl(nGC_174)**2d0*coupl(nGC_25)**2d0  &
                         + 4d0*cima*coupl(nGC_19)**2d0 - 4d0*cima*coupl(nGC_23 &
                        )**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_40)*coupl(nGC_41) - 4d0*cima*coupl(nGC_23&
                        )**2d0*coupl(nGC_41)**2d0 + 4d0*cima*coupl(nGC_612)**  &
                        2d0 + coupl(nGC_162)**2d0*coupl(nGC_18) + coupl(nGC_162&
                        )**2d0*coupl(nGC_19) + 12d0*coupl(nGC_162)*coupl(nGC_19&
                        )*coupl(nGC_25) + 2d0*coupl(nGC_162)*coupl(nGC_25)*    &
                        coupl(nGC_282) + coupl(nGC_174)**2d0*coupl(nGC_19) +   &
                        2d0*coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_29) + 12d0* &
                        coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_612) + coupl(   &
                        nGC_25)**2d0*coupl(nGC_356))/(32d0*pi**2d0)
      coupl(nGC_3517) = (36d0*Nc*cima*coupl(nGC_23)**4d0 - 16d0*cima*coupl(    &
                        nGC_162)**4d0 - 32d0*cima*coupl(nGC_162)**2d0*coupl(   &
                        nGC_174)**2d0 - 24d0*cima*coupl(nGC_162)**2d0*coupl(   &
                        nGC_25)**2d0 - 48d0*cima*coupl(nGC_162)*coupl(nGC_174)*&
                        coupl(nGC_25)*coupl(nGC_3) + 6d0*cima*coupl(nGC_170)** &
                        2d0 - 16d0*cima*coupl(nGC_174)**4d0 - 24d0*cima*coupl( &
                        nGC_174)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl(     &
                        nGC_18)**2d0 + 36d0*cima*coupl(nGC_23)**4d0 - 16d0*cima&
                        *coupl(nGC_25)**4d0 - 32d0*cima*coupl(nGC_25)**2d0*    &
                        coupl(nGC_3)**2d0 + 6d0*cima*coupl(nGC_282)**2d0 + 12d0&
                        *cima*coupl(nGC_29)**2d0 - 16d0*cima*coupl(nGC_3)**4d0 &
                         + 21d0*coupl(nGC_162)**2d0*coupl(nGC_18) + 3d0*coupl( &
                        nGC_162)**2d0*coupl(nGC_19) + 18d0*coupl(nGC_162)**2d0*&
                        coupl(nGC_282) + 36d0*coupl(nGC_162)*coupl(nGC_174)*   &
                        coupl(nGC_29) + 6d0*coupl(nGC_162)*coupl(nGC_174)*coupl&
                        (nGC_612) + 6d0*coupl(nGC_162)*coupl(nGC_18)*coupl(    &
                        nGC_25) + 18d0*coupl(nGC_170)*coupl(nGC_174)**2d0 +    &
                        18d0*coupl(nGC_170)*coupl(nGC_3)**2d0 + 21d0*coupl(    &
                        nGC_174)**2d0*coupl(nGC_18) + 3d0*coupl(nGC_174)**2d0* &
                        coupl(nGC_5) + 6d0*coupl(nGC_174)*coupl(nGC_18)*coupl( &
                        nGC_3) + 21d0*coupl(nGC_18)*coupl(nGC_25)**2d0 + 21d0* &
                        coupl(nGC_18)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_19)*   &
                        coupl(nGC_25)**2d0 + 18d0*coupl(nGC_25)**2d0*coupl(    &
                        nGC_282) + 36d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_3&
                        ) + 6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_612) + 3d0&
                        *coupl(nGC_3)**2d0*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_10474) = -coupl(nGC_3407)
      coupl(nGC_3388) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_20)*  &
                        coupl(nGC_23)*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl( &
                        nGC_38)*coupl(nGC_63) - coupl(nGC_34)*coupl(nGC_62)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_38)*coupl(    &
                        nGC_62) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) -  &
                        coupl(nGC_62)**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5070) = coupl(nGC_3622) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl( &
                        nGC_56)*dZbR_QED2/2d0
      coupl(nGC_5178) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsR_QCD2 + &
                        coupl(nGC_3592)
      coupl(nGC_5072) = coupl(nGC_3623) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl( &
                        nGC_56)*dZbR_QCD2/2d0
      coupl(nGC_5073) = coupl(nGC_3621) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl( &
                        nGC_54)*dZbR_QCD2/2d0
      coupl(nGC_5725) = coupl(nGC_3612) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl( &
                        nGC_64)*dZdR_QED2/2d0
      coupl(nGC_5726) = coupl(nGC_3614) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl( &
                        nGC_62)*dZdR_QED2/2d0
      coupl(nGC_5727) = coupl(nGC_3613) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl( &
                        nGC_64)*dZdR_QCD2/2d0
      coupl(nGC_5728) = coupl(nGC_3615) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl( &
                        nGC_62)*dZdR_QCD2/2d0
      coupl(nGC_6551) = -coupl(nGC_25)*dZZ_QED2/2d0 - coupl(nGC_3)*dZAZ_QED2/  &
                        2d0 - coupl(nGC_3552)
      coupl(nGC_3589) = coupl(nGC_3175)*dsw_QED2 + coupl(nGC_3176)*dZee_QED2 + &
                        coupl(nGC_3177)*dcw_QED2 + coupl(nGC_3178)*dvev_QED1
      coupl(nGC_3580) = coupl(nGC_3128)*dZee_QED2 + coupl(nGC_3129)*dsw_QED2 + &
                        coupl(nGC_3130)*dcw_QED2
      coupl(nGC_3581) = coupl(nGC_3119)*dZee_QED2 + coupl(nGC_3120)*dsw_QED2 + &
                        coupl(nGC_3121)*dcw_QED2
      coupl(nGC_6208) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
      coupl(nGC_6207) = coupl(nGC_3556) + coupl(nGC_36)*dZZA_QED2/2d0 + coupl( &
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
      coupl(nGC_3287) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61 &
                        ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73 &
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77 &
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85 &
                        ) + 4d0*cima*coupl(nGC_47)*coupl(nGC_612) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_51) - coupl(nGC_174)*coupl(     &
                        nGC_21)*coupl(nGC_50) + 6d0*coupl(nGC_174)*coupl(nGC_25&
                        )*coupl(nGC_47) + 6d0*coupl(nGC_174)*coupl(nGC_3)*coupl&
                        (nGC_51) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) - &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
      coupl(nGC_5827) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_3596) + coupl(  &
                        nGC_38)*dZZ_QED2/2d0 + coupl(nGC_38)*dZsL_QED2
      coupl(nGC_5824) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_3289) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61 &
                        ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73 &
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77 &
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85 &
                        ) + 4d0*cima*coupl(nGC_47)*coupl(nGC_612) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_51) + 6d0*coupl(nGC_162)*coupl( &
                        nGC_3)*coupl(nGC_47) - coupl(nGC_162)*coupl(nGC_51)*   &
                        coupl(nGC_544) + 6d0*coupl(nGC_174)*coupl(nGC_3)*coupl(&
                        nGC_51) - coupl(nGC_174)*coupl(nGC_342)*coupl(nGC_51   &
                        ) - coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50))/(32d0*pi &
                        **2d0)
      coupl(nGC_5543) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_eL_QED2
      coupl(nGC_3288) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(&
                        nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl( &
                        nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0  &
                         + 4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)* &
                        coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57  &
                        )**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0* &
                        Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2&
                        )*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85&
                        )**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_966  &
                        ) - 6d0*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_3) +    &
                        coupl(nGC_342)**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl( &
                        nGC_544)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*&
                        coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3502) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 +   &
                        6d0*cima*coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_22)**&
                        2d0*coupl(nGC_238)**2d0 - 5d0*cima*coupl(nGC_37)**2d0* &
                        coupl(nGC_802)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 +    &
                        20d0*cima*coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 + 20d0*&
                        cima*coupl(nGC_70)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*&
                        coupl(nGC_82)**2d0*coupl(nGC_84)**2d0 + 6d0*coupl(     &
                        nGC_13)*coupl(nGC_22)*coupl(nGC_238) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_37)*coupl(nGC_802) - 6d0*coupl(nGC_17)*    &
                        coupl(nGC_22)*coupl(nGC_238) - 3d0*coupl(nGC_37)*coupl(&
                        nGC_46)*coupl(nGC_802))/(16d0*pi**2d0)
      coupl(nGC_3468) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_73)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_77)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                        nGC_57)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_61)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_73)**2d0 + 40d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_77)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_85)**2d0 - 32d0*Nc*cima* &
                        coupl(nGC_2)**2d0*coupl(nGC_53)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 24d0*cima*coupl(&
                        nGC_17)*coupl(nGC_170) + 9d0*cima*coupl(nGC_174)**2d0* &
                        coupl(nGC_21)*coupl(nGC_308) + 9d0*cima*coupl(nGC_174  &
                        )**2d0*coupl(nGC_22)*coupl(nGC_238) + 9d0*cima*coupl(  &
                        nGC_20)*coupl(nGC_3)**2d0*coupl(nGC_966) + 9d0*cima*   &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_3)**2d0 + 8d0*  &
                        cima*coupl(nGC_342)**2d0*coupl(nGC_4)**2d0 + 4d0*cima* &
                        coupl(nGC_342)**2d0*coupl(nGC_40)**2d0 + 4d0*cima*coupl&
                        (nGC_4)**2d0*coupl(nGC_544)**2d0 - 32d0*cima*coupl(    &
                        nGC_4)**2d0*coupl(nGC_65)**2d0 - 32d0*cima*coupl(nGC_4 &
                        )**2d0*coupl(nGC_69)**2d0 - 32d0*cima*coupl(nGC_4)**2d0&
                        *coupl(nGC_81)**2d0 + 36d0*coupl(nGC_17)*coupl(nGC_174 &
                        )**2d0 + 36d0*coupl(nGC_17)*coupl(nGC_3)**2d0 - 6d0*   &
                        coupl(nGC_170)*coupl(nGC_20)*coupl(nGC_966) - 6d0*coupl&
                        (nGC_170)*coupl(nGC_22)*coupl(nGC_238) - 6d0*coupl(    &
                        nGC_174)*coupl(nGC_21)*coupl(nGC_27) - 6d0*coupl(      &
                        nGC_174)*coupl(nGC_22)*coupl(nGC_28) - 6d0*coupl(      &
                        nGC_174)*coupl(nGC_238)*coupl(nGC_26) - 6d0*coupl(     &
                        nGC_174)*coupl(nGC_27)*coupl(nGC_308) - 6d0*coupl(     &
                        nGC_20)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_22)*&
                        coupl(nGC_26)*coupl(nGC_3) - 6d0*coupl(nGC_238)*coupl( &
                        nGC_28)*coupl(nGC_3) - 6d0*coupl(nGC_27)*coupl(nGC_3)* &
                        coupl(nGC_966) + 6d0*coupl(nGC_342)**2d0*coupl(nGC_6   &
                        ) + 6d0*coupl(nGC_544)**2d0*coupl(nGC_6))/(192d0*pi**  &
                        2d0)
      coupl(nGC_5382) = coupl(nGC_3645) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl( &
                        nGC_88)*dZuR_QCD2/2d0
      coupl(nGC_5380) = coupl(nGC_3644) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl( &
                        nGC_88)*dZuR_QED2/2d0
      coupl(nGC_5381) = coupl(nGC_3643) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl( &
                        nGC_86)*dZuR_QCD2/2d0
      coupl(nGC_7088) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3565) + coupl(  &
                        nGC_HHHH)
      coupl(nGC_5260) = coupl(nGC_3636) + coupl(nGC_70)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_70)*dZmuMinusR_QED2/2d0
      coupl(nGC_5264) = -coupl(nGC_25)*dZWMinus_QED2/2d0 - coupl(nGC_3552)
      coupl(nGC_5858) = coupl(nGC_3682) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_3508) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl( &
                        nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0* &
                        Nc*cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79 &
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_87)**4d0 + 6d0*cima*   &
                        coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(&
                        nGC_966)**2d0 - 5d0*cima*coupl(nGC_21)**2d0*coupl(     &
                        nGC_308)**2d0 - 5d0*cima*coupl(nGC_37)**2d0*coupl(     &
                        nGC_802)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima&
                        *coupl(nGC_67)**4d0 + 20d0*cima*coupl(nGC_71)**4d0 +   &
                        20d0*cima*coupl(nGC_83)**4d0 + 3d0*coupl(nGC_13)*coupl(&
                        nGC_20)*coupl(nGC_966) + 3d0*coupl(nGC_13)*coupl(nGC_21&
                        )*coupl(nGC_308) + 3d0*coupl(nGC_13)*coupl(nGC_37)*    &
                        coupl(nGC_802) - 3d0*coupl(nGC_17)*coupl(nGC_20)*coupl(&
                        nGC_966) - 3d0*coupl(nGC_17)*coupl(nGC_21)*coupl(      &
                        nGC_308) - 3d0*coupl(nGC_37)*coupl(nGC_46)*coupl(      &
                        nGC_802))/(16d0*pi**2d0)
      coupl(nGC_4966) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZbL_QED2/2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_4962) = coupl(nGC_3564) + coupl(nGC_44)*dZH_QED2/2d0
      coupl(nGC_5135) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_3595) + coupl(  &
                        nGC_39)*dZZ_QED2/2d0 + coupl(nGC_39)*dZtL_QED2
      coupl(nGC_5134) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0&
                         + coupl(nGC_35)*dZtR_QED2 + coupl(nGC_3594)
      coupl(nGC_3380) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_23)*  &
                        coupl(nGC_53)*coupl(nGC_966) - coupl(nGC_34)*coupl(    &
                        nGC_37)*coupl(nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_55) - coupl(nGC_38)*coupl(nGC_56)*coupl(   &
                        nGC_802) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - &
                        coupl(nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3381) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_20)*  &
                        coupl(nGC_23)*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl( &
                        nGC_38)*coupl(nGC_55) - coupl(nGC_34)*coupl(nGC_54)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_38)*coupl(    &
                        nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -  &
                        coupl(nGC_54)**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0  &
                        )/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
