!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_3506) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*   &
                        coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_3505) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*   &
                        coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0)
      coupl(nGC_3500) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 + &
                        coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0&
                        *pi**2d0*Nc)
      coupl(nGC_3501) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0  &
                         - coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_73)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_3465) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3464) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**&
                        2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3467) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_3466) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_3461) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)*coupl&
                        (nGC_80) + coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3460) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_53)**&
                        2d0 + coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_79)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3463) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3509) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl( &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62 &
                        )*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl&
                        (nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*   &
                        coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*   &
                        cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(  &
                        nGC_64) + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*    &
                        coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_35&
                        )**2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl&
                        (nGC_35)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*   &
                        cima*coupl(nGC_35)**2d0*coupl(nGC_86)*coupl(nGC_88) +  &
                        40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_58)*&
                        coupl(nGC_60) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39&
                        )*coupl(nGC_78)*coupl(nGC_80) + 40d0*Nc*cima*coupl(    &
                        nGC_35)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88) -    &
                        32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(   &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_62 &
                        )*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl&
                        (nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_39)**  &
                        2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl(  &
                        nGC_39)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima&
                        *coupl(nGC_39)**2d0*coupl(nGC_86)*coupl(nGC_88) + 9d0* &
                        cima*coupl(nGC_162)**2d0*coupl(nGC_22)*coupl(nGC_238   &
                        ) + 12d0*cima*coupl(nGC_17)*coupl(nGC_282) + 9d0*cima* &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_25)**2d0 + 4d0* &
                        cima*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_40)**2d0 + &
                        4d0*cima*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_544)** &
                        2d0 - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_66)*coupl(&
                        nGC_68) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_70)*  &
                        coupl(nGC_72) - 32d0*cima*coupl(nGC_36)**2d0*coupl(    &
                        nGC_82)*coupl(nGC_84) + 40d0*cima*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_66)*coupl(nGC_68) + 40d0*cima*coupl( &
                        nGC_36)*coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +    &
                        40d0*cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_82)*   &
                        coupl(nGC_84) + 4d0*cima*coupl(nGC_37)**2d0*coupl(     &
                        nGC_802)**2d0 - 32d0*cima*coupl(nGC_40)**2d0*coupl(    &
                        nGC_66)*coupl(nGC_68) - 32d0*cima*coupl(nGC_40)**2d0*  &
                        coupl(nGC_70)*coupl(nGC_72) - 32d0*cima*coupl(nGC_40)**&
                        2d0*coupl(nGC_82)*coupl(nGC_84) + 18d0*coupl(nGC_162)**&
                        2d0*coupl(nGC_17) - 6d0*coupl(nGC_162)*coupl(nGC_22)*  &
                        coupl(nGC_7) - 6d0*coupl(nGC_162)*coupl(nGC_238)*coupl(&
                        nGC_9) + 18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 - 6d0*  &
                        coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_282) + 6d0*coupl&
                        (nGC_22)*coupl(nGC_238)*coupl(nGC_45) - 6d0*coupl(     &
                        nGC_22)*coupl(nGC_25)*coupl(nGC_9) - 6d0*coupl(nGC_238 &
                        )*coupl(nGC_25)*coupl(nGC_7) + 3d0*coupl(nGC_37)*coupl(&
                        nGC_46)*coupl(nGC_802))/(96d0*pi**2d0)
      coupl(nGC_5045) = coupl(nGC_3617) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl( &
                        nGC_74)*dZsR_QCD2/2d0
      coupl(nGC_5044) = coupl(nGC_3619) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl( &
                        nGC_76)*dZsR_QCD2/2d0
      coupl(nGC_5043) = coupl(nGC_3616) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl( &
                        nGC_74)*dZsR_QED2/2d0
      coupl(nGC_5042) = coupl(nGC_3618) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl( &
                        nGC_76)*dZsR_QED2/2d0
      coupl(nGC_5049) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/  &
                        2d0 - coupl(nGC_3550)
      coupl(nGC_3250) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_23)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_162)**2d0 + 3d0*cMW**2d0*cima*coupl(&
                        nGC_174)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 + &
                        3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 4d0*cMW**2d0*    &
                        coupl(nGC_18) + 3d0*cMZ**2d0*cima*coupl(nGC_162)**2d0  &
                         + 3d0*cMZ**2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*&
                        coupl(nGC_282))/(32d0*pi**2d0)
      coupl(nGC_3251) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_35) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(   &
                        nGC_162)*coupl(nGC_174) - coupl(nGC_25)*coupl(nGC_3) - &
                        2d0*coupl(nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl&
                        (nGC_40))/(32d0*pi**2d0)
      coupl(nGC_5166) = coupl(nGC_3582) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0 + coupl(nGC_40)*dZeMinusL_QED2
      coupl(nGC_3263) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3262) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3261) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_39)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3260) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3267) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                        nGC_40)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3266) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3265) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_5651) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_3269) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_6833) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_6837) = coupl(nGC_3678) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_6836) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_5301) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_6170) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_6171) = coupl(nGC_3670) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0
      coupl(nGC_6172) = coupl(nGC_3671) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_3652) = coupl(nGC_3200)*dyt_QED3
      coupl(nGC_5270) = coupl(nGC_3588) + coupl(nGC_42)*dZAZ_QED2 + coupl(     &
                        nGC_45)*dZZ_QED2
      coupl(nGC_3252) = cima*(coupl(nGC_162)*coupl(nGC_174) + coupl(nGC_25)*   &
                        coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_3653) = coupl(nGC_3200)*dyt_QED1_QCD2
      coupl(nGC_3486) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54 &
                        )*coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_34)*coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76  &
                        ) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(     &
                        nGC_54)*coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_38)*coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76  &
                        ) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(     &
                        nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_35)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_88  &
                        ) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(     &
                        nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_39)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88  &
                        ) + 9d0*cima*coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_22&
                        )*coupl(nGC_238) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29&
                        ) + 9d0*cima*coupl(nGC_22)*coupl(nGC_238)*coupl(nGC_25 &
                        )*coupl(nGC_3) + 4d0*cima*coupl(nGC_22)*coupl(nGC_238)*&
                        coupl(nGC_342)*coupl(nGC_544) + 4d0*cima*coupl(nGC_22)*&
                        coupl(nGC_238)*coupl(nGC_4)*coupl(nGC_40) - 12d0*cima* &
                        coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_66)*coupl(nGC_68  &
                        ) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_70)*&
                        coupl(nGC_72) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*  &
                        coupl(nGC_82)*coupl(nGC_84) - 12d0*cima*coupl(nGC_4)*  &
                        coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) - 12d0*cima* &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72  &
                        ) - 12d0*cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_82)*&
                        coupl(nGC_84) + 18d0*coupl(nGC_162)*coupl(nGC_17)*coupl&
                        (nGC_174) - 6d0*coupl(nGC_162)*coupl(nGC_238)*coupl(   &
                        nGC_28) + 18d0*coupl(nGC_17)*coupl(nGC_25)*coupl(nGC_3 &
                        ) - 3d0*coupl(nGC_174)*coupl(nGC_22)*coupl(nGC_7) - 3d0&
                        *coupl(nGC_174)*coupl(nGC_238)*coupl(nGC_9) - 6d0*coupl&
                        (nGC_22)*coupl(nGC_238)*coupl(nGC_29) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_238)*coupl(nGC_42) - 3d0*coupl(nGC_22&
                        )*coupl(nGC_3)*coupl(nGC_9) - 6d0*coupl(nGC_238)*coupl(&
                        nGC_25)*coupl(nGC_26) - 3d0*coupl(nGC_238)*coupl(nGC_3 &
                        )*coupl(nGC_7))/(96d0*pi**2d0)
      coupl(nGC_3483) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*&
                        coupl(nGC_39) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23 &
                        )**2d0*coupl(nGC_38) + 36d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_23)**2d0*coupl(nGC_39) - 32d0*cima*coupl(nGC_162)**&
                        2d0*coupl(nGC_25)*coupl(nGC_3) - 32d0*cima*coupl(      &
                        nGC_174)**2d0*coupl(nGC_25)*coupl(nGC_3) + 12d0*cima*  &
                        coupl(nGC_18)*coupl(nGC_29) + 36d0*cima*coupl(nGC_23)**&
                        2d0*coupl(nGC_4)*coupl(nGC_40) - 30d0*cima*coupl(nGC_23&
                        )**2d0*coupl(nGC_4)*coupl(nGC_41) + 18d0*coupl(nGC_162 &
                        )**2d0*coupl(nGC_29) + 18d0*coupl(nGC_162)*coupl(      &
                        nGC_174)*coupl(nGC_18) + 6d0*coupl(nGC_162)*coupl(     &
                        nGC_19)*coupl(nGC_3) + 6d0*coupl(nGC_162)*coupl(nGC_25 &
                        )*coupl(nGC_612) + 3d0*coupl(nGC_162)*coupl(nGC_3)*    &
                        coupl(nGC_5) + 18d0*coupl(nGC_174)**2d0*coupl(nGC_29   &
                        ) + 3d0*coupl(nGC_174)*coupl(nGC_25)*coupl(nGC_5) + 6d0&
                        *coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_612) + 18d0*    &
                        coupl(nGC_18)*coupl(nGC_25)*coupl(nGC_3))/(96d0*pi**2d0&
                        )
      coupl(nGC_5379) = coupl(nGC_3642) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl( &
                        nGC_86)*dZuR_QED2/2d0
      coupl(nGC_3480) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 -    &
                        40d0*cima*coupl(nGC_162)**2d0*coupl(nGC_174)**2d0 -    &
                        40d0*cima*coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0* &
                        cima*coupl(nGC_29)**2d0 + 12d0*cima*coupl(nGC_36)**2d0*&
                        coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_4)**2d0*coupl( &
                        nGC_40)**2d0 + 3d0*coupl(nGC_162)**2d0*coupl(nGC_5) +  &
                        36d0*coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_29) + 6d0*&
                        coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_612) + 3d0*    &
                        coupl(nGC_174)**2d0*coupl(nGC_19) + 3d0*coupl(nGC_19)* &
                        coupl(nGC_3)**2d0 + 3d0*coupl(nGC_25)**2d0*coupl(nGC_5 &
                        ) + 36d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_3) + 6d0&
                        *coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_612))/(96d0*pi** &
                        2d0)
      coupl(nGC_6303) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_muL_QED2
      coupl(nGC_11115) = -coupl(nGC_3466)
      coupl(nGC_7256) = coupl(nGC_3587) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46&
                        )*dZZ_QED2
      coupl(nGC_6905) = coupl(nGC_3587) + coupl(nGC_46)*dZZ_QED2
      coupl(nGC_5883) = coupl(nGC_3610) + coupl(nGC_53)*dZbR_QED2/2d0 + coupl( &
                        nGC_53)*dZtL_QED2/2d0
      coupl(nGC_5882) = coupl(nGC_3608) + coupl(nGC_77)*dZbL_QED2/2d0 + coupl( &
                        nGC_77)*dZtR_QED2/2d0
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
