!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_3377) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3376) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_23)*  &
                        coupl(nGC_238)*coupl(nGC_85) - coupl(nGC_35)*coupl(    &
                        nGC_37)*coupl(nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_88) - coupl(nGC_39)*coupl(nGC_802)*coupl(  &
                        nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) -  &
                        coupl(nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(&
                        nGC_88)**2d0)/(32d0*pi**2d0)
      coupl(nGC_6040) = coupl(nGC_3674) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0
      coupl(nGC_6041) = coupl(nGC_3675) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_6049) = coupl(nGC_3626) + coupl(nGC_75)*dZH_QED2/2d0 + coupl(  &
                        nGC_75)*dZsL_QED2/2d0 + coupl(nGC_75)*dZsR_QED2/2d0
      coupl(nGC_5415) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_tauL_QED2
      coupl(nGC_4943) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_4946) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_3573) = coupl(nGC_3168)*dsw_QED2 + coupl(nGC_3169)*dZee_QED2 + &
                        coupl(nGC_3170)*dvev_QED1
      coupl(nGC_3572) = coupl(nGC_3221)*dZee_QED2 + coupl(nGC_3222)*dsw_QED2
      coupl(nGC_3571) = coupl(nGC_3219)*dZee_QED2 + coupl(nGC_3220)*dsw_QED2
      coupl(nGC_3577) = coupl(nGC_3207)*dZee_QED2 + coupl(nGC_3208)*dsw_QED2
      coupl(nGC_3576) = coupl(nGC_3223)*dZee_QED2 + coupl(nGC_3224)*dsw_QED2
      coupl(nGC_3575) = coupl(nGC_3213)*dZee_QED2 + coupl(nGC_3214)*dsw_QED2
      coupl(nGC_3574) = coupl(nGC_3211)*dZee_QED2 + coupl(nGC_3212)*dsw_QED2
      coupl(nGC_3578) = coupl(nGC_3205)*dZee_QED2 + coupl(nGC_3206)*dsw_QED2
      coupl(nGC_3475) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_58) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_74) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_54) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_78) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_86) + 9d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_802) + 9d0*cima*&
                        coupl(nGC_174)*coupl(nGC_238)*coupl(nGC_25)*coupl(     &
                        nGC_40) + 9d0*cima*coupl(nGC_174)*coupl(nGC_238)*coupl(&
                        nGC_3)*coupl(nGC_4) + 4d0*cima*coupl(nGC_20)*coupl(    &
                        nGC_37)*coupl(nGC_4)*coupl(nGC_544) + 4d0*cima*coupl(  &
                        nGC_22)**3d0*coupl(nGC_342) + 4d0*cima*coupl(nGC_22)*  &
                        coupl(nGC_308)**2d0*coupl(nGC_342) + 4d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_66) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(   &
                        nGC_70) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(   &
                        nGC_81)*coupl(nGC_82) + 24d0*cima*coupl(nGC_26)*coupl( &
                        nGC_5) + 24d0*cima*coupl(nGC_612)*coupl(nGC_7) - 6d0*  &
                        coupl(nGC_162)*coupl(nGC_26)*coupl(nGC_544) - 6d0*coupl&
                        (nGC_162)*coupl(nGC_27)*coupl(nGC_802) + 36d0*coupl(   &
                        nGC_162)*coupl(nGC_3)*coupl(nGC_7) - 6d0*coupl(nGC_17)*&
                        coupl(nGC_174)*coupl(nGC_238) - 6d0*coupl(nGC_17)*coupl&
                        (nGC_238)*coupl(nGC_3) + 36d0*coupl(nGC_174)*coupl(    &
                        nGC_26)*coupl(nGC_3) - 6d0*coupl(nGC_174)*coupl(nGC_26 &
                        )*coupl(nGC_342) - 6d0*coupl(nGC_20)*coupl(nGC_612)*   &
                        coupl(nGC_802) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_26   &
                        ) + 6d0*coupl(nGC_22)*coupl(nGC_27)*coupl(nGC_308) -   &
                        6d0*coupl(nGC_238)*coupl(nGC_25)*coupl(nGC_42) - 6d0*  &
                        coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_6) - 6d0*coupl(  &
                        nGC_238)*coupl(nGC_4)*coupl(nGC_5) - 6d0*coupl(nGC_238 &
                        )*coupl(nGC_40)*coupl(nGC_612) + 6d0*coupl(nGC_27)*    &
                        coupl(nGC_37)*coupl(nGC_544))/(192d0*pi**2d0)
      coupl(nGC_5053) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3584) + coupl( &
                        nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 + &
                        coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_5370) = coupl(nGC_3567) + coupl(nGC_GPGMGPGM)
      coupl(nGC_3237) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_5118) = coupl(nGC_3582) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0 + coupl(nGC_40)*dZtauMinusL_QED2
      coupl(nGC_3275) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_3276) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_3277) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_3279) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_5704) = -coupl(nGC_3582) - coupl(nGC_4)*dZAZ_QED2/2d0 - coupl( &
                        nGC_40)*dZZ_QED2/2d0
      coupl(nGC_3409) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3407) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*   &
                        coupl(nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_162  &
                        )**2d0*coupl(nGC_25) - 11d0*coupl(nGC_174)**2d0*coupl( &
                        nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) - 12d0*&
                        coupl(nGC_23)**2d0*coupl(nGC_41))/(96d0*pi**2d0)
      coupl(nGC_3406) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3405) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*  &
                        coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_802)*  &
                        coupl(nGC_88) - coupl(nGC_37)*coupl(nGC_39)*coupl(     &
                        nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) -  &
                        coupl(nGC_87)**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3404) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_23)*  &
                        coupl(nGC_308)*coupl(nGC_85) - coupl(nGC_35)*coupl(    &
                        nGC_37)*coupl(nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_87) - coupl(nGC_39)*coupl(nGC_802)*coupl(  &
                        nGC_86) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3403) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(&
                        nGC_36)*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_36)*   &
                        coupl(nGC_802)*coupl(nGC_84) + coupl(nGC_37)*coupl(    &
                        nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_83) - coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(    &
                        nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3402) = (coupl(nGC_23)*coupl(nGC_308)*coupl(nGC_81) + coupl(   &
                        nGC_36)*coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0* &
                        coupl(nGC_83) + coupl(nGC_40)*coupl(nGC_802)*coupl(    &
                        nGC_82) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(    &
                        nGC_83)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3400) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*  &
                        coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_80)*   &
                        coupl(nGC_802) - coupl(nGC_37)*coupl(nGC_39)*coupl(    &
                        nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) -  &
                        coupl(nGC_79)**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5024) = -coupl(nGC_19)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2/2d0  &
                         + coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2&
                        /2d0 + coupl(nGC_3554) - coupl(nGC_5)*dZAZ_QED2
      coupl(nGC_5023) = coupl(nGC_19)*dZZA_QED2/2d0 - coupl(nGC_29)*dZA_QED2/  &
                        4d0 - coupl(nGC_29)*dZWMinus_QED2/2d0 - coupl(nGC_29)* &
                        dZZ_QED2/4d0 - coupl(nGC_3554)/2d0 + coupl(nGC_5)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_5028) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3571) + coupl(nGC_9)*    &
                        dZZA_QED2/2d0
      coupl(nGC_5568) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3549)
      coupl(nGC_5569) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_3549)
      coupl(nGC_3496) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_58) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_78) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_78) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_86) + 9d0*cima*coupl(nGC_162)*coupl(nGC_20)*coupl( &
                        nGC_25)*coupl(nGC_802) + 9d0*cima*coupl(nGC_162)*coupl(&
                        nGC_238)*coupl(nGC_25)*coupl(nGC_40) + 9d0*cima*coupl( &
                        nGC_162)*coupl(nGC_238)*coupl(nGC_3)*coupl(nGC_4) +    &
                        24d0*cima*coupl(nGC_19)*coupl(nGC_7) + 4d0*cima*coupl( &
                        nGC_20)*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_544) +   &
                        4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_544) + 4d0*cima* &
                        coupl(nGC_22)**2d0*coupl(nGC_308)*coupl(nGC_37) + 4d0* &
                        cima*coupl(nGC_22)**2d0*coupl(nGC_308)*coupl(nGC_802   &
                        ) + 4d0*cima*coupl(nGC_22)*coupl(nGC_308)**2d0*coupl(  &
                        nGC_544) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(&
                        nGC_65)*coupl(nGC_66) + 20d0*cima*coupl(nGC_23)*coupl( &
                        nGC_36)*coupl(nGC_69)*coupl(nGC_70) + 20d0*cima*coupl( &
                        nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_82) -    &
                        16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*   &
                        coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)* &
                        coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)* &
                        coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82) - 16d0*cima* &
                        coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_66 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69 &
                        )*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_81)*coupl(nGC_82) + 4d0*cima*coupl(nGC_238 &
                        )*coupl(nGC_37)**2d0*coupl(nGC_544) + 24d0*cima*coupl( &
                        nGC_26)*coupl(nGC_612) - 6d0*coupl(nGC_162)*coupl(     &
                        nGC_17)*coupl(nGC_238) - 6d0*coupl(nGC_162)*coupl(     &
                        nGC_238)*coupl(nGC_46) + 36d0*coupl(nGC_162)*coupl(    &
                        nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_162)*coupl(nGC_8)*&
                        coupl(nGC_802) - 6d0*coupl(nGC_17)*coupl(nGC_238)*coupl&
                        (nGC_25) + 36d0*coupl(nGC_174)*coupl(nGC_25)*coupl(    &
                        nGC_26) - 6d0*coupl(nGC_19)*coupl(nGC_20)*coupl(nGC_802&
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_238)*coupl(nGC_40) +   &
                        6d0*coupl(nGC_22)**2d0*coupl(nGC_7) + 6d0*coupl(nGC_22 &
                        )*coupl(nGC_308)*coupl(nGC_8) - 6d0*coupl(nGC_238)*    &
                        coupl(nGC_25)*coupl(nGC_45) - 6d0*coupl(nGC_238)*coupl(&
                        nGC_3)*coupl(nGC_42) - 6d0*coupl(nGC_238)*coupl(nGC_4)*&
                        coupl(nGC_612) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(&
                        nGC_7) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_7) +  &
                        6d0*coupl(nGC_37)*coupl(nGC_544)*coupl(nGC_8))/(192d0* &
                        pi**2d0)
      coupl(nGC_6280) = -coupl(nGC_25)*dZWMinus_QED2 - coupl(nGC_25)*dZZ_QED2/ &
                        2d0 - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_3552)
      coupl(nGC_5364) = coupl(nGC_3677) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_6729) = coupl(nGC_3652) + coupl(nGC_78)*dZtL_QED2/2d0 + coupl( &
                        nGC_78)*dZtR_QED2/2d0
      coupl(nGC_4989) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_3591) + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_4988) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_3591)
      coupl(nGC_5513) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZbR_QED2 + coupl(nGC_3597)
      coupl(nGC_5511) = coupl(nGC_34)*dZbR_QCD2
      coupl(nGC_5297) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_5096) = coupl(nGC_3606) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl( &
                        nGC_73)*dZsR_QED2/2d0
      coupl(nGC_5097) = coupl(nGC_3604) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl( &
                        nGC_57)*dZsL_QED2/2d0
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
