!******************************************************************************!
!                                                                              !
!    ctparameter100.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter100.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter100
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter100()
  if (dZtauMinusL_QED2_scheme .eq. 1) then
    dZtauMinusL_QED2 = (2d0*Ten344*coupl(nGC_4)**2d0 + 2d0*Ten345*coupl(nGC_40 &
                       )**2d0 + 2d0*Ten347*coupl(nGC_4)**2d0 - 2d0*Ten348*coupl&
                       (nGC_23)**2d0 + 2d0*Ten349*coupl(nGC_40)**2d0 - 4d0*    &
                       Ten352*cMTA_reg**2d0*coupl(nGC_4)**2d0 + 4d0*Ten355*    &
                       cMTA_reg**2d0*coupl(nGC_4)**2d0 + pi**2d0*(-coupl(nGC_23&
                       )**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0 - coupl(     &
                       nGC_40)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter100
end module ctparameter100
