!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten398, Ten399, Ten390, Ten391, Ten392, Ten393, Ten394, Ten395&
                 , Ten396, Ten397, Ten72, Ten73, Ten70, Ten71, Ten76, Ten77,   &
                 Ten74, Ten75, Ten78, Ten79, Ten365, Ten364, Ten367, Ten366,   &
                 Ten361, Ten360, Ten248, Ten249, Ten246, Ten247, Ten244, Ten245&
                 , Ten242, Ten243, Ten240, Ten241, Ten228, Ten229, Ten149,     &
                 Ten148, Ten419, Ten418, Ten145, Ten144, Ten147, Ten146, Ten141&
                 , Ten140, Ten143, Ten142, Ten224, Ten216, Ten225, Ten226,     &
                 Ten227, Ten213, Ten220, Ten212, Ten91, Ten196, Ten222, Ten89, &
                 Ten88, Ten87, Ten86, Ten85, Ten84, Ten83, Ten82, Ten81, Ten80 &
                 , Ten195, Ten192, Ten193, Ten190, Ten191, Ten363, Ten362,     &
                 Ten188, Ten369, Ten368, Ten38, Ten39, Ten36, Ten37, Ten34,    &
                 Ten35, Ten32, Ten33, Ten30, Ten31, Ten329, Ten328, Ten321,    &
                 Ten320, Ten323, Ten322, Ten325, Ten324, Ten327, Ten326, Ten510&
                 , Ten215, Ten214, Ten217, Ten48, Ten211, Ten210, Ten198,      &
                 Ten199, Ten43, Ten197, Ten41, Ten40, Ten219, Ten218, Ten45,   &
                 Ten44, Ten358, Ten359, Ten354, Ten355, Ten356, Ten357, Ten350 &
                 , Ten351, Ten352, Ten353, Ten174, Ten175, Ten176, Ten177,     &
                 Ten170, Ten171, Ten172, Ten173, Ten178, Ten179, Ten101, Ten100&
                 , Ten103, Ten102, Ten105, Ten104, Ten107, Ten454, Ten109,     &
                 Ten108, Ten459, Ten458, Ten415, Ten414, Ten413, Ten412, Ten181&
                 , Ten411, Ten410, Ten180, Ten46, Ten502, Ten58, Ten453, Ten452&
                 , Ten451, Ten450, Ten457, Ten456, Ten389, Ten388, Ten455,     &
                 Ten383, Ten382, Ten381, Ten380, Ten387, Ten386, Ten385, Ten384&
                 , Ten259, Ten311, Ten312, Ten313, Ten314, Ten315, Ten316,     &
                 Ten317, Ten251, Ten250, Ten253, Ten252, Ten255, Ten254, Ten257&
                 , Ten256, Ten138, Ten139, Ten428, Ten429, Ten130, Ten131,     &
                 Ten132, Ten133, Ten134, Ten135, Ten136, Ten137, Ten98, Ten99, &
                 Ten94, Ten95, Ten96, Ten97, Ten90, Ten221, Ten92, Ten93, Ten49&
                 , Ten440, Ten277, Ten276, Ten279, Ten278, Ten42, Ten260,      &
                 Ten261, Ten262, Ten263, Ten264, Ten265, Ten266, Ten267, Ten50 &
                 , Ten269, Ten52, Ten182, Ten54, Ten55, Ten56, Ten57, Ten349,  &
                 Ten348, Ten347, Ten346, Ten345, Ten344, Ten343, Ten342, Ten341&
                 , Ten340, Ten167, Ten166, Ten165, Ten164, Ten163, Ten162,     &
                 Ten161, Ten160, Ten169, Ten168, Ten377, Ten505, Ten504, Ten507&
                 , Ten506, Ten501, Ten500, Ten468, Ten469, Ten466, Ten47,      &
                 Ten464, Ten465, Ten462, Ten463, Ten460, Ten461, Ten484, Ten485&
                 , Ten486, Ten487, Ten480, Ten481, Ten482, Ten483, Ten408,     &
                 Ten488, Ten489, Ten409, Ten405, Ten406, Ten407, Ten403, Ten194&
                 , Ten129, Ten14, Ten15, Ten16, Ten17, Ten10, Ten11, Ten12,    &
                 Ten13, Ten18, Ten19, Ten303, Ten302, Ten301, Ten300, Ten307,  &
                 Ten306, Ten305, Ten304, Ten309, Ten308, Ten442, Ten443, Ten444&
                 , Ten288, Ten441, Ten282, Ten283, Ten280, Ten128, Ten286,     &
                 Ten287, Ten284, Ten285, Ten123, Ten122, Ten121, Ten120, Ten127&
                 , Ten126, Ten125, Ten124, Ten239, Ten238, Ten237, Ten236,     &
                 Ten235, Ten234, Ten233, Ten232, Ten231, Ten230, Ten435, Ten434&
                 , Ten437, Ten436, Ten431, Ten430, Ten433, Ten432, Ten439,     &
                 Ten438, Ten446, Ten447, Ten420, Ten445, Ten189, Ten59, Ten273 &
                 , Ten272, Ten271, Ten270, Ten69, Ten68, Ten275, Ten274, Ten65 &
                 , Ten64, Ten67, Ten66, Ten61, Ten60, Ten63, Ten62, Ten268,    &
                 Ten378, Ten379, Ten51, Ten372, Ten373, Ten370, Ten371, Ten376 &
                 , Ten183, Ten374, Ten375, Ten152, Ten153, Ten150, Ten151,     &
                 Ten156, Ten157, Ten154, Ten155, Ten404, Ten185, Ten158, Ten159&
                 , Ten400, Ten401, Ten402, Ten184, Ten187, Ten186, Ten479,     &
                 Ten478, Ten106, Ten471, Ten470, Ten473, Ten472, Ten475, Ten474&
                 , Ten477, Ten476, Ten310, Ten258, Ten497, Ten496, Ten495,     &
                 Ten494, Ten493, Ten492, Ten491, Ten490, Ten499, Ten498, Ten318&
                 , Ten319, Ten223, Ten281, Ten29, Ten28, Ten21, Ten20, Ten23,  &
                 Ten22, Ten25, Ten24, Ten27, Ten26, Ten338, Ten339, Ten336,    &
                 Ten337, Ten334, Ten335, Ten332, Ten333, Ten330, Ten331, Ten53 &
                 , Ten299, Ten298, Ten295, Ten294, Ten297, Ten296, Ten291,     &
                 Ten290, Ten293, Ten292, Ten422, Ten208, Ten209, Ten423, Ten202&
                 , Ten203, Ten200, Ten201, Ten206, Ten207, Ten204, Ten205,     &
                 Ten421, Ten426, Ten427, Ten424, Ten425, Ten116, Ten117, Ten114&
                 , Ten115, Ten112, Ten113, Ten110, Ten111, Ten448, Ten449,     &
                 Ten118, Ten119, Ten289, Ten417, Ten503, Ten8, Ten9, Ten6, Ten7&
                 , Ten4, Ten5, Ten2, Ten3, Ten0, Ten1, Ten416, Ten467, Ten509, &
                 Ten508
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten474 = B11(rMW2, cMZ2_reg, cMW2_reg)
    Ten475 = B11(rMW2, cMU2_reg, cMD2_reg)
    Ten476 = B11(rMW2, cMC2_reg, cMS2_reg)
    Ten477 = B11(rMW2, cMT2_reg, cMB2_reg)
    Ten470 = B00(rMW2, cMT2_reg, cMB2_reg)
    Ten429 = B11(rMZ2, cMD2_reg, cMD2_reg)
    Ten472 = B11(rMW2, cnul, cMM2_reg)
    Ten473 = B11(rMW2, cnul, cMTA2_reg)
    Ten428 = B00(rMZ2, cMB2_reg, cMB2_reg)
    Ten478 = B0(rMW2, cnul, cME2_reg)
    Ten479 = B0(rMW2, cnul, cMM2_reg)
    Ten276 = DB0(rMT2, cMT2_reg, cMH2_reg)
    Ten277 = DB0(rMT2, cnul, cMT2_reg)
    Ten274 = B1(rMT2, cMW2_reg, cMB2_reg)
    Ten275 = B0(rMT2, cMT2_reg, cMH2_reg)
    Ten272 = B1(rMT2, cnul, cMT2_reg)
    Ten273 = B1(rMT2, cMZ2_reg, cMT2_reg)
    Ten270 = B0(rMT2, cMW2_reg, cMB2_reg)
    Ten271 = B1(rMT2, cMT2_reg, cMH2_reg)
    Ten377 = B00(cnul, cME2_reg, cME2_reg)
    Ten376 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten375 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten374 = B0(cnul, cME2_reg, cME2_reg)
    Ten373 = B11(cnul, cMTA2_reg, cMTA2_reg)
    Ten372 = B11(cnul, cMM2_reg, cMM2_reg)
    Ten278 = DB0(rMT2, cMZ2_reg, cMT2_reg)
    Ten279 = DB0(rMT2, cMW2_reg, cMB2_reg)
    Ten0 = A0(cMH2_reg)
    Ten7 = A0(cMC2_reg)
    Ten6 = A0(cMU2_reg)
    Ten4 = A0(cMM2_reg)
    Ten421 = B11(rMZ2, cMC2_reg, cMC2_reg)
    Ten420 = B11(rMZ2, cMU2_reg, cMU2_reg)
    Ten53 = B11(rMH2, cMS2_reg, cMS2_reg)
    Ten21 = B0(rMH2, cMD2_reg, cMD2_reg)
    Ten145 = B0(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten51 = B1(rMH2, cMS2_reg, cMS2_reg)
    Ten50 = B11(rMH2, cMD2_reg, cMD2_reg)
    Ten57 = DB0(rMH2, cMZ2_reg, cMZ2_reg)
    Ten141 = HT(cMD2_reg, cMD2_reg)
    Ten55 = B00(rMH2, cMB2_reg, cMB2_reg)
    Ten143 = HT(cMB2_reg, cMB2_reg)
    Ten379 = B00(cnul, cMTA2_reg, cMTA2_reg)
    Ten378 = B00(cnul, cMM2_reg, cMM2_reg)
    Ten489 = DB0(rMW2, cMC2_reg, cMS2_reg)
    Ten321 = B1(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten371 = B11(cnul, cME2_reg, cME2_reg)
    Ten370 = B1(cnul, cMTA2_reg, cMTA2_reg)
    Ten128 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten129 = DB0(cnul, cMT2_reg, cMT2_reg)
    Ten126 = B00(cnul, cMB2_reg, cMB2_reg)
    Ten127 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten124 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten125 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten122 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten123 = B00(cnul, cMT2_reg, cMT2_reg)
    Ten120 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten480 = B0(rMW2, cnul, cMTA2_reg)
    Ten44 = B11(rMH2, cMC2_reg, cMC2_reg)
    Ten45 = B1(rMH2, cMT2_reg, cMT2_reg)
    Ten46 = B00(rMH2, cMT2_reg, cMT2_reg)
    Ten47 = B11(rMH2, cMT2_reg, cMT2_reg)
    Ten40 = B00(rMH2, cMU2_reg, cMU2_reg)
    Ten41 = B11(rMH2, cMU2_reg, cMU2_reg)
    Ten42 = B1(rMH2, cMC2_reg, cMC2_reg)
    Ten43 = B00(rMH2, cMC2_reg, cMC2_reg)
    Ten48 = B1(rMH2, cMD2_reg, cMD2_reg)
    Ten49 = B00(rMH2, cMD2_reg, cMD2_reg)
    Ten159 = DB1(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten158 = DB1(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten153 = DB0(cMU2_reg, cnul, cMU2_reg)
    Ten152 = DB0(cMU2_reg, cMU2_reg, cMH2_reg)
    Ten151 = B0(cMU2_reg, cMU2_reg, cMH2_reg)
    Ten150 = B1(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten157 = DB1(cMU2_reg, cnul, cMU2_reg)
    Ten156 = DB1(cMU2_reg, cMU2_reg, cMH2_reg)
    Ten155 = DB0(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten154 = DB0(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten333 = B1(rMTA2, cnul, cMTA2_reg)
    Ten332 = B1(rMTA2, cMTA2_reg, cMH2_reg)
    Ten331 = B0(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten330 = B0(rMTA2, cnul, cMTA2_reg)
    Ten337 = DB0(rMTA2, cMTA2_reg, cMH2_reg)
    Ten336 = B0(rMTA2, cMTA2_reg, cMH2_reg)
    Ten335 = B1(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten334 = B1(rMTA2, cnul, cMW2_reg)
    Ten339 = DB0(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten338 = DB0(rMTA2, cnul, cMTA2_reg)
    Ten238 = B1(rMB2, cnul, cMB2_reg)
    Ten239 = B1(rMB2, cMZ2_reg, cMB2_reg)
    Ten232 = B0(cnul, cMW2_reg, cMC2_reg)
    Ten233 = B1(cnul, cMW2_reg, cMC2_reg)
    Ten230 = DB1(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten231 = DB1(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten236 = B0(rMB2, cMW2_reg, cMT2_reg)
    Ten237 = B1(rMB2, cMB2_reg, cMH2_reg)
    Ten234 = B0(rMB2, cnul, cMB2_reg)
    Ten235 = B0(rMB2, cMZ2_reg, cMB2_reg)
    Ten346 = B1(cMTA2_reg, cMTA2_reg, cMH2_reg)
    Ten347 = B1(cMTA2_reg, cnul, cMTA2_reg)
    Ten344 = B0(cMTA2_reg, cnul, cMTA2_reg)
    Ten345 = B0(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten342 = DB1(rMTA2, cnul, cMW2_reg)
    Ten343 = DB1(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten340 = DB1(rMTA2, cMTA2_reg, cMH2_reg)
    Ten341 = DB1(rMTA2, cnul, cMTA2_reg)
    Ten427 = B00(rMZ2, cMS2_reg, cMS2_reg)
    Ten426 = B00(rMZ2, cMD2_reg, cMD2_reg)
    Ten425 = B1(rMZ2, cMB2_reg, cMB2_reg)
    Ten424 = B1(rMZ2, cMS2_reg, cMS2_reg)
    Ten423 = B1(rMZ2, cMD2_reg, cMD2_reg)
    Ten422 = B11(rMZ2, cMT2_reg, cMT2_reg)
    Ten348 = B1(cMTA2_reg, cnul, cMW2_reg)
    Ten349 = B1(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten328 = DB1(cMM2_reg, cnul, cMW2_reg)
    Ten8 = A0(cMT2_reg)
    Ten281 = DB1(rMT2, cnul, cMT2_reg)
    Ten280 = DB1(rMT2, cMT2_reg, cMH2_reg)
    Ten510 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten162 = B1(cnul, cnul, cMZ2_reg)
    Ten163 = B1(cnul, cnul, cMH2_reg)
    Ten160 = B0(cnul, cMW2_reg, cMD2_reg)
    Ten288 = B0(cME2_reg, cMZ2_reg, cME2_reg)
    Ten79 = DB1(rMH2, cMC2_reg, cMC2_reg)
    Ten78 = DB1(rMH2, cMU2_reg, cMU2_reg)
    Ten164 = B0(cMD2_reg, cnul, cMD2_reg)
    Ten165 = B0(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten75 = DB1(rMH2, cME2_reg, cME2_reg)
    Ten74 = DB0(rMH2, cMH2_reg, cMH2_reg)
    Ten168 = B1(cMD2_reg, cnul, cMD2_reg)
    Ten76 = DB1(rMH2, cMM2_reg, cMM2_reg)
    Ten71 = DB0(rMH2, cMD2_reg, cMD2_reg)
    Ten70 = DB0(rMH2, cMT2_reg, cMT2_reg)
    Ten73 = DB0(rMH2, cMB2_reg, cMB2_reg)
    Ten72 = DB0(rMH2, cMS2_reg, cMS2_reg)
    Ten463 = B00(rMW2, cMW2_reg, cMH2_reg)
    Ten462 = B1(rMW2, cMT2_reg, cMB2_reg)
    Ten461 = B1(rMW2, cMC2_reg, cMS2_reg)
    Ten460 = B1(rMW2, cMU2_reg, cMD2_reg)
    Ten467 = B00(rMW2, cMZ2_reg, cMW2_reg)
    Ten466 = B00(rMW2, cnul, cMTA2_reg)
    Ten465 = B00(rMW2, cnul, cMM2_reg)
    Ten464 = B00(rMW2, cnul, cME2_reg)
    Ten469 = B00(rMW2, cMC2_reg, cMS2_reg)
    Ten468 = B00(rMW2, cMU2_reg, cMD2_reg)
    Ten265 = DB1(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten264 = DB1(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten267 = B1(cnul, cMW2_reg, cMT2_reg)
    Ten266 = B0(cnul, cMW2_reg, cMT2_reg)
    Ten261 = DB0(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten260 = DB0(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten263 = DB1(cMB2_reg, cnul, cMB2_reg)
    Ten262 = DB1(cMB2_reg, cMB2_reg, cMH2_reg)
    Ten302 = B0(rMM2, cnul, cMM2_reg)
    Ten303 = B0(rMM2, cMZ2_reg, cMM2_reg)
    Ten300 = DB1(cME2_reg, cMZ2_reg, cME2_reg)
    Ten301 = B1(cnul, cnul, cMW2_reg)
    Ten306 = B1(rMM2, cnul, cMW2_reg)
    Ten307 = B1(rMM2, cMZ2_reg, cMM2_reg)
    Ten304 = B1(rMM2, cMM2_reg, cMH2_reg)
    Ten305 = B1(rMM2, cnul, cMM2_reg)
    Ten416 = B1(rMZ2, cMT2_reg, cMT2_reg)
    Ten417 = B00(rMZ2, cMU2_reg, cMU2_reg)
    Ten414 = B1(rMZ2, cMU2_reg, cMU2_reg)
    Ten415 = B1(rMZ2, cMC2_reg, cMC2_reg)
    Ten412 = B11(rMZ2, cMM2_reg, cMM2_reg)
    Ten413 = B11(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten410 = B00(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten411 = B11(rMZ2, cME2_reg, cME2_reg)
    Ten418 = B00(rMZ2, cMC2_reg, cMC2_reg)
    Ten419 = B00(rMZ2, cMT2_reg, cMT2_reg)
    Ten68 = DB0(rMH2, cMU2_reg, cMU2_reg)
    Ten69 = DB0(rMH2, cMC2_reg, cMC2_reg)
    Ten66 = DB0(rMH2, cMM2_reg, cMM2_reg)
    Ten67 = DB0(rMH2, cMTA2_reg, cMTA2_reg)
    Ten449 = A0(cnul)
    Ten448 = DB0(rMZ2, cMZ2_reg, cMH2_reg)
    Ten139 = HT(cMU2_reg, cMU2_reg)
    Ten138 = DB00(cnul, cMB2_reg, cMB2_reg)
    Ten135 = DB00(cnul, cMT2_reg, cMT2_reg)
    Ten134 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten137 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten136 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten131 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten130 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten133 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten132 = DB0(cnul, cMB2_reg, cMB2_reg)
    Ten368 = B1(cnul, cME2_reg, cME2_reg)
    Ten369 = B1(cnul, cMM2_reg, cMM2_reg)
    Ten31 = B00(rMH2, cME2_reg, cME2_reg)
    Ten30 = B1(rMH2, cME2_reg, cME2_reg)
    Ten33 = B1(rMH2, cMM2_reg, cMM2_reg)
    Ten32 = B11(rMH2, cME2_reg, cME2_reg)
    Ten35 = B11(rMH2, cMM2_reg, cMM2_reg)
    Ten34 = B00(rMH2, cMM2_reg, cMM2_reg)
    Ten37 = B00(rMH2, cMTA2_reg, cMTA2_reg)
    Ten36 = B1(rMH2, cMTA2_reg, cMTA2_reg)
    Ten39 = B1(rMH2, cMU2_reg, cMU2_reg)
    Ten38 = B11(rMH2, cMTA2_reg, cMTA2_reg)
    Ten229 = DB1(cMS2_reg, cnul, cMS2_reg)
    Ten228 = DB1(cMS2_reg, cMS2_reg, cMH2_reg)
    Ten182 = B0(rMC2, cnul, cMC2_reg)
    Ten183 = B0(rMC2, cMZ2_reg, cMC2_reg)
    Ten184 = B0(rMC2, cMW2_reg, cMS2_reg)
    Ten185 = B1(rMC2, cMC2_reg, cMH2_reg)
    Ten186 = B1(rMC2, cnul, cMC2_reg)
    Ten187 = B1(rMC2, cMZ2_reg, cMC2_reg)
    Ten221 = B1(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten220 = B1(cMS2_reg, cnul, cMS2_reg)
    Ten223 = B0(cMS2_reg, cMS2_reg, cMH2_reg)
    Ten222 = B1(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten225 = DB0(cMS2_reg, cnul, cMS2_reg)
    Ten224 = DB0(cMS2_reg, cMS2_reg, cMH2_reg)
    Ten227 = DB0(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten226 = DB0(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten319 = B1(cMM2_reg, cnul, cMM2_reg)
    Ten318 = B1(cMM2_reg, cMM2_reg, cMH2_reg)
    Ten116 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten355 = DB1(cMTA2_reg, cnul, cMTA2_reg)
    Ten354 = DB1(cMTA2_reg, cMTA2_reg, cMH2_reg)
    Ten458 = B1(rMW2, cnul, cMTA2_reg)
    Ten459 = B1(rMW2, cMZ2_reg, cMW2_reg)
    Ten351 = DB0(cMTA2_reg, cMTA2_reg, cMH2_reg)
    Ten350 = B0(cMTA2_reg, cMTA2_reg, cMH2_reg)
    Ten353 = DB0(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten352 = DB0(cMTA2_reg, cnul, cMTA2_reg)
    Ten452 = B00(rMW2, cnul, cMW2_reg)
    Ten453 = B11(rMW2, cnul, cMW2_reg)
    Ten450 = B0(rMW2, cnul, cMW2_reg)
    Ten451 = B1(rMW2, cnul, cMW2_reg)
    Ten456 = B1(rMW2, cnul, cME2_reg)
    Ten457 = B1(rMW2, cnul, cMM2_reg)
    Ten454 = B0(rMW2, cMW2_reg, cMH2_reg)
    Ten455 = B0(rMW2, cMZ2_reg, cMW2_reg)
    Ten115 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten113 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten180 = B0(cnul, cMW2_reg, cMU2_reg)
    Ten181 = B1(cnul, cMW2_reg, cMU2_reg)
    Ten112 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten188 = B1(rMC2, cMW2_reg, cMS2_reg)
    Ten189 = B0(rMC2, cMC2_reg, cMH2_reg)
    Ten111 = B11(cnul, cMT2_reg, cMT2_reg)
    Ten110 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten171 = B0(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten170 = B1(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten173 = DB0(cMD2_reg, cnul, cMD2_reg)
    Ten172 = DB0(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten175 = DB0(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten174 = DB0(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten177 = DB1(cMD2_reg, cnul, cMD2_reg)
    Ten176 = DB1(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten179 = DB1(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten178 = DB1(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten64 = DB11(rMH2, cMW2_reg, cMW2_reg)
    Ten65 = DB0(rMH2, cME2_reg, cME2_reg)
    Ten62 = DB1(rMH2, cMW2_reg, cMW2_reg)
    Ten63 = DB00(rMH2, cMW2_reg, cMW2_reg)
    Ten60 = DB11(rMH2, cMZ2_reg, cMZ2_reg)
    Ten61 = DB0(rMH2, cMW2_reg, cMW2_reg)
    Ten498 = B00(cnul, cMZ2_reg, cMW2_reg)
    Ten499 = B00(cnul, cMU2_reg, cMD2_reg)
    Ten496 = B00(cnul, cnul, cMM2_reg)
    Ten497 = B00(cnul, cnul, cMTA2_reg)
    Ten494 = B00(cnul, cMW2_reg, cMH2_reg)
    Ten495 = B00(cnul, cnul, cME2_reg)
    Ten492 = DB0(rMW2, cMZ2_reg, cMW2_reg)
    Ten493 = B00(cnul, cnul, cMW2_reg)
    Ten490 = DB0(rMW2, cMT2_reg, cMB2_reg)
    Ten491 = DB0(rMW2, cMW2_reg, cMH2_reg)
    Ten250 = B0(cMB2_reg, cnul, cMB2_reg)
    Ten251 = B0(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten252 = B0(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten253 = B1(cMB2_reg, cMB2_reg, cMH2_reg)
    Ten254 = B1(cMB2_reg, cnul, cMB2_reg)
    Ten255 = B1(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten256 = B1(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten257 = B0(cMB2_reg, cMB2_reg, cMH2_reg)
    Ten311 = DB0(rMM2, cMZ2_reg, cMM2_reg)
    Ten259 = DB0(cMB2_reg, cnul, cMB2_reg)
    Ten313 = DB1(rMM2, cnul, cMM2_reg)
    Ten312 = DB1(rMM2, cMM2_reg, cMH2_reg)
    Ten315 = DB1(rMM2, cMZ2_reg, cMM2_reg)
    Ten314 = DB1(rMM2, cnul, cMW2_reg)
    Ten317 = B0(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten316 = B0(cMM2_reg, cnul, cMM2_reg)
    Ten382 = DB0(cnul, cMM2_reg, cMM2_reg)
    Ten383 = DB0(cnul, cMTA2_reg, cMTA2_reg)
    Ten380 = DB00(cnul, cMW2_reg, cMW2_reg)
    Ten381 = DB0(cnul, cME2_reg, cME2_reg)
    Ten386 = DB00(cnul, cMTA2_reg, cMTA2_reg)
    Ten387 = DB0(cnul, cMW2_reg, cMW2_reg)
    Ten384 = DB00(cnul, cME2_reg, cME2_reg)
    Ten385 = DB00(cnul, cMM2_reg, cMM2_reg)
    Ten388 = HT(cME2_reg, cME2_reg)
    Ten389 = HT(cMM2_reg, cMM2_reg)
    Ten405 = B1(rMZ2, cME2_reg, cME2_reg)
    Ten404 = B11(rMZ2, cMW2_reg, cMW2_reg)
    Ten407 = B1(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten406 = B1(rMZ2, cMM2_reg, cMM2_reg)
    Ten401 = B0(rMZ2, cMB2_reg, cMB2_reg)
    Ten400 = B0(rMZ2, cMS2_reg, cMS2_reg)
    Ten403 = B00(rMZ2, cMW2_reg, cMW2_reg)
    Ten402 = B1(rMZ2, cMW2_reg, cMW2_reg)
    Ten121 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten409 = B00(rMZ2, cMM2_reg, cMM2_reg)
    Ten408 = B00(rMZ2, cME2_reg, cME2_reg)
    Ten119 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten118 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten289 = B1(cME2_reg, cME2_reg, cMH2_reg)
    Ten161 = B1(cnul, cMW2_reg, cMD2_reg)
    Ten166 = B0(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten167 = B1(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten108 = B1(cnul, cMB2_reg, cMB2_reg)
    Ten109 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten100 = DB11(rMH2, cMS2_reg, cMS2_reg)
    Ten101 = DB11(rMH2, cMB2_reg, cMB2_reg)
    Ten102 = B0(cnul, cnul, cnul)
    Ten103 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten104 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten105 = B1(cnul, cMT2_reg, cMT2_reg)
    Ten106 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten107 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten283 = DB1(rMT2, cMW2_reg, cMB2_reg)
    Ten282 = DB1(rMT2, cMZ2_reg, cMT2_reg)
    Ten310 = DB0(rMM2, cnul, cMM2_reg)
    Ten77 = DB1(rMH2, cMTA2_reg, cMTA2_reg)
    Ten22 = B0(rMH2, cMS2_reg, cMS2_reg)
    Ten23 = B0(rMH2, cMB2_reg, cMB2_reg)
    Ten20 = B0(rMH2, cMT2_reg, cMT2_reg)
    Ten169 = B1(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten26 = B11(rMH2, cMZ2_reg, cMZ2_reg)
    Ten27 = B1(rMH2, cMW2_reg, cMW2_reg)
    Ten24 = B1(rMH2, cMZ2_reg, cMZ2_reg)
    Ten25 = B00(rMH2, cMZ2_reg, cMZ2_reg)
    Ten287 = B0(cME2_reg, cnul, cME2_reg)
    Ten28 = B00(rMH2, cMW2_reg, cMW2_reg)
    Ten29 = B11(rMH2, cMW2_reg, cMW2_reg)
    Ten357 = DB1(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten286 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten356 = DB1(cMTA2_reg, cnul, cMW2_reg)
    Ten285 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten284 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten214 = B0(cnul, cMW2_reg, cMS2_reg)
    Ten215 = B1(cnul, cMW2_reg, cMS2_reg)
    Ten216 = B0(cMS2_reg, cnul, cMS2_reg)
    Ten217 = B0(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten210 = DB1(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten211 = DB1(cMC2_reg, cnul, cMC2_reg)
    Ten212 = DB1(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten213 = DB1(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten218 = B0(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten219 = B1(cMS2_reg, cMS2_reg, cMH2_reg)
    Ten199 = B0(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten198 = B0(cMC2_reg, cnul, cMC2_reg)
    Ten197 = DB1(rMC2, cMW2_reg, cMS2_reg)
    Ten196 = DB1(rMC2, cMZ2_reg, cMC2_reg)
    Ten195 = DB1(rMC2, cnul, cMC2_reg)
    Ten194 = DB1(rMC2, cMC2_reg, cMH2_reg)
    Ten193 = DB0(rMC2, cMW2_reg, cMS2_reg)
    Ten192 = DB0(rMC2, cMZ2_reg, cMC2_reg)
    Ten191 = DB0(rMC2, cnul, cMC2_reg)
    Ten190 = DB0(rMC2, cMC2_reg, cMH2_reg)
    Ten359 = B1(cnul, cMW2_reg, cME2_reg)
    Ten358 = B0(cnul, cMW2_reg, cME2_reg)
    Ten97 = DB11(rMH2, cMC2_reg, cMC2_reg)
    Ten96 = DB11(rMH2, cMU2_reg, cMU2_reg)
    Ten95 = DB11(rMH2, cMTA2_reg, cMTA2_reg)
    Ten94 = DB11(rMH2, cMM2_reg, cMM2_reg)
    Ten93 = DB11(rMH2, cME2_reg, cME2_reg)
    Ten92 = DB00(rMH2, cMB2_reg, cMB2_reg)
    Ten91 = DB00(rMH2, cMS2_reg, cMS2_reg)
    Ten90 = DB00(rMH2, cMD2_reg, cMD2_reg)
    Ten258 = DB0(cMB2_reg, cMB2_reg, cMH2_reg)
    Ten99 = DB11(rMH2, cMD2_reg, cMD2_reg)
    Ten98 = DB11(rMH2, cMT2_reg, cMT2_reg)
    Ten360 = B0(cnul, cMW2_reg, cMM2_reg)
    Ten361 = B1(cnul, cMW2_reg, cMM2_reg)
    Ten362 = B0(cnul, cMW2_reg, cMTA2_reg)
    Ten363 = B1(cnul, cMW2_reg, cMTA2_reg)
    Ten364 = B0(cnul, cMW2_reg, cMW2_reg)
    Ten365 = B1(cnul, cMW2_reg, cMW2_reg)
    Ten366 = B11(cnul, cMW2_reg, cMW2_reg)
    Ten367 = B00(cnul, cMW2_reg, cMW2_reg)
    Ten441 = DB0(rMZ2, cMU2_reg, cMU2_reg)
    Ten440 = DB0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten443 = DB0(rMZ2, cMT2_reg, cMT2_reg)
    Ten442 = DB0(rMZ2, cMC2_reg, cMC2_reg)
    Ten445 = DB0(rMZ2, cMS2_reg, cMS2_reg)
    Ten444 = DB0(rMZ2, cMD2_reg, cMD2_reg)
    Ten447 = DB0(rMZ2, cnul, cnul)
    Ten446 = DB0(rMZ2, cMB2_reg, cMB2_reg)
    Ten308 = B0(rMM2, cMM2_reg, cMH2_reg)
    Ten309 = DB0(rMM2, cMM2_reg, cMH2_reg)
    Ten269 = B0(rMT2, cMZ2_reg, cMT2_reg)
    Ten268 = B0(rMT2, cnul, cMT2_reg)
    Ten59 = DB00(rMH2, cMZ2_reg, cMZ2_reg)
    Ten58 = DB1(rMH2, cMZ2_reg, cMZ2_reg)
    Ten148 = B1(cMU2_reg, cnul, cMU2_reg)
    Ten149 = B1(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten144 = B0(cMU2_reg, cnul, cMU2_reg)
    Ten52 = B00(rMH2, cMS2_reg, cMS2_reg)
    Ten146 = B0(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten147 = B1(cMU2_reg, cMU2_reg, cMH2_reg)
    Ten140 = HT(cMC2_reg, cMC2_reg)
    Ten56 = B11(rMH2, cMB2_reg, cMB2_reg)
    Ten142 = HT(cMS2_reg, cMS2_reg)
    Ten54 = B1(rMH2, cMB2_reg, cMB2_reg)
    Ten324 = DB0(cMM2_reg, cnul, cMM2_reg)
    Ten325 = DB0(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten326 = DB1(cMM2_reg, cMM2_reg, cMH2_reg)
    Ten327 = DB1(cMM2_reg, cnul, cMM2_reg)
    Ten320 = B1(cMM2_reg, cnul, cMW2_reg)
    Ten488 = DB0(rMW2, cMU2_reg, cMD2_reg)
    Ten322 = B0(cMM2_reg, cMM2_reg, cMH2_reg)
    Ten323 = DB0(cMM2_reg, cMM2_reg, cMH2_reg)
    Ten485 = DB0(rMW2, cnul, cME2_reg)
    Ten484 = DB0(rMW2, cnul, cMW2_reg)
    Ten487 = DB0(rMW2, cnul, cMTA2_reg)
    Ten486 = DB0(rMW2, cnul, cMM2_reg)
    Ten481 = B0(rMW2, cMU2_reg, cMD2_reg)
    Ten329 = DB1(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten483 = B0(rMW2, cMT2_reg, cMB2_reg)
    Ten482 = B0(rMW2, cMC2_reg, cMS2_reg)
    Ten249 = DB1(rMB2, cMW2_reg, cMT2_reg)
    Ten248 = DB1(rMB2, cMZ2_reg, cMB2_reg)
    Ten247 = DB1(rMB2, cnul, cMB2_reg)
    Ten246 = DB1(rMB2, cMB2_reg, cMH2_reg)
    Ten245 = DB0(rMB2, cMW2_reg, cMT2_reg)
    Ten244 = DB0(rMB2, cMZ2_reg, cMB2_reg)
    Ten243 = DB0(rMB2, cnul, cMB2_reg)
    Ten242 = DB0(rMB2, cMB2_reg, cMH2_reg)
    Ten241 = B0(rMB2, cMB2_reg, cMH2_reg)
    Ten240 = B1(rMB2, cMW2_reg, cMT2_reg)
    Ten391 = B0(rMZ2, cMZ2_reg, cMH2_reg)
    Ten390 = HT(cMTA2_reg, cMTA2_reg)
    Ten393 = B0(rMZ2, cME2_reg, cME2_reg)
    Ten392 = B0(rMZ2, cMW2_reg, cMW2_reg)
    Ten395 = B0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten394 = B0(rMZ2, cMM2_reg, cMM2_reg)
    Ten397 = B0(rMZ2, cMC2_reg, cMC2_reg)
    Ten396 = B0(rMZ2, cMU2_reg, cMU2_reg)
    Ten399 = B0(rMZ2, cMD2_reg, cMD2_reg)
    Ten398 = B0(rMZ2, cMT2_reg, cMT2_reg)
    Ten430 = B11(rMZ2, cMS2_reg, cMS2_reg)
    Ten431 = B11(rMZ2, cMB2_reg, cMB2_reg)
    Ten432 = B1(rMZ2, cnul, cnul)
    Ten433 = B00(rMZ2, cMZ2_reg, cMH2_reg)
    Ten434 = B00(rMZ2, cnul, cnul)
    Ten435 = B11(rMZ2, cnul, cnul)
    Ten436 = B0(rMZ2, cnul, cnul)
    Ten437 = DB0(rMZ2, cMW2_reg, cMW2_reg)
    Ten438 = DB0(rMZ2, cME2_reg, cME2_reg)
    Ten439 = DB0(rMZ2, cMM2_reg, cMM2_reg)
    Ten471 = B11(rMW2, cnul, cME2_reg)
    Ten3 = A0(cME2_reg)
    Ten2 = A0(cMW2_reg)
    Ten508 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten509 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten504 = B0(cnul, cMZ2_reg, cMW2_reg)
    Ten505 = B0(cnul, cME2_reg, cME2_reg)
    Ten506 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten507 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten500 = B00(cnul, cMC2_reg, cMS2_reg)
    Ten501 = B00(cnul, cMT2_reg, cMB2_reg)
    Ten502 = B0(cnul, cMW2_reg, cMH2_reg)
    Ten503 = B0(cnul, cnul, cMW2_reg)
    Ten1 = A0(cMZ2_reg)
    Ten117 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten19 = B0(rMH2, cMC2_reg, cMC2_reg)
    Ten18 = B0(rMH2, cMU2_reg, cMU2_reg)
    Ten17 = B0(rMH2, cMTA2_reg, cMTA2_reg)
    Ten16 = B0(rMH2, cMM2_reg, cMM2_reg)
    Ten15 = B0(rMH2, cME2_reg, cME2_reg)
    Ten14 = B0(rMH2, cMH2_reg, cMH2_reg)
    Ten13 = B0(rMH2, cMW2_reg, cMW2_reg)
    Ten12 = B0(rMH2, cMZ2_reg, cMZ2_reg)
    Ten11 = A0(cMB2_reg)
    Ten10 = A0(cMS2_reg)
    Ten114 = B11(cnul, cMB2_reg, cMB2_reg)
    Ten298 = DB1(cME2_reg, cnul, cME2_reg)
    Ten299 = DB1(cME2_reg, cnul, cMW2_reg)
    Ten203 = B1(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten202 = B1(cMC2_reg, cnul, cMC2_reg)
    Ten201 = B1(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten200 = B0(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten207 = DB0(cMC2_reg, cnul, cMC2_reg)
    Ten206 = DB0(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten205 = B0(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten204 = B1(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten209 = DB0(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten208 = DB0(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten294 = DB0(cME2_reg, cME2_reg, cMH2_reg)
    Ten295 = DB0(cME2_reg, cnul, cME2_reg)
    Ten5 = A0(cMTA2_reg)
    Ten9 = A0(cMD2_reg)
    Ten80 = DB1(rMH2, cMT2_reg, cMT2_reg)
    Ten81 = DB1(rMH2, cMD2_reg, cMD2_reg)
    Ten82 = DB1(rMH2, cMS2_reg, cMS2_reg)
    Ten83 = DB1(rMH2, cMB2_reg, cMB2_reg)
    Ten84 = DB00(rMH2, cME2_reg, cME2_reg)
    Ten85 = DB00(rMH2, cMM2_reg, cMM2_reg)
    Ten86 = DB00(rMH2, cMTA2_reg, cMTA2_reg)
    Ten87 = DB00(rMH2, cMU2_reg, cMU2_reg)
    Ten88 = DB00(rMH2, cMC2_reg, cMC2_reg)
    Ten89 = DB00(rMH2, cMT2_reg, cMT2_reg)
    Ten296 = DB0(cME2_reg, cMZ2_reg, cME2_reg)
    Ten297 = DB1(cME2_reg, cME2_reg, cMH2_reg)
    Ten290 = B1(cME2_reg, cnul, cME2_reg)
    Ten291 = B1(cME2_reg, cnul, cMW2_reg)
    Ten292 = B1(cME2_reg, cMZ2_reg, cME2_reg)
    Ten293 = B0(cME2_reg, cME2_reg, cMH2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
