!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-14 21:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(309)%branchR2(0:1))
      call avR2(309, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3296, nGC_3296])

      call avR2(309, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3295, nGC_3294])

      allocate(vertices(474)%branchR2(0:0))
      call avR2(474, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3484, nGC_3485,        &
      nGC_3483])

      allocate(vertices(1053)%branchR2(0:1))
      call avR2(1053, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3263, nGC_3261,       &
      nGC_3260, nGC_3260])

      call avR2(1053, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3238, nGC_3238,       &
      nGC_3262, nGC_3262])

      allocate(vertices(747)%branchR2(0:1))
      call avR2(747, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_3307, nGC_3306])

      call avR2(747, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_3286, nGC_3286])

      allocate(vertices(1241)%branchR2(0:1))
      call avR2(1241, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3520])

      call avR2(1241, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3521])

      allocate(vertices(530)%branchR2(0:1))
      call avR2(530, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3398, nGC_3398])

      call avR2(530, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3396, nGC_3397])

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10102])

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3310, nGC_3311])

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3336])

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3508])

      allocate(vertices(515)%branchR2(0:1))
      call avR2(515, 0, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_3396, nGC_3397])

      call avR2(515, 1, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_3398, nGC_3398])

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3496])

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3487])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3497])

      allocate(vertices(752)%branchR2(0:1))
      call avR2(752, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3330, nGC_3328])

      call avR2(752, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3342, nGC_3341])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3495])

      allocate(vertices(1010)%branchR2(0:1))
      call avR2(1010, 0, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_3384, nGC_3385])

      call avR2(1010, 1, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_3386, nGC_3386])

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3476])

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3477])

      allocate(vertices(641)%branchR2(0:1))
      call avR2(641, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_3419, nGC_3417])

      call avR2(641, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_3420, nGC_3418])

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3496])

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3513])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3492])

      allocate(vertices(743)%branchR2(0:1))
      call avR2(743, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3368, nGC_3370])

      call avR2(743, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_3369, nGC_3371])

      allocate(vertices(1242)%branchR2(0:1))
      call avR2(1242, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3505, nGC_3505,      &
      nGC_3505])

      call avR2(1242, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3506, nGC_3506,      &
      nGC_3506])

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3474])

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3473])

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3511, nGC_3510,        &
      nGC_3512])

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_3276])

      allocate(vertices(840)%branchR2(0:1))
      call avR2(840, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_3408])

      call avR2(840, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_3409])

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3478])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3497])

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3391, nGC_3390])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3499])

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3509])

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3429])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3472])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3496])

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3426, nGC_3427])

      allocate(vertices(188)%branchR2(0:1))
      call avR2(188, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_3322, nGC_3320])

      call avR2(188, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3338, nGC_3337])

      allocate(vertices(274)%branchR2(0:1))
      call avR2(274, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_3409])

      call avR2(274, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_3410])

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3497])

      allocate(vertices(1245)%branchR2(0:1))
      call avR2(1245, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3526, nGC_3526,      &
      nGC_3526])

      call avR2(1245, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3527, nGC_3527,      &
      nGC_3527])

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3343])

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10291])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3476])

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3477])

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3412])

      allocate(vertices(3)%branchR2(0:1))
      call avR2(3, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_3419, nGC_3417])

      call avR2(3, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_3420, nGC_3418])

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3497])

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3492])

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3475])

      allocate(vertices(461)%branchR2(0:1))
      call avR2(461, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3368, nGC_3370])

      call avR2(461, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_3369, nGC_3371])

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3499])

      allocate(vertices(1129)%branchR2(0:1))
      call avR2(1129, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3241, nGC_3239,       &
      nGC_3277, nGC_3277])

      call avR2(1129, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3238, nGC_3238,       &
      nGC_3278, nGC_3278])

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3346])

      allocate(vertices(958)%branchR2(0:1))
      call avR2(958, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_3406, nGC_3406])

      call avR2(958, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_3404, nGC_3405])

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3498])

      allocate(vertices(1042)%branchR2(0:1))
      call avR2(1042, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_3309, nGC_3308])

      call avR2(1042, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_3296, nGC_3296])

      allocate(vertices(997)%branchR2(0:1))
      call avR2(997, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3364, nGC_3366])

      call avR2(997, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3365, nGC_3367])

      allocate(vertices(1246)%branchR2(0:1))
      call avR2(1246, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3494, nGC_3494,      &
      nGC_3494])

      call avR2(1246, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3493, nGC_3493,      &
      nGC_3493])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3412])

      allocate(vertices(1247)%branchR2(0:0))
      call avR2(1247, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3482, nGC_3482,       &
      nGC_3482])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3318])

      allocate(vertices(945)%branchR2(0:0))
      call avR2(945, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3492])

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3393, nGC_3392])

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3495])

      allocate(vertices(12)%branchR2(0:1))
      call avR2(12, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_3286, nGC_3286])

      call avR2(12, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_3307, nGC_3306])

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3498])

      allocate(vertices(102)%branchR2(0:1))
      call avR2(102, 0, 20, 1, 0, SFFa1, 0, [0, 3], [nGC_3325, nGC_3323])

      call avR2(102, 1, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_3326, nGC_3324])

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3429])

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3507])

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3412])

      allocate(vertices(203)%branchR2(0:1))
      call avR2(203, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3327, nGC_3329])

      call avR2(203, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_3328, nGC_3330])

      allocate(vertices(49)%branchR2(0:0))
      call avR2(49, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3512, nGC_3511, nGC_3510&
      ])

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3243, nGC_3242])

      allocate(vertices(547)%branchR2(0:1))
      call avR2(547, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3416, nGC_3414])

      call avR2(547, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3431, nGC_3430])

      allocate(vertices(1026)%branchR2(0:1))
      call avR2(1026, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_3389, nGC_3389])

      call avR2(1026, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_3387, nGC_3388])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3477])

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3403, nGC_3402])

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3492])

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3503])

      allocate(vertices(912)%branchR2(0:3))
      call avR2(912, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_3465, nGC_3464])

      call avR2(912, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_3457, nGC_3457])

      call avR2(912, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_3463, nGC_3462])

      call avR2(912, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_3454, nGC_3454])

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3484, nGC_3485,        &
      nGC_3483])

      allocate(vertices(226)%branchR2(0:1))
      call avR2(226, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_3404, nGC_3405])

      call avR2(226, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_3406, nGC_3406])

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3486])

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3496])

      allocate(vertices(580)%branchR2(0:1))
      call avR2(580, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_3415, nGC_3413])

      call avR2(580, 1, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_3416, nGC_3414])

      allocate(vertices(1027)%branchR2(0:1))
      call avR2(1027, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3409])

      call avR2(1027, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3410])

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3293])

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3474])

    end subroutine fill_vertices_mdl5
end module vertices_info5
